#!/usr/bin/php
<?php

include_once('/usr/local/opmon/etc/config.php');

class TrafficOnBoot extends TemplateWorker
{

	private $runner;
	public $runtimeRegister = array('traffic_on_boot' => 'putTrafficOnBoot');

	public function __construct()
	{
		parent::__construct();

		$this->runner = new ShellCommandRunner();
		if ($this->checkIfTrafficIsOnBoot()) {
			exit(GCONTROLDONTRUN);
		}
	}

	/**
	 * Run a command to check if traffic is on boot already
	 *
	 * @return Boolean
	 */
	public function checkIfTrafficIsOnBoot()
	{
		$this->runner->run("chkconfig --list optrafficd | grep -q ':on'");
		return ($this->runner->get_exit_code() == 0);
	}

	/**
	 * Configure the traffic to initialize with the system
	 */
	public function putTrafficOnBoot($job)
	{
		$this->runner->run('chkconfig --add optrafficd');
		$this->runner->run('chkconfig --add opfprobed');
		$this->runner->run_wait_timeout('/etc/init.d/optrafficd start', 10);
		print_r($this->runner->get_stdout());

		$this->runner->run('/etc/init.d/opfprobed start');
		print_r($this->runner->get_stdout());

		return true;
	}
}

run_worker('TrafficOnBoot');

