/*
 * File: app/view/BaseView.js
 *
 * This file was generated by Sencha Architect
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Ext JS 4.2.x library, under independent license.
 * License of Sencha Architect does not include license for Ext JS 4.2.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('trafficConfig4.view.BaseView', {
	extend: 'Ext.container.Viewport',

	requires: [
		'Ext.button.Button',
		'Ext.form.field.Checkbox',
		'Ext.ProgressBar',
		'Ext.grid.Panel',
		'Ext.form.Label',
		'Ext.grid.column.CheckColumn',
		'Ext.grid.plugin.CellEditing',
		'Ext.grid.View',
		'Ext.grid.column.Action',
		'Ext.form.field.Number',
		'Ext.form.field.ComboBox',
		'Ext.toolbar.Paging',
		'Ext.grid.plugin.RowEditing',
		'Ext.form.Panel',
		'Ext.form.FieldContainer',
		'Ext.form.FieldSet'
	],

	layout: 'border',

	initComponent: function() {
		var me = this;

		Ext.applyIf(me, {
			items: [
				{
					xtype: 'container',
					flex: 8,
					region: 'center',
					activeItem: 7,
					id: 'wrapper',
					layout: 'card',
					items: [
						{
							xtype: 'container',
							cls: 'traffic-content',
							id: 'welcome',
							layout: 'border',
							items: [
								{
									xtype: 'toolbar',
									flex: 1,
									region: 'north',
									height: 60,
									maxHeight: 60,
									style: 'background-color: transparent;'
								},
								{
									xtype: 'container',
									region: 'center',
									layout: {
										type: 'hbox',
										align: 'stretch'
									},
									items: [
										{
											xtype: 'container',
											flex: 1
										},
										{
											xtype: 'container',
											flex: 2,
											maxWidth: 400,
											minWidth: 400,
											layout: {
												type: 'vbox',
												align: 'stretch'
											},
											items: [
												{
													xtype: 'container',
													flex: 1
												},
												{
													xtype: 'panel',
													height: 450,
													margin: '40 0',
													maxHeight: 450,
													maxWidth: 400,
													minHeight: 450,
													minWidth: 400,
													shadow: true,
													shadowOffset: 5,
													bodyStyle: '-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75); -moz-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75); box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);',
													layout: {
														type: 'vbox',
														align: 'stretch'
													},
													items: [
														{
															xtype: 'container',
															height: 145,
															minHeight: 145,
															style: 'background-color: #805AA5;',
															items: [
																{
																	xtype: 'container',
																	margin: '42 39 42',
																	minHeight: 67,
																	style: 'background-image: url(resources/logo-03m.png); background-repeat: no-repeat;'
																}
															]
														},
														{
															xtype: 'container',
															margins: '10 0 0',
															height: 40,
															html: '<h2 style=\'line-height:1.2; margin-bottom: 0; font-size:18px;\'>Bem vindo ao OpTraffic</h2>',
															maxHeight: 50,
															padding: '15 30 0 40',
															style: 'font-size: 18px;',
															listeners: {
																afterrender: {
																	fn: me.onContainerAfterRender,
																	scope: me
																}
															}
														},
														{
															xtype: 'container',
															height: 110,
															html: '<p>Preparado para visualizar todo o fluxo de dados da sua rede?</p>',
															padding: '10 40 0',
															shrinkWrap: 3,
															style: '{font-size: 16px; line-height:22px;}',
															layout: 'fit',
															listeners: {
																afterrender: {
																	fn: me.onContainerAfterRender3,
																	scope: me
																}
															}
														},
														{
															xtype: 'container',
															flex: 3,
															margins: '0',
															maxHeight: 60,
															layout: {
																type: 'hbox',
																align: 'stretch',
																padding: '0 40 10'
															},
															items: [
																{
																	xtype: 'button',
																	flex: 1,
																	maxHeight: 50,
																	scale: 'large',
																	text: 'Iniciar a configuração!',
																	listeners: {
																		afterrender: {
																			fn: me.onButtonAfterRender3,
																			scope: me
																		},
																		click: {
																			fn: me.onButtonClick3,
																			scope: me
																		}
																	}
																}
															]
														},
														{
															xtype: 'checkboxfield',
															margins: '0 40 0 40',
															hidden: true,
															id: 'auto_monitoring',
															fieldLabel: 'Label',
															hideLabel: true,
															boxLabel: 'Quero monitorar tráfego interno do Optraffic',
															checked: true,
															listeners: {
																afterrender: {
																	fn: me.onCheckboxfieldAfterRender,
																	scope: me
																}
															}
														}
													],
													dockedItems: [
														{
															xtype: 'toolbar',
															flex: 1,
															dock: 'bottom',
															padding: 0,
															items: [
																{
																	xtype: 'progressbar',
																	progressBarEnd: function(msg, delay, button) {
																		this.reset();
																		this.updateProgress(1, msg, true);
																		var timer = setInterval(function(){
																			button.enable();
																			Ext.getCmp('ports-progress-bar').hide();
																			clearInterval(timer);
																		}, delay);
																	},
																	flex: 1,
																	margins: '0',
																	height: 28,
																	hidden: true,
																	id: 'probes-search-progress-bar',
																	margin: 0,
																	padding: '4 0',
																	text: 'Buscando fontes de tráfego na rede'
																}
															]
														},
														{
															xtype: 'toolbar',
															margins: '10 0 20 0',
															dock: 'bottom',
															height: 80,
															padding: '0 40 20',
															items: [
																{
																	xtype: 'container',
																	flex: 1
																},
																{
																	xtype: 'button',
																	text: 'Quero saber mais sobre o OpTraffic',
																	listeners: {
																		afterrender: {
																			fn: me.onButtonAfterRender4,
																			scope: me
																		},
																		click: {
																			fn: me.onButtonClick9,
																			scope: me
																		}
																	}
																},
																{
																	xtype: 'container',
																	flex: 1
																}
															]
														}
													]
												},
												{
													xtype: 'container',
													flex: 1
												}
											]
										},
										{
											xtype: 'container',
											flex: 1
										}
									]
								},
								{
									xtype: 'container',
									region: 'south',
									height: 40,
									maxHeight: 40,
									padding: 10
								}
							]
						},
						{
							xtype: 'container',
							filter_probes: function() {
								var store = Ext.getCmp('probes_grid').getStore();
								var name = Ext.getCmp('filter_probe_name').getValue();
								var ip = Ext.getCmp('filter_interface_name').getValue();
								var regex_name = new RegExp(".*" + name + ".*");
								var regex_ip = new RegExp(".*" + ip + ".*");

								store.clearFilter(true);

								store.filter([{
									property: "name",
									value: regex_name
								},{
									property: "ip",
									value: regex_ip
								}]);
							},
							id: 'probes_view',
							padding: 15,
							style: 'background-color: #fff;',
							layout: 'border',
							items: [
								{
									xtype: 'panel',
									region: 'north',
									height: 58,
									hidden: true,
									html: '<h2>Selecione as fontes de tráfego deseja monitorar</h2>',
									style: 'font-size: 8px;',
									listeners: {
										afterrender: {
											fn: me.onPanelAfterRender11,
											scope: me
										}
									}
								},
								{
									xtype: 'gridpanel',
									showMessageBox: function(type, text, ok_text) {
										Ext.MessageBox.show({
											width:		350,
											closable:	false,
											msg:		t(text),
											buttons:	Ext.MessageBox.OK,
											buttonText: {
												ok: (ok_text !== undefined) ? ok_text : 'OK'
											},
											icon:		(type === "info") ? Ext.MessageBox.INFO : Ext.MessageBox.ERROR
										});
									},
									updatePortMessage: function() {
										var component = Ext.getCmp("server_port_desc");

										Ext.Ajax.request({
											url: '/opmon/seagull/www/index.php/traffic/action/cluster_conf/',
											method:	'get',
											timeout: 10000,
											success: function(result) {
												obj = Ext.JSON.decode(result.responseText);

												if (obj.success != true) {
													return false;
												}

												component.update(
												t("Receiving network traffic on ports")
												+ " <strong>" + obj.data.port.value + "</strong>"
												+ " " + t("and")
												+ " <strong>" + obj.data.sflow_port.value + "</strong>"
												);
											},
											failure: function() {
												component.setText(t("Receiving network traffic on ports"));
											}
										});
									},
									region: 'center',
									id: 'probes_grid',
									title: 'Probes',
									forceFit: true,
									store: 'probes',
									dockedItems: [
										{
											xtype: 'panel',
											dock: 'top',
											height: 42,
											width: 50,
											bodyCls: 'x-panel-header-light',
											bodyPadding: '14 10',
											items: [
												{
													xtype: 'label',
													text: 'Encontramos as seguintes fontes de tráfego de rede. Marque as fontes de tráfego que deseja monitorar.',
													listeners: {
														afterrender: {
															fn: me.onLabelAfterRender,
															scope: me
														}
													}
												}
											]
										},
										{
											xtype: 'toolbar',
											dock: 'top',
											cls: 'x-grid-header-ct',
											padding: 0,
											items: [
												{
													xtype: 'container',
													margins: '0',
													margin: 0,
													width: 30,
													items: [
														{
															xtype: 'checkboxfield',
															id: 'top_checkbox',
															margin: '0 0 0 8',
															listeners: {
																change: {
																	fn: me.onCheckboxfieldChange,
																	scope: me
																}
															}
														}
													]
												},
												{
													xtype: 'container',
													flex: 1,
													margins: '0',
													margin: 0,
													padding: 5,
													layout: {
														type: 'hbox',
														align: 'stretch'
													},
													items: [
														{
															xtype: 'textfield',
															flex: 1,
															id: 'filter_probe_name',
															fieldLabel: 'Label',
															hideLabel: true,
															emptyText: 'Filtrar pelo nome da fonte de tráfego',
															enableKeyEvents: true,
															listeners: {
																afterrender: {
																	fn: me.onTextfieldAfterRender,
																	scope: me
																},
																keyup: {
																	fn: me.onTextfieldKeyup,
																	delay: 100,
																	scope: me
																}
															}
														}
													]
												},
												{
													xtype: 'container',
													margins: '0',
													margin: 0,
													width: 130,
													layout: {
														type: 'hbox',
														align: 'stretch',
														padding: 5
													},
													items: [
														{
															xtype: 'textfield',
															flex: 1,
															id: 'filter_interface_name',
															width: 102,
															fieldLabel: 'Label',
															hideLabel: true,
															emptyText: 'Filtrar por IP',
															enableKeyEvents: true,
															listeners: {
																afterrender: {
																	fn: me.onTextfieldAfterRender1,
																	scope: me
																},
																keyup: {
																	fn: me.onFilter_interface_nameKeyup,
																	delay: 100,
																	scope: me
																}
															}
														}
													]
												},
												{
													xtype: 'container',
													margins: '0',
													margin: 0,
													width: 33
												},
												{
													xtype: 'button',
													width: 140,
													iconCls: 'fa fa-refresh black',
													text: 'Atualizar_listagem',
													listeners: {
														click: {
															fn: me.onButtonClick17,
															scope: me
														},
														afterrender: {
															fn: me.onButtonAfterRender17,
															scope: me
														}
													}
												}
											]
										},
										{
											xtype: 'toolbar',
											dock: 'bottom',
											height: 40,
											items: [
												{
													xtype: 'button',
													text: 'Como adicionar',
													listeners: {
														afterrender: {
															fn: me.onButtonAfterRender16,
															scope: me
														},
														click: {
															fn: me.onButtonClick16,
															scope: me
														}
													}
												},
												{
													xtype: 'container',
													flex: 1,
													items: [
														{
															xtype: 'progressbar',
															progressBarEnd: function(msg, delay, save_btn) {
																this.reset();
																this.updateProgress(1, msg, true);
																var timer = setInterval(function(){
																	save_btn.enable();
																	Ext.getCmp('ports-progress-bar').hide();
																	clearInterval(timer);
																}, delay);
															},
															height: 28,
															hidden: true,
															id: 'probes-progress-bar',
															margin: 0,
															padding: '4 0',
															text: 'Procurando fontes de tráfego na rede'
														}
													]
												},
												{
													xtype: 'container',
													hidden: true,
													id: 'probes_save_btn_install',
													items: [
														{
															xtype: 'button',
															text: 'Estou pronto! Comece a monitorar meu tráfego',
															listeners: {
																afterrender: {
																	fn: me.onButtonAfterRender6,
																	scope: me
																},
																click: {
																	fn: me.onButtonClick5,
																	scope: me
																}
															}
														}
													]
												},
												{
													xtype: 'container',
													id: 'probes_save_btn_default',
													items: [
														{
															xtype: 'button',
															text: 'Salvar alterações',
															listeners: {
																afterrender: {
																	fn: me.onButtonAfterRender5,
																	scope: me
																},
																click: {
																	fn: me.onButtonClick4,
																	scope: me
																}
															}
														}
													]
												}
											]
										},
										{
											xtype: 'container',
											dock: 'bottom',
											hidden: true,
											id: 'server_port_container',
											width: 100,
											layout: {
												type: 'hbox',
												align: 'stretch',
												padding: 15
											},
											items: [
												{
													xtype: 'container',
													flex: 1,
													width: 100
												},
												{
													xtype: 'panel',
													baseCls: 'x-panel-header-light',
													height: 52,
													id: '',
													padding: '14 20',
													style: 'border:0;',
													width: 460,
													header: false,
													title: 'My Panel',
													layout: {
														type: 'hbox',
														align: 'stretch'
													},
													items: [
														{
															xtype: 'label',
															id: 'server_port_desc',
															margin: '4 0 0',
															text: 'Recebendo tráfego de rede na porta XXXXX'
														},
														{
															xtype: 'container',
															flex: 1
														},
														{
															xtype: 'button',
															id: 'server_port_change',
															text: 'Alterar porta utilizada',
															listeners: {
																click: {
																	fn: me.onServer_port_changeClick,
																	scope: me
																},
																afterrender: {
																	fn: me.onServer_port_changeAfterRender,
																	scope: me
																}
															}
														}
													]
												},
												{
													xtype: 'container',
													flex: 1,
													width: 100
												}
											]
										}
									],
									columns: [
										{
											xtype: 'checkcolumn',
											draggable: false,
											width: 31,
											resizable: false,
											defaultWidth: 30,
											dataIndex: 'active',
											text: '',
											listeners: {
												checkchange: {
													fn: me.onCheckcolumnCheckChange,
													scope: me
												}
											}
										},
										{
											xtype: 'gridcolumn',
											minWidth: 300,
											enableColumnHide: false,
											dataIndex: 'name',
											hideable: false,
											text: 'Name',
											editor: {
												xtype: 'textfield'
											}
										},
										{
											xtype: 'gridcolumn',
											minWidth: 150,
											defaultWidth: 150,
											enableColumnHide: false,
											dataIndex: 'ip',
											hideable: false,
											text: 'IP'
										},
										{
											xtype: 'gridcolumn',
											maxWidth: 150,
											minWidth: 150,
											defaultWidth: 150,
											enableColumnHide: false,
											dataIndex: 'id',
											hideable: false,
											text: 'ID'
										},
										{
											xtype: 'gridcolumn',
											maxWidth: 200,
											minWidth: 200,
											defaultWidth: 200,
											enableColumnHide: false,
											dataIndex: 'last_update',
											hideable: false,
											text: 'Last update'
										},
										{
											xtype: 'actioncolumn',
											maxWidth: 24,
											tooltip: 'Delete',
											icon: 'resources/minus-circle_e8421e_16.png',
											listeners: {
												beforerender: {
													fn: me.onActioncolumnBeforeRender,
													scope: me
												},
												click: {
													fn: me.onActioncolumnClick,
													scope: me
												}
											}
										}
									],
									plugins: [
										Ext.create('Ext.grid.plugin.CellEditing', {

										})
									]
								}
							]
						},
						{
							xtype: 'container',
							cls: 'traffic-content',
							id: 'ready',
							layout: 'border',
							items: [
								{
									xtype: 'toolbar',
									flex: 1,
									region: 'north',
									height: 40,
									maxHeight: 60,
									style: 'background-color: transparent;'
								},
								{
									xtype: 'container',
									flex: 1,
									region: 'center',
									layout: {
										type: 'hbox',
										align: 'stretch'
									},
									items: [
										{
											xtype: 'container',
											flex: 1
										},
										{
											xtype: 'container',
											flex: 2,
											maxWidth: 400,
											minWidth: 400,
											layout: {
												type: 'vbox',
												align: 'stretch'
											},
											items: [
												{
													xtype: 'container',
													flex: 1
												},
												{
													xtype: 'panel',
													flex: 8,
													margin: '40 0',
													maxHeight: 400,
													maxWidth: 400,
													minHeight: 400,
													minWidth: 400,
													style: '-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75); -moz-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75); box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);',
													shadow: true,
													bodyStyle: '-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75); -moz-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75); box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);',
													layout: {
														type: 'vbox',
														align: 'stretch'
													},
													items: [
														{
															xtype: 'container',
															html: '<h1>Configuração completa!</h1>',
															padding: '20 40 0',
															style: 'font-size: 18px;',
															listeners: {
																afterrender: {
																	fn: me.onContainerAfterRender1,
																	scope: me
																}
															}
														},
														{
															xtype: 'container',
															flex: 3,
															html: '<p>O ambiente de análise de tráfego está pronto para você.</p>',
															margin: '-10 0 0 0',
															padding: '0 40',
															shrinkWrap: 3,
															style: 'line-height: 1.5; font-size:18px; ',
															layout: 'fit',
															listeners: {
																afterrender: {
																	fn: me.onContainerAfterRender6,
																	scope: me
																}
															}
														},
														{
															xtype: 'container',
															flex: 3,
															margin: '10 0 0 0',
															layout: {
																type: 'hbox',
																align: 'stretch',
																padding: '0 40'
															},
															items: [
																{
																	xtype: 'container',
																	flex: 1
																},
																{
																	xtype: 'button',
																	maxHeight: 50,
																	scale: 'large',
																	text: 'Quero ir para o dashboard de tráfego!',
																	listeners: {
																		afterrender: {
																			fn: me.onButtonAfterRender9,
																			scope: me
																		},
																		click: {
																			fn: me.onButtonClick8,
																			scope: me
																		}
																	}
																},
																{
																	xtype: 'container',
																	flex: 1
																}
															]
														}
													],
													dockedItems: [
														{
															xtype: 'toolbar',
															flex: 1,
															dock: 'bottom',
															padding: 0,
															items: [
																{
																	xtype: 'progressbar',
																	flex: 1,
																	margins: '0',
																	height: 28,
																	hidden: true,
																	margin: 0,
																	padding: '4 0',
																	text: 'Gerando o dashboard de tráfego'
																}
															]
														},
														{
															xtype: 'toolbar',
															flex: 1,
															dock: 'bottom',
															padding: '0 10 40',
															items: [
																{
																	xtype: 'container',
																	flex: 1
																},
																{
																	xtype: 'button',
																	scale: 'medium',
																	text: 'Quero configurar portas, protocolos e aplicações',
																	listeners: {
																		afterrender: {
																			fn: me.onButtonAfterRender8,
																			scope: me
																		},
																		click: {
																			fn: me.onButtonClick7,
																			scope: me
																		}
																	}
																},
																{
																	xtype: 'container',
																	flex: 1
																}
															]
														}
													]
												},
												{
													xtype: 'container',
													flex: 1
												}
											]
										},
										{
											xtype: 'container',
											flex: 1
										}
									]
								},
								{
									xtype: 'container',
									region: 'south',
									height: 40,
									padding: '0 15',
									items: [
										{
											xtype: 'button',
											text: 'Quero adicionar mais fontes de tráfego',
											listeners: {
												afterrender: {
													fn: me.onButtonAfterRender7,
													scope: me
												},
												click: {
													fn: me.onButtonClick6,
													scope: me
												}
											}
										}
									]
								}
							]
						},
						{
							xtype: 'container',
							cls: 'traffic-content',
							id: 'not_found',
							layout: 'border',
							items: [
								{
									xtype: 'toolbar',
									flex: 1,
									region: 'north',
									height: 40,
									maxHeight: 60,
									style: 'background-color: transparent;'
								},
								{
									xtype: 'container',
									region: 'center',
									layout: {
										type: 'hbox',
										align: 'stretch'
									},
									items: [
										{
											xtype: 'container',
											flex: 1
										},
										{
											xtype: 'container',
											flex: 2,
											maxWidth: 400,
											minWidth: 400,
											layout: {
												type: 'vbox',
												align: 'stretch'
											},
											items: [
												{
													xtype: 'container',
													flex: 1
												},
												{
													xtype: 'panel',
													flex: 8,
													height: 420,
													margin: '40 0',
													maxHeight: 420,
													maxWidth: 400,
													minHeight: 420,
													minWidth: 400,
													style: '-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75); -moz-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75); box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);',
													layout: {
														type: 'vbox',
														align: 'stretch'
													},
													items: [
														{
															xtype: 'container',
															html: '<h1>O OpTraffic não encontrou nenhuma fonte de tráfego</h1>',
															padding: '20 40 0',
															style: 'font-size: 14px; color: #D30F35;',
															listeners: {
																afterrender: {
																	fn: me.onContainerAfterRender2,
																	scope: me
																}
															}
														},
														{
															xtype: 'container',
															height: 70,
															html: '<p>Verifique se você habilitou o netflow de seus coletores corretamente.</p>',
															padding: '0 40',
															shrinkWrap: 3,
															style: 'font-size:16px; line-height: 1.5;',
															layout: 'fit',
															listeners: {
																afterrender: {
																	fn: me.onContainerAfterRender7,
																	scope: me
																}
															}
														},
														{
															xtype: 'checkboxfield',
															margins: '0 40',
															hidden: true,
															id: 'auto_monitoring2',
															fieldLabel: 'Label',
															hideLabel: true,
															boxLabel: 'Quero monitorar tráfego interno do Optraffic',
															checked: true,
															listeners: {
																afterrender: {
																	fn: me.onCheckboxfieldAfterRender1,
																	scope: me
																}
															}
														},
														{
															xtype: 'container',
															height: 80,
															margin: '10 0 0',
															layout: {
																type: 'hbox',
																align: 'middle',
																padding: '0 40'
															},
															items: [
																{
																	xtype: 'container',
																	flex: 1
																},
																{
																	xtype: 'button',
																	scale: 'large',
																	text: 'Verifique novamente',
																	listeners: {
																		afterrender: {
																			fn: me.onButtonAfterRender11,
																			scope: me
																		},
																		click: {
																			fn: me.onButtonClick11,
																			scope: me
																		}
																	}
																},
																{
																	xtype: 'container',
																	flex: 1
																}
															]
														},
														{
															xtype: 'toolbar',
															items: [
																{
																	xtype: 'container',
																	flex: 1
																},
																{
																	xtype: 'button',
																	maxHeight: 50,
																	scale: 'medium',
																	text: 'Como adiciono uma fonte de tráfego?',
																	listeners: {
																		afterrender: {
																			fn: me.onButtonAfterRender10,
																			scope: me
																		},
																		click: {
																			fn: me.onButtonClick10,
																			scope: me
																		}
																	}
																},
																{
																	xtype: 'container',
																	flex: 1
																}
															]
														}
													],
													dockedItems: [
														{
															xtype: 'toolbar',
															flex: 2,
															dock: 'bottom',
															padding: 0,
															items: [
																{
																	xtype: 'progressbar',
																	progressBarEnd: function(msg, delay, btn) {
																		this.reset();
																		this.updateProgress(1, msg, true);
																		var timer = setInterval(function(){
																			btn.enable();
																			Ext.getCmp('probes-search-progress-bar2').hide();
																			clearInterval(timer);
																		}, delay);
																	},
																	flex: 1,
																	margins: '0',
																	height: 28,
																	hidden: true,
																	id: 'probes-search-progress-bar2',
																	margin: 0,
																	padding: '4 0',
																	text: 'Procurando fontes de tráfego na rede'
																}
															]
														}
													]
												},
												{
													xtype: 'container',
													flex: 1
												}
											]
										},
										{
											xtype: 'container',
											flex: 1
										}
									]
								},
								{
									xtype: 'container',
									region: 'south',
									height: 40,
									padding: 10
								}
							]
						},
						{
							xtype: 'container',
							cls: 'traffic-content',
							id: 'ready3',
							layout: 'border',
							items: [
								{
									xtype: 'toolbar',
									flex: 1,
									region: 'north',
									height: 40,
									maxHeight: 60,
									style: 'background-color: transparent;'
								},
								{
									xtype: 'container',
									flex: 1,
									region: 'center',
									layout: {
										type: 'hbox',
										align: 'stretch'
									},
									items: [
										{
											xtype: 'container',
											flex: 1
										},
										{
											xtype: 'container',
											flex: 2,
											maxWidth: 400,
											minWidth: 400,
											layout: {
												type: 'vbox',
												align: 'stretch'
											},
											items: [
												{
													xtype: 'container',
													flex: 1
												},
												{
													xtype: 'panel',
													flex: 8,
													margin: '40 0',
													maxHeight: 400,
													maxWidth: 400,
													minHeight: 400,
													minWidth: 400,
													style: '-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75); -moz-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75); box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);',
													shadow: true,
													layout: {
														type: 'vbox',
														align: 'stretch'
													},
													items: [
														{
															xtype: 'container',
															html: '<h1>Tenha cuidado</h1>',
															padding: '20 40 0',
															style: 'font-size: 18px;',
															listeners: {
																afterrender: {
																	fn: me.onContainerAfterRender4,
																	scope: me
																}
															}
														},
														{
															xtype: 'container',
															flex: 3,
															html: '<p>O OpTraffic já possui definições para portas, aplicações e protocolos. Alterações nessas confugurações impactarão no modo como os dados são armazenados e apresentados.</p>',
															margin: '-10 0 0 0',
															padding: '0 40',
															shrinkWrap: 3,
															style: 'font-size:16px; line-height: 1.5;',
															layout: 'fit',
															listeners: {
																afterrender: {
																	fn: me.onContainerAfterRender5,
																	scope: me
																}
															}
														},
														{
															xtype: 'container',
															flex: 2,
															margin: '10 0 0 0',
															layout: {
																type: 'hbox',
																align: 'stretch',
																padding: '0 40'
															},
															items: [
																{
																	xtype: 'container',
																	flex: 1
																},
																{
																	xtype: 'button',
																	maxHeight: 50,
																	scale: 'large',
																	text: 'Tire-me daqui',
																	listeners: {
																		afterrender: {
																			fn: me.onButtonAfterRender14,
																			scope: me
																		},
																		click: {
																			fn: me.onButtonClick14,
																			scope: me
																		}
																	}
																},
																{
																	xtype: 'container',
																	flex: 1
																}
															]
														}
													],
													dockedItems: [
														{
															xtype: 'toolbar',
															dock: 'bottom',
															padding: 0,
															items: [
																{
																	xtype: 'progressbar',
																	flex: 1,
																	margins: '0',
																	height: 28,
																	hidden: true,
																	margin: 0,
																	padding: '4 0',
																	text: 'Carregando portas, aplicações e protocolos'
																}
															]
														},
														{
															xtype: 'toolbar',
															flex: 1,
															dock: 'bottom',
															padding: '0 40 40',
															items: [
																{
																	xtype: 'container',
																	flex: 1
																},
																{
																	xtype: 'button',
																	scale: 'medium',
																	text: 'Eu sei o que estou fazendo.',
																	listeners: {
																		afterrender: {
																			fn: me.onButtonAfterRender15,
																			scope: me
																		},
																		click: {
																			fn: me.onButtonClick15,
																			scope: me
																		}
																	}
																},
																{
																	xtype: 'container',
																	flex: 1
																}
															]
														}
													]
												},
												{
													xtype: 'container',
													flex: 1
												}
											]
										},
										{
											xtype: 'container',
											flex: 1
										}
									]
								},
								{
									xtype: 'container',
									region: 'south',
									height: 40,
									padding: 10
								}
							]
						},
						{
							xtype: 'container',
							padding: 15,
							style: 'background-color: #fff;',
							layout: 'border',
							items: [
								{
									xtype: 'panel',
									region: 'north',
									height: 58,
									hidden: true,
									html: '<h2>Registre e associe as portas, aplicações e procolos<h2>',
									id: 'ports-title',
									style: 'font-size: 10px;',
									listeners: {
										afterrender: {
											fn: me.onPanelAfterRender,
											scope: me
										}
									}
								},
								{
									xtype: 'gridpanel',
									updateStore: function() {
										var store = Ext.getCmp('ports_grid').getStore();
										store.clearFilter(true);

										store.filter([{
											property: "port",
											value: Ext.get('traffic_ports_number_filter-inputEl').getValue()
										},{
											property: "service",
											value: Ext.get('traffic_port_desc_filter-inputEl').getValue()
										},{
											property: "protocol",
											value: Ext.get('traffic_port_proto_filter-inputEl').getValue()
										}]);
									},
									addToCache: function(action, data) {
										if ((action === 'removed') && ((data.port) && (data.protocol) && (data.service))) {
											var obj, key = data.port + data.service + data.protocol;

											if (trafficConfig4.ports_cache.changed[key]) {
												obj = trafficConfig4.ports_cache.changed[key].old_values;
												delete(trafficConfig4.ports_cache.changed[key]);

												key = obj.port + obj.service + obj.protocol;
												trafficConfig4.ports_cache.removed[key] = obj;
											} else {
												trafficConfig4.ports_cache.removed[key] = data;
											}
										} else if (action === 'changed') {
											var keyOld = data.old_values.port + data.old_values.service + data.old_values.protocol;
											var keyNew = data.new_values.port + data.new_values.service + data.new_values.protocol;

											if (trafficConfig4.ports_cache.changed[keyOld]) {
												data.old_values = trafficConfig4.ports_cache.changed[keyOld].old_values;

												delete(trafficConfig4.ports_cache.changed[keyOld]);
											}

											trafficConfig4.ports_cache.changed[keyNew] = data;
										}

									},
									clearCache: function() {
										if (trafficConfig4.ports_cache !== undefined) {
											trafficConfig4.ports_cache = {};
											trafficConfig4.ports_cache.changed = {};
											trafficConfig4.ports_cache.removed = {};
										}
									},
									checkCachedItems: function(action, store) {
										if (trafficConfig4.ports_cache === undefined) {
											return;
										}

										if (trafficConfig4.ports_cache) {
											var keys = Object.keys(trafficConfig4.ports_cache[action]);

											if (keys.length > 0) {
												var tmp, removed_els = [];

												if (action === 'removed') {
													for (var i=0; i < keys.length; i++) {
														store.each(function(el) {
															tmp = el.get('port') + el.get('service') + el.get('protocol');
															if ((el) && (tmp === keys[i])) {
																removed_els.push(el);
															}
														});
													}

													store.remove(removed_els);
												} else if (action === 'changed') {
													var old_data, old_key;
													var grid = Ext.getCmp('ports_grid');

													var filter_port     = Ext.get('traffic_ports_number_filter-inputEl').getValue();
													var filter_service  = Ext.get('traffic_port_desc_filter-inputEl').getValue();
													var filter_protocol = Ext.get('traffic_port_proto_filter-inputEl').getValue();
													var regex_port     = new RegExp(".*" + filter_port + ".*");
													var regex_service  = new RegExp(".*" + filter_service + ".*");
													var regex_protocol = new RegExp(".*" + filter_protocol + ".*");

													store.each(function(el, index) {
														tmp = el.get('port') + el.get('service') + el.get('protocol');

														for (var i=0; i < keys.length; i++) {
															old_data = trafficConfig4.ports_cache.changed[keys[i]].old_values;
															old_key  = old_data.port + old_data.service + old_data.protocol;

															// Remove el to add with the new values
															if ((old_key === keys[i]) && (((el.get('port').match(regex_port) === null))
															|| (el.get('service').match(regex_service) === null)
															|| (el.get('protocol').match(regex_protocol) === null))) {
																removed_els.push(el);
															}

														}
													});

													store.remove(removed_els);

													// Add modified items in the first page
													if ((store.lastOptions.page === 1) || (store.count() === 0)) {
														Ext.each(trafficConfig4.ports_cache.changed, function(el) {
															keys = Object.keys(el);

															Ext.each(keys, function(key){
																if ((el[key].new_values.port.toString().match(regex_port))
																&& (el[key].new_values.service.match(regex_service))
																&& (el[key].new_values.protocol.match(regex_protocol))) {

																	store.insert(0, el[key].new_values);
																}
															});
														});
													}

												}
											}
										}
									},
									showMessageBox: function(type, text) {
										Ext.MessageBox.show({
											width:		350,
											closable:	false,
											msg:		t(text),
											buttons:	Ext.MessageBox.OK,
											icon:		(type === "info") ? Ext.MessageBox.INFO : Ext.MessageBox.ERROR
										});

									},
									region: 'center',
									id: 'ports_grid',
									autoScroll: true,
									title: 'Registro de Protocolos de Aplicação',
									enableColumnHide: false,
									enableColumnMove: false,
									forceFit: false,
									sortableColumns: false,
									store: 'ports_json',
									columns: [
										{
											xtype: 'gridcolumn',
											renderer: function(value, metaData, record, rowIndex, colIndex, store, view) {
												metaData.tdAttr = 'data-qtip="' + t('Double-click to edit') + '"';
												return value;
											},
											width: 115,
											resizable: false,
											sortable: true,
											weight: 80,
											dataIndex: 'port',
											hideable: false,
											text: 'Porta',
											editor: {
												xtype: 'numberfield',
												allowDecimals: false,
												allowExponential: false,
												decimalPrecision: 0
											},
											listeners: {
												afterrender: {
													fn: me.onGridcolumnAfterRender,
													scope: me
												}
											}
										},
										{
											xtype: 'gridcolumn',
											renderer: function(value, metaData, record, rowIndex, colIndex, store, view) {
												metaData.tdAttr = 'data-qtip="' + t('Double-click to edit') + '"';
												return value;
											},
											resizable: false,
											sortable: true,
											dataIndex: 'service',
											groupable: false,
											hideable: false,
											text: 'Aplicação',
											flex: 5,
											editor: {
												xtype: 'textfield',
												itemId: 'mytextfield1'
											},
											listeners: {
												afterrender: {
													fn: me.onGridcolumnAfterRender1,
													scope: me
												}
											}
										},
										{
											xtype: 'gridcolumn',
											renderer: function(value, metaData, record, rowIndex, colIndex, store, view) {
												metaData.tdAttr = 'data-qtip="' + t('Double-click to edit') + '"';
												return value;
											},
											width: 110,
											resizable: false,
											sortable: true,
											align: 'center',
											dataIndex: 'protocol',
											groupable: false,
											hideable: false,
											text: 'Protocolo',
											editor: {
												xtype: 'combobox',
												store: [
													'udp',
													'tcp',
													'ddp'
												]
											},
											listeners: {
												afterrender: {
													fn: me.onGridcolumnAfterRender2,
													scope: me
												}
											}
										},
										{
											xtype: 'actioncolumn',
											width: 30,
											resizable: false,
											hideable: false,
											menuText: 'Remove',
											icon: 'resources/minus-circle_e8421e_16.png',
											items: [
												{
													handler: function(view, rowIndex, colIndex, item, e, record, row) {
														var grid = Ext.getCmp('ports_grid');
														var store = Ext.getCmp('ports_grid').getStore();
														var data = {
															'port':     record.get('port'),
															'service':  record.get('service'),
															'protocol': record.get('protocol')
														};


														Ext.MessageBox.show({
															width: 350,
															closable: false,
															msg: t('Do you want to remove the port') + data.port + ' ?',
															buttons: Ext.MessageBox.YESNO,
															buttonText: {yes: t('Yes'), no: t('No')},
															fn: function (buttonName) {
																if (buttonName == 'yes') {
																	grid.addToCache('removed', data);
																	store.remove(record);
																	store.sync();

																}
															}
														});
													},
													disabled: false,
													icon: 'resources/minus-circle_e8421e_16.png',
													tooltip: 'Remover item'
												}
											],
											listeners: {
												afterrender: {
													fn: me.onActioncolumnAfterRender,
													scope: me
												}
											}
										}
									],
									viewConfig: {
										autoScroll: false
									},
									dockedItems: [
										{
											xtype: 'panel',
											dock: 'top',
											height: 42,
											width: 100,
											bodyCls: 'x-panel-header-light',
											bodyPadding: 10,
											layout: {
												type: 'hbox',
												align: 'stretch'
											},
											items: [
												{
													xtype: 'label',
													margin: '4 0 0 0',
													text: 'Identifique, registre e altere portas e protocolos de aplicação. Estas informações serão utilizadas para o armazenamento e apresentação dos dados.',
													listeners: {
														afterrender: {
															fn: me.onLabelAfterRender2,
															scope: me
														}
													}
												},
												{
													xtype: 'container',
													flex: 1
												},
												{
													xtype: 'button',
													text: 'Adicionar novo Protocolo de Aplicação',
													listeners: {
														click: {
															fn: me.onButtonClick1,
															scope: me
														},
														afterrender: {
															fn: me.onButtonAfterRender,
															scope: me
														}
													}
												}
											]
										},
										{
											xtype: 'toolbar',
											dock: 'top',
											cls: 'x-grid-header-ct',
											padding: 0,
											layout: {
												type: 'hbox',
												defaultMargins: {
													top: 0,
													right: 0,
													bottom: 0,
													left: 0
												}
											},
											items: [
												{
													xtype: 'container',
													margins: '0',
													margin: 0,
													width: 115,
													layout: {
														type: 'hbox',
														align: 'stretch',
														padding: 5
													},
													items: [
														{
															xtype: 'textfield',
															flex: 2,
															margins: '0',
															id: 'traffic_ports_number_filter',
															margin: 0,
															hideLabel: true,
															emptyText: 'Filtrar por porta',
															enableKeyEvents: true,
															listeners: {
																keyup: {
																	fn: me.onPorts_filterKeyup,
																	single: false,
																	scope: me
																},
																afterrender: {
																	fn: me.onTraffic_ports_number_filterAfterRender,
																	scope: me
																}
															}
														}
													]
												},
												{
													xtype: 'container',
													flex: 5,
													margins: '0',
													margin: 0,
													layout: {
														type: 'hbox',
														align: 'stretch',
														padding: 5
													},
													items: [
														{
															xtype: 'textfield',
															flex: 5,
															margins: '0',
															id: 'traffic_port_desc_filter',
															margin: 0,
															fieldLabel: 'Label',
															hideLabel: true,
															emptyText: 'Filtrar por Aplicação',
															enableKeyEvents: true,
															listeners: {
																keyup: {
																	fn: me.onTraffic_port_desc_filterKeyup,
																	single: false,
																	scope: me
																},
																afterrender: {
																	fn: me.onTraffic_port_desc_filterAfterRender,
																	scope: me
																}
															}
														}
													]
												},
												{
													xtype: 'container',
													margins: '0',
													margin: 0,
													width: 110,
													layout: {
														type: 'hbox',
														align: 'stretch',
														padding: 5
													},
													items: [
														{
															xtype: 'combobox',
															flex: 1,
															margins: '0',
															id: 'traffic_port_proto_filter',
															margin: 0,
															fieldLabel: 'Label',
															hideLabel: true,
															emptyText: 'Protocolo',
															store: [
																'udp',
																'tcp',
																'ddp'
															],
															listeners: {
																change: {
																	fn: me.onTraffic_port_proto_filterChange,
																	single: false,
																	scope: me
																},
																afterrender: {
																	fn: me.onTraffic_port_proto_filterAfterRender,
																	scope: me
																}
															}
														}
													]
												},
												{
													xtype: 'container',
													margins: '0',
													margin: 0,
													width: 46
												}
											]
										},
										{
											xtype: 'toolbar',
											dock: 'bottom',
											height: 40,
											items: [
												{
													xtype: 'button',
													id: 'ports-cancel-button',
													text: 'Cancelar',
													listeners: {
														click: {
															fn: me.onButtonClick,
															scope: me
														},
														afterrender: {
															fn: me.onButtonAfterRender1,
															scope: me
														}
													}
												},
												{
													xtype: 'container',
													flex: 1,
													items: [
														{
															xtype: 'progressbar',
															progressBarEnd: function(msg, delay, save_btn, cancel_btn) {
																this.reset();
																this.updateProgress(1, msg, true);
																var timer = setInterval(function(){
																	cancel_btn.enable();
																	save_btn.enable();
																	Ext.getCmp('ports-progress-bar').hide();
																	clearInterval(timer);
																}, delay);
															},
															height: 28,
															hidden: true,
															id: 'ports-progress-bar',
															margin: 0,
															padding: '4 0',
															text: 'Registrando alterações'
														}
													]
												},
												{
													xtype: 'container',
													items: [
														{
															xtype: 'button',
															id: 'ports-save-button',
															text: 'Salvar alterações',
															listeners: {
																afterrender: {
																	fn: me.onButtonAfterRender2,
																	scope: me
																},
																click: {
																	fn: me.onButtonClick2,
																	scope: me
																}
															}
														}
													]
												}
											]
										},
										{
											xtype: 'pagingtoolbar',
											dock: 'bottom',
											width: 360,
											displayInfo: true,
											store: 'ports_json',
											listeners: {
												change: {
													fn: me.onPagingtoolbarChange,
													scope: me
												}
											}
										}
									],
									plugins: [
										Ext.create('Ext.grid.plugin.RowEditing', {
											listeners: {
												edit: {
													fn: me.onRowEditingEdit,
													scope: me
												}
											}
										})
									],
									listeners: {
										afterrender: {
											fn: me.onPorts_gridAfterRender,
											scope: me
										},
										beforerender: {
											fn: me.onPorts_gridBeforeRender,
											scope: me
										}
									}
								}
							]
						},
						{
							xtype: 'container'
						},
						{
							xtype: 'container'
						},
						{
							xtype: 'container',
							id: 'remote_conf',
							layout: 'border',
							items: [
								{
									xtype: 'toolbar',
									flex: 1,
									region: 'north',
									height: 40,
									maxHeight: 60,
									style: 'background-color: transparent;'
								},
								{
									xtype: 'container',
									showMessageBox: function(type, text) {
										Ext.MessageBox.show({
											width:		350,
											closable:	false,
											msg:		t(text),
											buttons:	Ext.MessageBox.OK,
											icon:		(type === "info") ? Ext.MessageBox.INFO : Ext.MessageBox.ERROR,
											fn: function() {
												if ((type === "info") && (traffic_instalation === 1)) {
													Ext.getCmp("wrapper").getLayout().setActiveItem(1);
												}
											}
										});

									},
									region: 'center',
									id: 'remote_wrapper',
									layout: {
										type: 'hbox',
										align: 'stretch'
									},
									items: [
										{
											xtype: 'container',
											flex: 1
										},
										{
											xtype: 'container',
											flex: 2,
											maxWidth: 460,
											layout: {
												type: 'vbox',
												align: 'stretch',
												pack: 'center'
											},
											items: [
												{
													xtype: 'form',
													margin: '40 0',
													maxHeight: 260,
													minHeight: 260,
													style: '-webkit-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75); -moz-box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75); box-shadow: 0px 0px 8px 0px rgba(50, 50, 50, 0.75);',
													width: 460,
													title: 'Configure a localização remota do OpMon Traffic Analyzer',
													layout: {
														type: 'vbox',
														align: 'stretch',
														padding: '15 20'
													},
													items: [
														{
															xtype: 'fieldcontainer',
															margin: '0 0 10 0',
															layout: {
																type: 'hbox',
																align: 'stretch'
															},
															items: [
																{
																	xtype: 'label',
																	flex: 1,
																	margin: '5 5 0 9',
																	text: 'IP'
																},
																{
																	xtype: 'textfield',
																	disabled: true,
																	id: 'ip_field',
																	width: 120,
																	labelSeparator: ' ',
																	labelWidth: 55,
																	value: '192.168.10.999'
																},
																{
																	xtype: 'checkboxfield',
																	id: 'ip_overwrite',
																	padding: '0 0 0 10',
																	width: 170,
																	fieldLabel: '',
																	boxLabel: 'sobrescrever padrão',
																	listeners: {
																		afterrender: {
																			fn: me.onCheckboxfieldAfterRender3,
																			scope: me
																		},
																		change: {
																			fn: me.onCheckboxfieldChange1,
																			scope: me
																		}
																	}
																}
															]
														},
														{
															xtype: 'fieldset',
															title: '<strong>Netflow</strong>',
															items: [
																{
																	xtype: 'fieldcontainer',
																	layout: {
																		type: 'hbox',
																		align: 'stretch'
																	},
																	items: [
																		{
																			xtype: 'label',
																			flex: 1,
																			margin: '5 10 0 0',
																			text: 'port_label',
																			listeners: {
																				afterrender: {
																					fn: me.onLabelAfterRender1,
																					scope: me
																				}
																			}
																		},
																		{
																			xtype: 'numberfield',
																			validator: function(value) {
																				var port_field = Ext.getCmp("port_field").getValue();
																				var sflow_port_field = Ext.getCmp("sflow_port_field").getValue();
																				var errMsg = undefined;

																				if (port_field === sflow_port_field) {
																					errMsg = t("This port is already used by Netflow");
																				} else if (port_field < 1) {
																					errMsg = t("The lowest number allowed for ports is") + " 1";
																				} else if (port_field > 65535) {
																					errMsg = t("The greatest number allowed for ports is") + " 65535";
																				}

																				return (errMsg !== undefined) ? errMsg : true;
																			},
																			disabled: true,
																			id: 'port_field',
																			width: 120,
																			labelSeparator: ' ',
																			labelWidth: 55
																		},
																		{
																			xtype: 'checkboxfield',
																			id: 'port_overwrite',
																			padding: '0 0 0 10',
																			width: 160,
																			fieldLabel: '',
																			boxLabel: 'sobrescrever padrão',
																			listeners: {
																				afterrender: {
																					fn: me.onCheckboxfieldAfterRender2,
																					scope: me
																				},
																				change: {
																					fn: me.onCheckboxfieldChange2,
																					scope: me
																				}
																			}
																		}
																	]
																}
															]
														},
														{
															xtype: 'fieldset',
															margin: '10 0 0 0',
															title: '<strong>SFlow</strong>',
															items: [
																{
																	xtype: 'fieldcontainer',
																	layout: {
																		type: 'hbox',
																		align: 'stretch'
																	},
																	items: [
																		{
																			xtype: 'label',
																			flex: 1,
																			margin: '5 10 0 0',
																			text: 'port_label',
																			listeners: {
																				afterrender: {
																					fn: me.onLabelAfterRender11,
																					scope: me
																				}
																			}
																		},
																		{
																			xtype: 'numberfield',
																			validator: function(value) {
																				var port_field = Ext.getCmp("port_field").getValue();
																				var sflow_port_field = Ext.getCmp("sflow_port_field").getValue();
																				var errMsg = undefined;

																				if (port_field === sflow_port_field) {
																					errMsg = t("This port is already used by Netflow");
																				} else if (sflow_port_field < 1) {
																					errMsg = t("The lowest number allowed for ports is") + " 1";
																				} else if (sflow_port_field > 65535) {
																					errMsg = t("The greatest number allowed for ports is") + " 65535";
																				}

																				return (errMsg !== undefined) ? errMsg : true;
																			},
																			disabled: true,
																			id: 'sflow_port_field',
																			width: 120,
																			labelSeparator: ' ',
																			labelWidth: 55
																		},
																		{
																			xtype: 'checkboxfield',
																			id: 'sflow_port_overwrite',
																			padding: '0 0 0 10',
																			width: 160,
																			fieldLabel: '',
																			boxLabel: 'sobrescrever padrão',
																			listeners: {
																				afterrender: {
																					fn: me.onCheckboxfieldAfterRender21,
																					scope: me
																				},
																				change: {
																					fn: me.onCheckboxfieldChange21,
																					scope: me
																				}
																			}
																		}
																	]
																}
															]
														}
													],
													listeners: {
														afterrender: {
															fn: me.onFormAfterRender,
															scope: me
														}
													},
													dockedItems: [
														{
															xtype: 'toolbar',
															flex: 1,
															dock: 'bottom',
															height: 50,
															maxHeight: 50,
															items: [
																{
																	xtype: 'container',
																	flex: 1
																},
																{
																	xtype: 'button',
																	text: 'Salvar',
																	listeners: {
																		afterrender: {
																			fn: me.onButtonAfterRender12,
																			scope: me
																		},
																		click: {
																			fn: me.onButtonClick12,
																			scope: me
																		}
																	}
																},
																{
																	xtype: 'container'
																}
															]
														}
													]
												},
												{
													xtype: 'container',
													flex: 1
												}
											]
										},
										{
											xtype: 'container',
											flex: 1
										}
									],
									listeners: {
										beforerender: {
											fn: me.onContainerBeforeRender,
											scope: me
										}
									}
								},
								{
									xtype: 'container',
									region: 'south',
									height: 40,
									padding: 10,
									items: [
										{
											xtype: 'button',
											hidden: true,
											id: 'remote_back_button',
											text: 'Voltar',
											listeners: {
												click: {
													fn: me.onRemote_back_buttonClick,
													scope: me
												},
												afterrender: {
													fn: me.onRemote_back_buttonAfterRender,
													scope: me
												}
											}
										}
									]
								}
							]
						}
					],
					listeners: {
						beforerender: {
							fn: me.onWrapperBeforeRender,
							scope: me
						}
					}
				}
			]
		});

		me.callParent(arguments);
	},

	onContainerAfterRender: function(component, eOpts) {
		component.update("<h2 style='line-height1.20; margin-bottom: 0; font-size:18px;'>" + t("Welcome to OpMon Traffic Analyzer") + "</h2>");
	},

	onContainerAfterRender3: function(component, eOpts) {
		component.update("<p>" + t("Are you ready to visualize all your network flow?") + "</p>");
	},

	onButtonAfterRender3: function(component, eOpts) {
		component.setText(t("Start the configuration!"));
	},

	onButtonClick3: function(button, e, eOpts) {
		var pbar = Ext.getCmp('probes-search-progress-bar');
		var store = Ext.getCmp('probes_grid').getStore();

		button.disable();
		pbar.show();

		pbar.wait({
			interval: 20,
			duration: 10000,
			increment: 475,
			text: t("Searching for sources of network traffic"),
		});

		store.load(function(records, operation, success) {
			if ((records === null) || (records.length <= 0)) {
				Ext.getCmp("wrapper").getLayout().setActiveItem(3);
				pbar.hide();
			} else {
				Ext.getCmp("wrapper").getLayout().setActiveItem(1);
				text = t("%COUNT% probes found. Mark which you want to monitor with the OpMon Traffic Analyzer.");
				regex = new RegExp("%COUNT% probes");
				text = text.replace(regex, "<strong>" + records.length + " probes</strong>");
				Ext.getCmp('probes_grid').showMessageBox("info", text, t("Start selection"));
				pbar.hide();
			}
		});

		Ext.Ajax.request({url: '/opmon/seagull/www/index.php/traffic/action/put_traffic_on_boot/'});
	},

	onCheckboxfieldAfterRender: function(component, eOpts) {
		component.setBoxLabel(t("I want to monitoring OpMon Traffic Analyzer's internal traffic"));
	},

	onButtonAfterRender4: function(component, eOpts) {
		component.setText(t("I want to know more about OpMon Traffic Analyzer"));
	},

	onButtonClick9: function(button, e, eOpts) {
		window.open('http://www.opservices.com.br/gerenciamento-de-redes/', '_blank');
	},

	onPanelAfterRender11: function(component, eOpts) {
		component.update("<h2 style='font-size:18px;'>" + t("Select the probes you want to monitor") + "</h2>");
		if (traffic_instalation === 1) {
			component.show();
		}
	},

	onLabelAfterRender: function(component, eOpts) {
		component.setText(t("We find the following probes. Check the probes you want to monitor."));
	},

	onCheckboxfieldChange: function(field, newValue, oldValue, eOpts) {
		var store = Ext.getCmp('probes_grid').getStore();

		for (i=0; i < store.data.items.length; i++) {
		    store.data.items[i].set('active', newValue);
		}

		Ext.getCmp('probes_grid').getView().refresh();
	},

	onTextfieldAfterRender: function(component, eOpts) {
		component.emptyText = t("Filter by probe");
		component.applyEmptyText();
	},

	onTextfieldKeyup: function(textfield, e, eOpts) {
		Ext.getCmp('probes_view').filter_probes();
	},

	onTextfieldAfterRender1: function(component, eOpts) {
		component.emptyText = t("Filter by") + " IP";
		component.applyEmptyText();
	},

	onFilter_interface_nameKeyup: function(textfield, e, eOpts) {
		Ext.getCmp('probes_view').filter_probes();

	},

	onButtonClick17: function(button, e, eOpts) {
		var store = Ext.getCmp('probes_grid').getStore();

		store.reload();
	},

	onButtonAfterRender17: function(component, eOpts) {
		component.setText(t("Refresh list"));
	},

	onCheckcolumnCheckChange: function(checkcolumn, rowIndex, checked, eOpts) {
		var store		= Ext.getCmp('probes_grid').getStore();
		var checked		= 0;
		var top_check_box = Ext.getCmp('top_checkbox');

		store.each(function(record){
			if (record.get('active') === true) {
				checked++;
			} else {
				checked--;
			}
		});


		if (checked >= store.getTotalCount()) {
			top_check_box.setValue(true);
		} else {
			top_check_box.suspendEvent('change');
			top_check_box.setValue(false);
			top_check_box.resumeEvent('change');
		}

	},

	onActioncolumnBeforeRender: function(component, eOpts) {
		component.tooltip = t('Delete');
	},

	onActioncolumnClick: function(view, rowIndex, colIndex, item, e, record, row) {
		if (record.get('active')) {
			Ext.getCmp('probes_grid').showMessageBox("info", t('Active probes can not be removed'));
			return false;
		}

		Ext.MessageBox.show({
			width: 350,
			closable: false,
			msg: t('Do you want to remove the probe') + ' [' + record.get('name') + '] ?',
			buttons: Ext.MessageBox.YESNO,
			buttonText: {yes: t('Yes'), no: t('No')},
			icon:	Ext.MessageBox.WARNING,
			fn: function (buttonName) {
				if (buttonName == 'yes') {
					var store = Ext.getStore('probes');
					store.remove(record);
					store.sync();
					store.load();
				}
			}
		});
	},

	onButtonAfterRender16: function(component, eOpts) {
		component.setText(t("How do I add a probe?"));
	},

	onButtonClick16: function(button, e, eOpts) {
		window.open('http://kb.opservices.com.br/article-categories/ota-config/','_blank');
	},

	onButtonAfterRender6: function(component, eOpts) {
		component.setText(t("I am ready! Begin to monitor my traffic."));
	},

	onButtonClick5: function(button, e, eOpts) {
		var store = Ext.getCmp('probes_grid').getStore();
		var can_forward = false;

		store.each(function(record){
			if (record.get('active')) {
				can_forward = true;
			}
		});

		if (can_forward) {
			if (store.getUpdatedRecords().length === 0) {
				Ext.getCmp("wrapper").getLayout().setActiveItem(2);
				return;
			}

			store.sync({
				success: function() {
					Ext.getCmp("wrapper").getLayout().setActiveItem(2);
				},
				failure: function() {
					grid.showMessageBox('error', 'Unable to connect to server');
				}
			});
		}
	},

	onButtonAfterRender5: function(component, eOpts) {
		component.setText(t("Save changes"));
	},

	onButtonClick4: function(button, e, eOpts) {
		var store = Ext.getCmp('probes_grid').getStore();
		store.sync({
			success: function() {
				store.reload();
			},
			failure: function() {
				Ext.getCmp('probes_grid').showMessageBox('error', 'Unable to connect to server');
			}
		});
	},

	onServer_port_changeClick: function(button, e, eOpts) {
		Ext.getCmp("wrapper").getLayout().setActiveItem(8);
	},

	onServer_port_changeAfterRender: function(component, eOpts) {
		component.setText(t("Change ports"));
	},

	onContainerAfterRender1: function(component, eOpts) {

		component.update("<h1>" + t("Setup finished!") + "</h1>");
	},

	onContainerAfterRender6: function(component, eOpts) {
		component.update('<p>' + t("The traffic analysis environment is ready for you.") + '</p>');
	},

	onButtonAfterRender9: function(component, eOpts) {
		component.setText(t("I want to go to the traffic dashboard!"));
	},

	onButtonClick8: function(button, e, eOpts) {
		var o = {
			end: true
		};

		Ext.Ajax.request({
			url: '/opmon/seagull/www/index.php/traffic/action/first_execution/',
			method:	'get',
			timeout: 10000,
			params: {jsonData:Ext.JSON.encode(o)},
			success: function(result) {
				window.top.location.href = "/opmon/seagull/www/index.php/opinterface/action/index/?initial_page=%2Fopmon%2Fseagull%2Fmodules%2Ftraffic%2Ftemplates%2Findex.php";;
			}
		});
	},

	onButtonAfterRender8: function(component, eOpts) {
		component.setText(t("I want to configure ports and protocol applications"));
	},

	onButtonClick7: function(button, e, eOpts) {
		Ext.getCmp("wrapper").getLayout().setActiveItem(5);

		var store = Ext.getCmp('ports_grid').getStore();
		store.reload();
	},

	onButtonAfterRender7: function(component, eOpts) {
		component.setText(t("I want to add more probes"));
	},

	onButtonClick6: function(button, e, eOpts) {
		Ext.getCmp("wrapper").getLayout().setActiveItem(1);

		var store = Ext.getCmp('probes_grid').getStore();
		store.reload();
	},

	onContainerAfterRender2: function(component, eOpts) {
		component.update("<h1>" + t("The OpMon Traffic Analyzer found no source of traffic") + "</h1>");
	},

	onContainerAfterRender7: function(component, eOpts) {
		component.update('<p>' + t("Make sure you have enabled your probe's netflow correctly.") + '</p>');
	},

	onCheckboxfieldAfterRender1: function(component, eOpts) {
		component.setBoxLabel(t("I want to monitoring OpMon Traffic Analyzer's internal traffic"));
	},

	onButtonAfterRender11: function(component, eOpts) {
		component.setText(t("Recheck"));
	},

	onButtonClick11: function(button, e, eOpts) {

		var pbar = Ext.getCmp('probes-search-progress-bar2');

		button.disable();
		pbar.show();

		pbar.wait({
		    interval: 20,
		    duration: 10000,
		    increment: 475,
		    text: t("Searching for sources of network traffic"),
		    scope: this
		});

		var store = Ext.getCmp('probes_grid').getStore();

		store.load(function(records, operation, success) {

			if ((records === null) || (records.length <= 0)) {
				pbar.progressBarEnd(t("Any probes weren't found. Try again."), 5000, button);
			} else {
				pbar.progressBarEnd(t("Success"), 1000, button);

				Ext.getCmp("wrapper").getLayout().setActiveItem(1);
				text = t("%COUNT% probes found. Mark which you want to monitor with the OpMon Traffic Analyzer.");
				regex = new RegExp("%COUNT% " + t("probes"));
				text = text.replace(regex, "<strong>" + records.length + " " + t("probes") + "</strong>");
				Ext.getCmp('probes_grid').showMessageBox("info", text, t("Start selection"));
			}
		});
	},

	onButtonAfterRender10: function(component, eOpts) {
		component.setText(t("How do I add a probe?"));
	},

	onButtonClick10: function(button, e, eOpts) {
		window.open('http://kb.opservices.com.br/probes/', '_blank');
	},

	onContainerAfterRender4: function(component, eOpts) {
		component.update("<h1>" + t("Caution") + "</h1>");
	},

	onContainerAfterRender5: function(component, eOpts) {
		component.update("<p>" + "The OpMon Traffic Analizer already has settings for ports, protocols and applications. Changes to these settings will impact the way data is stored and presented." + "</p>");
	},

	onButtonAfterRender14: function(component, eOpts) {
		component.setText(t("Get me out of here"));
	},

	onButtonClick14: function(button, e, eOpts) {
		Ext.getCmp("wrapper").getLayout().setActiveItem(2);
	},

	onButtonAfterRender15: function(component, eOpts) {
		component.setText(t("I know what I'm doing."));
	},

	onButtonClick15: function(button, e, eOpts) {
		var store = Ext.getCmp('ports_grid').getStore();

		store.reload();

		Ext.getCmp("wrapper").getLayout().setActiveItem(7);
	},

	onPanelAfterRender: function(component, eOpts) {
		component.update("<h2>" + t("Register and associate ports, applications and protocols") + "</h2>");
		if (traffic_instalation === 1) {
			component.show();
		}
	},

	onGridcolumnAfterRender: function(component, eOpts) {
		component.setText(t("Port"));
	},

	onGridcolumnAfterRender1: function(component, eOpts) {
		component.setText(t("Application"));
	},

	onGridcolumnAfterRender2: function(component, eOpts) {
		component.setText(t("Protocol"));
	},

	onLabelAfterRender2: function(component, eOpts) {
		component.setText(t("Identify, register and change ports and application protocols. This information will be used to storage and data presentation."));
	},

	onButtonClick1: function(button, e, eOpts) {
		var store, grid = Ext.getCmp('ports_grid');

		if (grid) {
			store = grid.getStore();
			store.insert(0, {port:0,service:'service_name',protocol:'tcp'});
			grid.plugins[0].startEdit(0);
		}
	},

	onButtonAfterRender: function(component, eOpts) {
		component.setText(t("Add new Application Protocol"));
	},

	onPorts_filterKeyup: function(textfield, e, eOpts) {
		if (trafficConfig4.timeout.ports_keyup !== undefined) {
			clearTimeout(trafficConfig4.timeout.ports_keyup);
		}

		trafficConfig4.timeout.ports_keyup = setTimeout(function(){
			Ext.getCmp('ports_grid').updateStore();
			delete(trafficConfig4.timeout.ports_keyup);
		}, 500);

	},

	onTraffic_ports_number_filterAfterRender: function(component, eOpts) {
		component.emptyText = t("Filter by port");
		component.applyEmptyText();
	},

	onTraffic_port_desc_filterKeyup: function(textfield, e, eOpts) {
		if (trafficConfig4.timeout.service_keyup !== undefined) {
			clearTimeout(trafficConfig4.timeout.service_keyup);
		}

		trafficConfig4.timeout.service_keyup = setTimeout(function(){
			Ext.getCmp('ports_grid').updateStore();
			delete(trafficConfig4.timeout.service_keyup);
		}, 500);

	},

	onTraffic_port_desc_filterAfterRender: function(component, eOpts) {
		component.emptyText = t("Filter by Application");
		component.applyEmptyText();
	},

	onTraffic_port_proto_filterChange: function(field, newValue, oldValue, eOpts) {
		if (trafficConfig4.timeout.protocol_keyup !== undefined) {
			clearTimeout(trafficConfig4.timeout.protocol_keyup);
		}

		trafficConfig4.timeout.protocol_keyup = setTimeout(function(){
			Ext.getCmp('ports_grid').updateStore();
			delete(trafficConfig4.timeout.protocol_keyup);
		}, 500);
	},

	onTraffic_port_proto_filterAfterRender: function(component, eOpts) {
		component.emptyText = t("Protocol");
		component.applyEmptyText();
	},

	onButtonClick: function(button, e, eOpts) {
		var grid = Ext.getCmp('ports_grid');
		grid.clearCache();

		if (trafficConfig4.instalation == 1) {
			Ext.getCmp("wrapper").getLayout().setActiveItem(2);
		}
	},

	onButtonAfterRender1: function(component, eOpts) {
		component.setText(t("Cancel"));
	},

	onButtonAfterRender2: function(component, eOpts) {
		component.setText(t("Save Changes"));
	},

	onButtonClick2: function(button, e, eOpts) {
		var pbar = Ext.getCmp('ports-progress-bar');
		var cancel_button = Ext.getCmp('ports-cancel-button');
		var grid = Ext.getCmp('ports_grid');
		var store = grid.getStore();

		cancel_button.disable();
		button.disable();
		pbar.show();

		pbar.wait({
		    interval: 20,
		    duration: 10000,
		    increment: 475,
		    text: t("Registering changes"),
		    scope: this
		});

		if (trafficConfig4.ports_cache === undefined) {
			pbar.progressBarEnd(t("Success"), 1000, button, cancel_button);
			if (trafficConfig4.instalation == 1) {
				grid.showMessageBox('info', 'Configuration of application protocols performed successfully');
			}

		} else {
			Ext.Ajax.request({
				url: '/opmon/seagull/www/index.php/traffic/action/ports/',
				method:	'post',
				params: {operation: "save_changes", jsonData: Ext.JSON.encode(trafficConfig4.ports_cache)},
				timeout: 10000,
				success: function(result) {
					pbar.progressBarEnd(t("Success"), 1000, button, cancel_button);
					delete(trafficConfig4.ports_cache);
					store.reload();
					if (trafficConfig4.instalation == 1) {
						Ext.MessageBox.show({
							width:		350,
							closable:	false,
							msg:		t('Configuration of application protocols performed successfully'),
							buttons:	Ext.MessageBox.OK,
							icon:		Ext.MessageBox.INFO,
							fn: function() {
								Ext.getCmp("wrapper").getLayout().setActiveItem(2);
							}
						});
					}
				},
				failure: function() {
					pbar.progressBarEnd(t("Fail"), 5000, button, cancel_button);
					grid.showMessageBox('error', 'Unable to connect to server');
				}
			});
		}


	},

	onActioncolumnAfterRender: function(component, eOpts) {
		component.items[0].tooltip = t("Remove Item");

	},

	onPagingtoolbarChange: function(pagingtoolbar, pageData, eOpts) {
		pagingtoolbar.items.items[3].setText(t("Page"));

		var str = pagingtoolbar.items.items[5].text.replace(/(.*)of(.*)/,"$1" + t("of") + "$2");
		pagingtoolbar.items.items[5].setText(str);

		str = pagingtoolbar.items.items[12].text.replace(/(.*)of(.*)/,"$1" + t("of") + "$2");
		str = str.replace(/Displaying(.*)/, t("Displaying") + "$1");
		pagingtoolbar.items.items[12].setText(str);

		pagingtoolbar.items.map.first.setTooltip(t("First Page"));
		pagingtoolbar.items.map.prev.setTooltip(t("Previous Page"));
		pagingtoolbar.items.map.next.setTooltip(t("Next Page"));
		pagingtoolbar.items.map.last.setTooltip(t("Last Page"));
		pagingtoolbar.items.map.refresh.setTooltip(t("Refresh"));

	},

	onRowEditingEdit: function(editor, context, eOpts) {
		var data = {}, grid = Ext.getCmp('ports_grid');

		data = {
			'old_values': {
				'port':     context.originalValues.port,
				'service':  context.originalValues.service,
				'protocol': context.originalValues.protocol
			},
			'new_values': {
				'port':     context.newValues.port.toString(),
				'service':  context.newValues.service,
				'protocol': context.newValues.protocol
			}
		};

		if (grid) {
			grid.addToCache('changed', data);
		}
	},

	onPorts_gridAfterRender: function(component, eOpts) {
		component.setTitle(t("Application protocols registry"));

	},

	onPorts_gridBeforeRender: function(component, eOpts) {
		if (trafficConfig4.instalation == 1) {
			Ext.getCmp('ports-title').show();
		}
	},

	onWrapperBeforeRender: function(component, eOpts) {
		Ext.Ajax.request({
			url: '/opmon/seagull/www/index.php/traffic/action/first_execution/',
			method:	'get',
			timeout: 10000,
			success: function(result) {
				var obj = Ext.JSON.decode(result.responseText);
				trafficConfig4.instalation = obj.first_execution;

				if (trafficConfig4.instalation == 1) {
					Ext.getCmp('probes_save_btn_default').hide();
					Ext.getCmp('probes_save_btn_install').show();
					Ext.getCmp('ports-cancel-button').show();
					Ext.getCmp('server_port_container').show();
					Ext.getCmp('remote_back_button').show();
					Ext.getCmp('probes_grid').updatePortMessage();
					Ext.getCmp('remote_conf').addCls('traffic-content');

					component.getLayout().setActiveItem(0);
				} else {
					switch (module) {
						case 'ports': idx=5; break;
						case 'probes': idx=1; break;
						case 'cluster': idx=8; break;
						default: return 1;
					}
					component.getLayout().setActiveItem(idx);
				}
			},
			failure: function() {
				component.getLayout().setActiveItem(7);
			}
		});

	},

	onCheckboxfieldAfterRender3: function(component, eOpts) {
		component.setBoxLabel(t("Overwrite default"));
	},

	onCheckboxfieldChange1: function(field, newValue, oldValue, eOpts) {
		if (newValue === true) {
			Ext.getCmp('ip_field').enable();
		} else {
			Ext.getCmp('ip_field').disable();
		}
	},

	onFormAfterRender: function(component, eOpts) {
		component.setTitle(t("Configure the IP and port of the OpMon Traffic Analyzer"));
	},

	onLabelAfterRender1: function(component, eOpts) {
		component.setText(t("Port"));
	},

	onCheckboxfieldAfterRender2: function(component, eOpts) {
		component.setBoxLabel(t("Overwrite default"));
	},

	onCheckboxfieldChange2: function(field, newValue, oldValue, eOpts) {
		if (newValue === true) {
			Ext.getCmp('port_field').enable();
		} else {
			Ext.getCmp('port_field').disable();
		}
	},

	onLabelAfterRender11: function(component, eOpts) {
		component.setText(t("Port"));
	},

	onCheckboxfieldAfterRender21: function(component, eOpts) {
		component.setBoxLabel(t("Overwrite default"));
	},

	onCheckboxfieldChange21: function(field, newValue, oldValue, eOpts) {
		if (newValue === true) {
			Ext.getCmp('sflow_port_field').enable();
		} else {
			Ext.getCmp('sflow_port_field').disable();
		}
	},

	onButtonAfterRender12: function(component, eOpts) {
		component.setText(t("Save"));
	},

	onButtonClick12: function(button, e, eOpts) {

		var ip_value = Ext.getCmp("ip_field").getValue();
		var port_value = Ext.getCmp("port_field").getValue();
		var ip_overwrite = Ext.getCmp("ip_overwrite").getValue();
		var port_overwrite = Ext.getCmp("port_overwrite").getValue();

		var sflow_port_value = Ext.getCmp("sflow_port_field").getValue();
		var sflow_port_overwrite = Ext.getCmp("sflow_port_overwrite").getValue();


		if (port_value === sflow_port_value) {
			Ext.getCmp("remote_wrapper").showMessageBox("error", t("The ports must be different."));
			return false;
		}

		var tmp = ip_value.split(".");
		if (tmp.length != 4) {
			return false;
		}

		for (i=0; i < tmp.length; i++) {
			if (tmp[i] < 0 || tmp[i] > 255)
				return false;
		}

		var sflow = Ext.getCmp("sflow_port_field");
		var netflow = Ext.getCmp("port_field");

		if (((port_overwrite == true) && (netflow.getErrors().length > 0))
			|| ((sflow_port_overwrite == true) && (sflow.getErrors().length > 0)))
			return false;

		param = {};
		param.ip = {};
		param.port = {};
		param.sflow_port = {};

		param.ip.value = ip_value;
		param.ip.overwrite = ip_overwrite;
		param.port.value = port_value;
		param.port.overwrite = port_overwrite;

		param.sflow_port.value = sflow_port_value;
		param.sflow_port.overwrite = sflow_port_overwrite;

		button.disable();

		Ext.Ajax.request({
			url: '/opmon/seagull/www/index.php/traffic/action/cluster_conf/',
			method:	'post',
			params: {operation: "save_changes", jsonData: Ext.JSON.encode(param)},
			timeout: 10000,
			success: function(result) {
				obj = Ext.JSON.decode(result.responseText);

				if (traffic_instalation === 1) {
					var component = Ext.getCmp("server_port_desc");
					component.update(
						t("Receiving network traffic on ports")
						+ " <strong>" + obj.data.port.value + "</strong>"
						+ " " + t("and")
						+ " <strong>" + obj.data.sflow_port.value + "</strong>"
					);
				}

				button.enable();

				if (obj.success !== true) {
					Ext.getCmp("remote_wrapper").showMessageBox("error", " <strong>" + obj.proto + "</strong>: " + t(obj.message));
				} else {
					Ext.getCmp("remote_wrapper").showMessageBox("info", t("Settings saved successfully"));
				}
				Ext.getCmp("ip_field").setValue(obj.data.ip.value);
				Ext.getCmp("ip_overwrite").setValue(obj.data.ip.overwrite);
				Ext.getCmp("port_field").setValue(obj.data.port.value);
				Ext.getCmp("port_overwrite").setValue(obj.data.port.overwrite);
				Ext.getCmp("sflow_port_field").setValue(obj.data.sflow_port.value);
				Ext.getCmp("sflow_port_overwrite").setValue(obj.data.sflow_port.overwrite);
			},
			failure: function() {
				button.enable();
				Ext.getCmp("remote_wrapper").showMessageBox("error", t("Failed to connect to the server. Try again."));
			}
		})
	},

	onContainerBeforeRender: function(component, eOpts) {
		Ext.Ajax.request({
			url: '/opmon/seagull/www/index.php/traffic/action/cluster_conf/',
			method:	'get',
			timeout: 10000,
			success: function(result) {
				obj = Ext.JSON.decode(result.responseText);

				if (obj.success != true) {
					return false;
				}

				Ext.getCmp("ip_overwrite").setValue(obj.data.ip.overwrite);
				Ext.getCmp('ip_field').setValue(obj.data.ip.value);
				Ext.getCmp("port_overwrite").setValue(obj.data.port.overwrite);
				Ext.getCmp('port_field').setValue(obj.data.port.value);
				Ext.getCmp("sflow_port_overwrite").setValue(obj.data.sflow_port.overwrite);
				Ext.getCmp('sflow_port_field').setValue(obj.data.sflow_port.value);
			}
		});
	},

	onRemote_back_buttonClick: function(button, e, eOpts) {
		Ext.getCmp("wrapper").getLayout().setActiveItem(1);
	},

	onRemote_back_buttonAfterRender: function(component, eOpts) {
		component.setText(t("Back"));
	}

});