<!DOCTYPE html>
<?php
include "/usr/local/opmon/etc/config.php";

$logged_user = get_logged_user();
if ($logged_user === FALSE) {
	header('Location: /opmon/seagull/www/index.php/opinterface/action/nopermission/');
	exit;
}

$contact = get_contact_by_name($logged_user);
if (!is_object($contact) || get_class($contact) !== 'Contact') {
	header('Location: /opmon/seagull/www/index.php/opinterface/action/nopermission/');
	exit;
}

$traffic = new Traffic();
if ((isset($_GET['module'])) && (!$traffic->isFirstExecution())) {
	$module = $_GET['module'];
	if (!preg_match("/ports|probes|cluster/", $module)) {
		header('Location: /opmon/seagull/www/index.php/opinterface/action/nopermission/');
		exit;
	}
} else if (!$traffic->isFirstExecution()) {
	header('Location: /opmon/seagull/www/index.php/opdashboard/action/showtraffic/');
	exit;
}

if ($contact->get_type() > CONTACT_TYPE_ADMINISTRATOR) {
	header('Location: /opmon/seagull/www/index.php/opinterface/action/nopermission/');
	exit;
}

$theme = get_opmon_theme();
preg_match("/theme-(.+).css/",$theme,$matches);
$theme = $matches[1];

?>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>traffic</title>
	<script type="text/javascript" src="/opmon/oplib/libjs/extjs4/ext-all.js"></script>
	<script src="/opmon/oplib/libjs/extjs4/ext-theme-neptune.js"></script>
	<link rel="stylesheet" href="/opmon/oplib/libjs/extjs4/resources/opmon-<?php echo $theme?>/opmon-<?php echo $theme?>-all.css">
	<link rel="stylesheet" href="/opmon/oplib/ttf/fontawesome.css">
	<script src="/opmon/oplib/libjs/opmonclasses/functions.js"></script>
	<script type="text/javascript" src="app.js"></script>
	<style>
		.x-grid-empty {
			font-style: italic;
			font-size: 14px;
			text-align: center;
			height: 99%;
			padding-top: 70px;
		}

		.traffic-content {
			background-color: #805AA6;
		}
	</style>
</head>
<body>
	<script type="text/javascript">
		<?php

		$lang_array = $contact->get_language();
		foreach($lang_array as $key => $value) {
			$lang_array[$key] = utf8_encode(html_entity_decode($value));
		}

		$lang_as_json = json_encode($lang_array);
		print "var l = $lang_as_json;\n";
		print "var module = '$module';\n";
		print "var traffic_instalation = " . $traffic->isFirstExecution() . ";\n"
		?>

		if ((parent) && (traffic_instalation !== 0)) {
			parent.loadShortcut('none');
		}
	</script>
</body>
</html>
