-- MySQL dump 10.11
--
-- Host: localhost    Database: opmon
-- ------------------------------------------------------
-- Server version	5.0.45

--
-- Table structure for table `acct_v8_analytics`
--

CREATE DATABASE traffic;

USE traffic;

TRUNCATE TABLE indexes;
DROP TABLE indexes;
TRUNCATE TABLE hour;
DROP TABLE hour;
TRUNCATE TABLE day;
DROP TABLE day;
TRUNCATE TABLE month;
DROP TABLE month;

DROP TABLE IF EXISTS control;

TRUNCATE TABLE realtime;
DROP TABLE realtime;
-- MariaDB
CREATE TABLE `realtime` (
	`entry_time` bigint(20) DEFAULT NULL,
	`peer_ip_src` varchar(15) DEFAULT NULL,
	`port` int(11) DEFAULT NULL,
	`iface_in` int(11) DEFAULT NULL,
	`flows` int(11) DEFAULT NULL,
	`ip_src` varchar(15) DEFAULT NULL,
	`ip_dst` varchar(15) DEFAULT NULL,
	`ip_proto` varchar(10) DEFAULT NULL,
	`packets` bigint(20) DEFAULT NULL,
	`bytes` bigint(20) DEFAULT NULL,
	`etp` datetime DEFAULT CURRENT_TIMESTAMP,
	KEY `entry_time_idx` (`entry_time`),
	KEY `entry_time_protocol_idx` (`entry_time`,`ip_proto`),
	KEY `entry_time_protocol_ip_dst_idx` (`entry_time`,`ip_proto`,`ip_dst`),
	KEY `entry_time_protocol_ip_src_idx` (`entry_time`,`ip_proto`,`ip_src`),
	KEY `entry_time_ip_src_ip_dst_idx` (`entry_time`,`ip_src`,`ip_dst`),
	KEY `entry_time_ip_src_port_idx` (`entry_time`,`ip_src`,`port`),
	KEY `entry_time_ip_dst_port_idx` (`entry_time`,`ip_dst`,`port`)
) DEFAULT CHARSET=utf8

/*!50100 PARTITION BY RANGE (minute(etp))
(PARTITION p0 VALUES LESS THAN (5),
 PARTITION p1 VALUES LESS THAN (10),
 PARTITION p2 VALUES LESS THAN (15),
 PARTITION p3 VALUES LESS THAN (20),
 PARTITION p4 VALUES LESS THAN (25),
 PARTITION p5 VALUES LESS THAN (30),
 PARTITION p6 VALUES LESS THAN (35),
 PARTITION p7 VALUES LESS THAN (40),
 PARTITION p8 VALUES LESS THAN (45),
 PARTITION p9 VALUES LESS THAN (50),
 PARTITION p10 VALUES LESS THAN (55),
 PARTITION p11 VALUES LESS THAN (60)) */;

-- MySQL
CREATE TABLE `realtime` (
	`entry_time` bigint(20) DEFAULT NULL,
	`peer_ip_src` varchar(15) DEFAULT NULL,
	`port` int(11) DEFAULT NULL,
	`iface_in` int(11) DEFAULT NULL,
	`flows` int(11) DEFAULT NULL,
	`ip_src` varchar(15) DEFAULT NULL,
	`ip_dst` varchar(15) DEFAULT NULL,
	`ip_proto` varchar(10) DEFAULT NULL,
	`packets` bigint(20) DEFAULT NULL,
	`bytes` bigint(20) DEFAULT NULL,
	KEY `entry_time_idx` (`entry_time`),
	KEY `entry_time_protocol_idx` (`entry_time`,`ip_proto`),
	KEY `entry_time_protocol_ip_dst_idx` (`entry_time`,`ip_proto`,`ip_dst`),
	KEY `entry_time_protocol_ip_src_idx` (`entry_time`,`ip_proto`,`ip_src`),
	KEY `entry_time_ip_src_ip_dst_idx` (`entry_time`,`ip_src`,`ip_dst`),
	KEY `entry_time_ip_src_port_idx` (`entry_time`,`ip_src`,`port`),
	KEY `entry_time_ip_dst_port_idx` (`entry_time`,`ip_dst`,`port`)
) DEFAULT CHARSET=utf8;

CREATE INDEX `entry_time_idx` ON `realtime` (`entry_time`);
CREATE INDEX `entry_time_protocol_idx` ON `realtime` (`entry_time`,`ip_proto`);
CREATE INDEX `entry_time_protocol_ip_dst_idx` ON `realtime` (`entry_time`,`ip_proto`,`ip_dst`);
CREATE INDEX `entry_time_protocol_ip_src_idx` ON `realtime` (`entry_time`,`ip_proto`,`ip_src`);
CREATE INDEX `entry_time_ip_src_ip_dst_idx` ON `realtime` (`entry_time`,`ip_src`,`ip_dst`);
CREATE INDEX `entry_time_ip_src_port_src_idx` ON `realtime` (`entry_time`,`ip_src`,`port_src`);
CREATE INDEX `entry_time_ip_dst_port_src_idx` ON `realtime` (`entry_time`,`ip_dst`,`port_src`);
CREATE INDEX `entry_time_ip_src_port_dst_idx` ON `realtime` (`entry_time`,`ip_src`,`port_dst`);
CREATE INDEX `entry_time_ip_dst_port_dst_idx` ON `realtime` (`entry_time`,`ip_dst`,`port_dst`);

CREATE TABLE `aggregated_by_hour` (
  `entry_time` bigint(20) default NULL,
  `peer_ip_src` varchar(15) default NULL,
  `port` int(11) default NULL,
  `iface_in` int(11) default NULL,
  `flows` int(11) default NULL,
  `ip_src` varchar(15) default NULL,
  `ip_dst` varchar(15) default NULL,
  `ip_proto` varchar(10) default NULL,
  `packets` bigint(20) default NULL,
  `bytes` bigint(20) default NULL,
  UNIQUE KEY `unique_fields` (`entry_time`,`peer_ip_src`,`port`,`iface_in`,`flows`,`ip_src`,`ip_dst`,`ip_proto`),
  KEY `entry_time_idx` (`entry_time`),
  KEY `entry_time_protocol_idx` (`entry_time`,`ip_proto`),
  KEY `entry_time_protocol_ip_dst_idx` (`entry_time`,`ip_proto`,`ip_dst`),
  KEY `entry_time_protocol_ip_src_idx` (`entry_time`,`ip_proto`,`ip_src`),
  KEY `entry_time_ip_src_ip_dst_idx` (`entry_time`,`ip_src`,`ip_dst`),
  KEY `entry_time_ip_src_port_idx` (`entry_time`,`ip_src`,`port`),
  KEY `entry_time_ip_dst_port_idx` (`entry_time`,`ip_dst`,`port`)
) DEFAULT CHARSET=utf8;


CREATE TABLE `aggregated_by_day` (
  `entry_time` bigint(20) default NULL,
  `peer_ip_src` varchar(15) default NULL,
  `port` int(11) default NULL,
  `iface_in` int(11) default NULL,
  `flows` int(11) default NULL,
  `ip_src` varchar(15) default NULL,
  `ip_dst` varchar(15) default NULL,
  `ip_proto` varchar(10) default NULL,
  `packets` bigint(20) default NULL,
  `bytes` bigint(20) default NULL,
  UNIQUE KEY `unique_fields` (`entry_time`,`peer_ip_src`,`port`,`iface_in`,`flows`,`ip_src`,`ip_dst`,`ip_proto`),
  KEY `entry_time_idx` (`entry_time`),
  KEY `entry_time_protocol_idx` (`entry_time`,`ip_proto`),
  KEY `entry_time_protocol_ip_dst_idx` (`entry_time`,`ip_proto`,`ip_dst`),
  KEY `entry_time_protocol_ip_src_idx` (`entry_time`,`ip_proto`,`ip_src`),
  KEY `entry_time_ip_src_ip_dst_idx` (`entry_time`,`ip_src`,`ip_dst`),
  KEY `entry_time_ip_src_port_idx` (`entry_time`,`ip_src`,`port`),
  KEY `entry_time_ip_dst_port_idx` (`entry_time`,`ip_dst`,`port`)
) DEFAULT CHARSET=utf8;

CREATE TABLE `aggregated_by_month` (
  `entry_time` bigint(20) default NULL,
  `peer_ip_src` varchar(15) default NULL,
  `port` int(11) default NULL,
  `iface_in` int(11) default NULL,
  `flows` int(11) default NULL,
  `ip_src` varchar(15) default NULL,
  `ip_dst` varchar(15) default NULL,
  `ip_proto` varchar(10) default NULL,
  `packets` bigint(20) default NULL,
  `bytes` bigint(20) default NULL,
  UNIQUE KEY `unique_fields` (`entry_time`,`peer_ip_src`,`port`,`iface_in`,`flows`,`ip_src`,`ip_dst`,`ip_proto`),
  KEY `entry_time_idx` (`entry_time`),
  KEY `entry_time_protocol_idx` (`entry_time`,`ip_proto`),
  KEY `entry_time_protocol_ip_dst_idx` (`entry_time`,`ip_proto`,`ip_dst`),
  KEY `entry_time_protocol_ip_src_idx` (`entry_time`,`ip_proto`,`ip_src`),
  KEY `entry_time_ip_src_ip_dst_idx` (`entry_time`,`ip_src`,`ip_dst`),
  KEY `entry_time_ip_src_port_idx` (`entry_time`,`ip_src`,`port`),
  KEY `entry_time_ip_dst_port_idx` (`entry_time`,`ip_dst`,`port`)
) DEFAULT CHARSET=utf8;

CREATE DATABASE opmon4;
USE opmon4;

INSERT INTO interface_shortcut_names (`id`,`shortcut_name`) VALUES (16,'traffic');
INSERT INTO interface_shortcut_items (`parent`,`shortcut_id`,`item_name`,`link`,`system`) VALUES (0, 16, 'Traffic Analyzer', '/opmon/seagull/modules/traffic/templates/index.php', 1);
INSERT INTO interface_shortcut_items (`parent`,`shortcut_id`,`item_name`,`link`,`system`) VALUES (0, 16, 'Application protocols', '/opmon/seagull/modules/traffic/templates/index.php?module=ports', 1);
INSERT INTO interface_shortcut_items (`parent`,`shortcut_id`,`item_name`,`link`,`system`) VALUES (0, 16, 'Probes', '/opmon/seagull/modules/traffic/templates/index.php?module=probes', 1);
INSERT INTO interface_shortcut_items (`parent`,`shortcut_id`,`item_name`,`link`,`system`) VALUES (0, 16, 'Flow collector', '/opmon/seagull/modules/traffic/templates/index.php?module=cluster', 1);

CREATE DATABASE opcfg;
USE opcfg;

CREATE TABLE `traffic_ports_services` (
	`port` int(11) NOT NULL,
	`service` varchar(255) NOT NULL,
	`protocol` char(255) NOT NULL,
	PRIMARY KEY  (`port`,`protocol`),
	KEY `ports_and_services_1` (`port`,`protocol`)
) DEFAULT CHARSET=utf8;

CREATE TABLE `traffic_probes_interfaces` (
	`probe_id` int(6) NOT NULL auto_increment,
	`probe` char(15) NOT NULL,
	`probe_desc` varchar(255) NOT NULL,
	`interface_id` int(4) unsigned NOT NULL,
	`if_desc` varchar(255) NOT NULL,
	`last_update` TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
	PRIMARY KEY  (`probe_id`)
) AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;
ALTER TABLE traffic_probes_interfaces ADD enabled BOOL DEFAULT 1 AFTER probe_id;
ALTER TABLE traffic_probes_interfaces ADD UNIQUE INDEX `probe_interface_id` (probe,interface_id);

--
-- Dumping data for table `system_conf`
--
INSERT INTO `system_conf` (`module`,`var`,`descr`,`value`,`default_value`) VALUES ('traffic', 'installation', 'First execution of the Traffic', 1, 1);
INSERT INTO `system_conf` (`module`,`var`,`descr`,`value`,`default_value`) VALUES ('traffic', 'pmacctd_ip', 'pmacct IP', '127.0.0.1', '127.0.0.1');
INSERT INTO `system_conf` (`module`,`var`,`descr`,`value`,`default_value`) VALUES ('traffic', 'pmacctd_port', 'pmacct port', '5678', '5678');
INSERT INTO `system_conf` (`module`,`var`,`descr`,`value`,`default_value`) VALUES ('traffic', 'sfacctd_port', 'sfacct port', '6343', '6343');

INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1,'tcpmux','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1,'tcpmux','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3,'compressnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3,'compressnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5,'rje','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5,'rje','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7,'echo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7,'echo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9,'discard','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9,'discard','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11,'systat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11,'systat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13,'daytime','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13,'daytime','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (15,'netstat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (17,'qotd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (17,'qotd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18,'msp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18,'msp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19,'chargen','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19,'chargen','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20,'ftp-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20,'ftp-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21,'ftp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21,'ftp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22,'ssh','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22,'ssh','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (23,'telnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (23,'telnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24,'lmtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24,'lmtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25,'smtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25,'smtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (27,'nsw-fe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (27,'nsw-fe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (29,'msg-icp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (29,'msg-icp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (31,'msg-auth','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (31,'msg-auth','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (33,'dsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (33,'dsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (37,'time','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (37,'time','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (38,'rap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (38,'rap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (39,'rlp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (39,'rlp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (41,'graphics','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (41,'graphics','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (42,'nameserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (42,'nameserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (43,'nicname','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (43,'nicname','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (44,'mpm-flags','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (44,'mpm-flags','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (45,'mpm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (45,'mpm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (46,'mpm-snd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (46,'mpm-snd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (47,'ni-ftp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (47,'ni-ftp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (48,'auditd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (48,'auditd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (49,'tacacs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (49,'tacacs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (50,'re-mail-ck','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (50,'re-mail-ck','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (51,'la-maint','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (51,'la-maint','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (52,'xns-time','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (52,'xns-time','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (53,'domain','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (53,'domain','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (54,'xns-ch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (54,'xns-ch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (55,'isi-gl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (55,'isi-gl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (56,'xns-auth','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (56,'xns-auth','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (58,'xns-mail','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (58,'xns-mail','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (61,'ni-mail','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (61,'ni-mail','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (62,'acas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (62,'acas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (63,'whois++','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (63,'whois++','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (64,'covia','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (64,'covia','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (65,'tacacs-ds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (65,'tacacs-ds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (66,'sql*net','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (66,'sql*net','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (67,'bootps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (67,'bootps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (68,'bootpc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (68,'bootpc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (69,'tftp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (69,'tftp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (70,'gopher','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (70,'gopher','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (71,'netrjs-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (71,'netrjs-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (72,'netrjs-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (72,'netrjs-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (73,'netrjs-3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (73,'netrjs-3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (74,'netrjs-4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (74,'netrjs-4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (76,'deos','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (76,'deos','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (78,'vettcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (78,'vettcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (79,'finger','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (79,'finger','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (80,'http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (80,'http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (81,'hosts2-ns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (81,'hosts2-ns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (82,'xfer','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (82,'xfer','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (83,'mit-ml-dev','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (83,'mit-ml-dev','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (84,'ctf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (84,'ctf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (86,'mfcobol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (86,'mfcobol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (88,'kerberos','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (88,'kerberos','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (89,'su-mit-tg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (89,'su-mit-tg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (90,'dnsix','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (90,'dnsix','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (91,'mit-dov','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (91,'mit-dov','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (92,'npp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (92,'npp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (93,'dcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (93,'dcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (94,'objcall','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (94,'objcall','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (95,'supdup','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (95,'supdup','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (96,'dixie','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (96,'dixie','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (97,'swift-rvf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (97,'swift-rvf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (98,'linuxconf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (99,'metagram','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (99,'metagram','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (100,'newacct','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (101,'hostname','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (101,'hostname','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (102,'iso-tsap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (103,'gppitnp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (103,'gppitnp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (104,'acr-nema','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (104,'acr-nema','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (105,'csnet-ns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (105,'csnet-ns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (106,'poppassd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (106,'poppassd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (107,'rtelnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (107,'rtelnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (108,'snagas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (108,'snagas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (109,'pop2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (109,'pop2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (110,'pop3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (110,'pop3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (111,'sunrpc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (111,'sunrpc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (112,'mcidas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (112,'mcidas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (113,'auth','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (113,'auth','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (115,'sftp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (115,'sftp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (116,'ansanotify','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (116,'ansanotify','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (117,'uucp-path','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (117,'uucp-path','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (118,'sqlserv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (118,'sqlserv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (119,'nntp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (119,'nntp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (120,'cfdptkt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (120,'cfdptkt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (121,'erpc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (121,'erpc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (122,'smakynet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (122,'smakynet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (123,'ntp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (123,'ntp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (124,'ansatrader','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (124,'ansatrader','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (125,'locus-map','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (125,'locus-map','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (126,'nxedit','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (126,'nxedit','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (127,'locus-con','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (127,'locus-con','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (128,'gss-xlicen','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (128,'gss-xlicen','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (129,'pwdgen','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (129,'pwdgen','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (130,'cisco-fna','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (130,'cisco-fna','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (131,'cisco-tna','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (131,'cisco-tna','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (132,'cisco-sys','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (132,'cisco-sys','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (133,'statsrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (133,'statsrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (134,'ingres-net','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (134,'ingres-net','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (135,'epmap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (135,'epmap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (136,'profile','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (136,'profile','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (137,'netbios-ns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (137,'netbios-ns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (138,'netbios-dgm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (138,'netbios-dgm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (139,'netbios-ssn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (139,'netbios-ssn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (140,'emfis-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (140,'emfis-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (141,'emfis-cntl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (141,'emfis-cntl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (142,'bl-idm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (142,'bl-idm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (143,'imap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (143,'imap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (144,'uma','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (144,'uma','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (145,'uaac','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (145,'uaac','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (146,'iso-tp0','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (146,'iso-tp0','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (147,'iso-ip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (147,'iso-ip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (148,'jargon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (148,'jargon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (149,'aed-512','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (149,'aed-512','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (150,'sql-net','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (150,'sql-net','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (151,'hems','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (151,'hems','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (152,'bftp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (152,'bftp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (153,'sgmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (153,'sgmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (154,'netsc-prod','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (154,'netsc-prod','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (155,'netsc-dev','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (155,'netsc-dev','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (156,'sqlsrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (156,'sqlsrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (157,'knet-cmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (157,'knet-cmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (158,'pcmail-srv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (158,'pcmail-srv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (159,'nss-routing','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (159,'nss-routing','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (160,'sgmp-traps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (160,'sgmp-traps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (161,'snmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (161,'snmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (162,'snmptrap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (162,'snmptrap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (163,'cmip-man','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (163,'cmip-man','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (164,'cmip-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (164,'cmip-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (165,'xns-courier','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (165,'xns-courier','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (166,'s-net','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (166,'s-net','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (167,'namp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (167,'namp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (168,'rsvd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (168,'rsvd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (169,'send','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (169,'send','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (170,'print-srv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (170,'print-srv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (171,'multiplex','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (171,'multiplex','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (172,'cl/1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (172,'cl/1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (173,'xyplex-mux','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (173,'xyplex-mux','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (174,'mailq','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (174,'mailq','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (175,'vmnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (175,'vmnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (176,'genrad-mux','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (176,'genrad-mux','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (177,'xdmcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (177,'xdmcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (178,'nextstep','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (178,'nextstep','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (179,'bgp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (179,'bgp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (180,'ris','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (180,'ris','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (181,'unify','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (181,'unify','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (182,'audit','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (182,'audit','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (183,'ocbinder','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (183,'ocbinder','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (184,'ocserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (184,'ocserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (185,'remote-kis','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (185,'remote-kis','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (186,'kis','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (186,'kis','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (187,'aci','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (187,'aci','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (188,'mumps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (188,'mumps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (189,'qft','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (189,'qft','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (190,'gacp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (190,'gacp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (191,'prospero','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (191,'prospero','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (192,'osu-nms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (192,'osu-nms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (193,'srmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (193,'srmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (194,'irc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (194,'irc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (195,'dn6-nlm-aud','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (195,'dn6-nlm-aud','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (196,'dn6-smm-red','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (196,'dn6-smm-red','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (197,'dls','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (197,'dls','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (198,'dls-mon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (198,'dls-mon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (199,'smux','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (199,'smux','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (200,'src','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (200,'src','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (201,'at-rtmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (201,'at-rtmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (202,'at-nbp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (202,'at-nbp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (203,'at-3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (203,'at-3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (204,'at-echo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (204,'at-echo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (205,'at-5','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (205,'at-5','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (206,'at-zis','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (206,'at-zis','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (207,'at-7','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (207,'at-7','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (208,'at-8','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (208,'at-8','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (209,'qmtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (209,'qmtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (210,'z39.50','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (210,'z39.50','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (211,'914c/g','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (211,'914c/g','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (212,'anet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (212,'anet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (213,'ipx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (213,'ipx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (214,'vmpwscs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (214,'vmpwscs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (215,'softpc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (215,'softpc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (216,'CAIlic','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (216,'CAIlic','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (217,'dbase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (217,'dbase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (218,'mpp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (218,'mpp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (219,'uarps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (219,'uarps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (220,'imap3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (220,'imap3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (221,'fln-spx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (221,'fln-spx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (222,'rsh-spx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (222,'rsh-spx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (223,'cdc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (223,'cdc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (224,'masqdialer','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (224,'masqdialer','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (242,'direct','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (242,'direct','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (243,'sur-meas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (243,'sur-meas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (244,'inbusiness','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (244,'inbusiness','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (245,'link','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (245,'link','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (246,'dsp3270','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (246,'dsp3270','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (247,'subntbcst_tftp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (247,'subntbcst_tftp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (248,'bhfhs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (248,'bhfhs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (257,'set','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (257,'set','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (258,'yak-chat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (258,'yak-chat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (259,'esro-gen','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (259,'esro-gen','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (260,'openport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (260,'openport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (261,'nsiiops','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (261,'nsiiops','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (262,'arcisdms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (262,'arcisdms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (263,'hdap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (263,'hdap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (264,'bgmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (264,'bgmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (265,'x-bone-ctl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (265,'x-bone-ctl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (266,'sst','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (266,'sst','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (267,'td-service','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (267,'td-service','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (268,'td-replica','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (268,'td-replica','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (280,'http-mgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (280,'http-mgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (281,'personal-link','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (281,'personal-link','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (282,'cableport-ax','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (282,'cableport-ax','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (283,'rescap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (283,'rescap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (284,'corerjd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (284,'corerjd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (286,'fxp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (286,'fxp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (287,'k-block','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (287,'k-block','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (308,'novastorbakcup','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (308,'novastorbakcup','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (309,'entrusttime','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (309,'entrusttime','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (310,'bhmds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (310,'bhmds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (311,'asip-webadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (311,'asip-webadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (312,'vslmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (312,'vslmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (313,'magenta-logic','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (313,'magenta-logic','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (314,'opalis-robot','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (314,'opalis-robot','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (315,'dpsi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (315,'dpsi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (316,'decauth','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (316,'decauth','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (317,'zannet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (317,'zannet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (318,'pkix-timestamp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (318,'pkix-timestamp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (319,'ptp-event','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (319,'ptp-event','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (320,'ptp-general','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (320,'ptp-general','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (321,'pip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (321,'pip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (322,'rtsps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (322,'rtsps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (333,'texar','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (333,'texar','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (344,'pdap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (344,'pdap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (345,'pawserv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (345,'pawserv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (346,'zserv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (346,'zserv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (347,'fatserv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (347,'fatserv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (348,'csi-sgwp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (348,'csi-sgwp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (349,'mftp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (349,'mftp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (350,'matip-type-a','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (350,'matip-type-a','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (351,'bhoetty','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (351,'bhoetty','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (352,'bhoedap4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (352,'bhoedap4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (353,'ndsauth','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (353,'ndsauth','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (354,'bh611','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (354,'bh611','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (355,'datex-asn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (355,'datex-asn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (356,'cloanto-net-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (356,'cloanto-net-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (357,'bhevent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (357,'bhevent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (358,'shrinkwrap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (358,'shrinkwrap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (359,'nsrmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (359,'nsrmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (360,'scoi2odialog','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (360,'scoi2odialog','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (361,'semantix','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (361,'semantix','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (362,'srssend','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (362,'srssend','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (363,'rsvp_tunnel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (363,'rsvp_tunnel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (364,'aurora-cmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (364,'aurora-cmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (365,'dtk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (365,'dtk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (366,'odmr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (366,'odmr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (367,'mortgageware','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (367,'mortgageware','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (368,'qbikgdp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (368,'qbikgdp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (369,'rpc2portmap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (369,'rpc2portmap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (370,'codaauth2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (370,'codaauth2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (371,'clearcase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (371,'clearcase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (372,'ulistproc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (372,'ulistproc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (373,'legent-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (373,'legent-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (374,'legent-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (374,'legent-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (375,'hassle','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (375,'hassle','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (376,'nip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (376,'nip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (377,'tnETOS','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (377,'tnETOS','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (378,'dsETOS','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (378,'dsETOS','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (379,'is99c','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (379,'is99c','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (380,'is99s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (380,'is99s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (381,'hp-collector','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (381,'hp-collector','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (382,'hp-managed-node','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (382,'hp-managed-node','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (383,'hp-alarm-mgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (383,'hp-alarm-mgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (384,'arns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (384,'arns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (385,'ibm-app','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (385,'ibm-app','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (386,'asa','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (386,'asa','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (387,'aurp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (387,'aurp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (388,'unidata-ldm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (388,'unidata-ldm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (389,'ldap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (389,'ldap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (390,'uis','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (390,'uis','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (391,'synotics-relay','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (391,'synotics-relay','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (392,'synotics-broker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (392,'synotics-broker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (393,'meta5','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (393,'meta5','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (394,'embl-ndt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (394,'embl-ndt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (395,'netcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (395,'netcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (396,'netware-ip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (396,'netware-ip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (397,'mptn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (397,'mptn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (398,'kryptolan','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (398,'kryptolan','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (399,'iso-tsap-c2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (399,'iso-tsap-c2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (400,'work-sol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (400,'work-sol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (401,'ups','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (401,'ups','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (402,'genie','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (402,'genie','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (403,'decap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (403,'decap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (404,'nced','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (404,'nced','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (405,'ncld','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (405,'ncld','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (406,'imsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (406,'imsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (407,'timbuktu','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (407,'timbuktu','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (408,'prm-sm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (408,'prm-sm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (409,'prm-nm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (409,'prm-nm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (410,'decladebug','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (410,'decladebug','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (411,'rmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (411,'rmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (412,'synoptics-trap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (412,'synoptics-trap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (413,'smsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (413,'smsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (414,'infoseek','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (414,'infoseek','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (415,'bnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (415,'bnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (416,'silverplatter','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (416,'silverplatter','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (417,'onmux','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (417,'onmux','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (418,'hyper-g','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (418,'hyper-g','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (419,'ariel1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (419,'ariel1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (420,'smpte','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (420,'smpte','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (421,'ariel2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (421,'ariel2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (422,'ariel3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (422,'ariel3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (423,'opc-job-start','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (423,'opc-job-start','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (424,'opc-job-track','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (424,'opc-job-track','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (425,'icad-el','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (425,'icad-el','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (426,'smartsdp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (426,'smartsdp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (427,'svrloc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (427,'svrloc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (428,'ocs_cmu','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (428,'ocs_cmu','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (429,'ocs_amu','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (429,'ocs_amu','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (430,'utmpsd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (430,'utmpsd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (431,'utmpcd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (431,'utmpcd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (432,'iasd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (432,'iasd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (433,'nnsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (433,'nnsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (434,'mobileip-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (434,'mobileip-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (435,'mobilip-mn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (435,'mobilip-mn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (436,'dna-cml','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (436,'dna-cml','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (437,'comscm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (437,'comscm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (438,'dsfgw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (438,'dsfgw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (439,'dasp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (439,'dasp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (440,'sgcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (440,'sgcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (441,'decvms-sysmgt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (441,'decvms-sysmgt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (442,'cvc_hostd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (442,'cvc_hostd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (443,'https','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (443,'https','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (444,'snpp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (444,'snpp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (445,'microsoft-ds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (445,'microsoft-ds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (446,'ddm-rdb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (446,'ddm-rdb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (447,'ddm-dfm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (447,'ddm-dfm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (448,'ddm-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (448,'ddm-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (449,'as-servermap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (449,'as-servermap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (450,'tserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (450,'tserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (451,'sfs-smp-net','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (451,'sfs-smp-net','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (452,'sfs-config','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (452,'sfs-config','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (453,'creativeserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (453,'creativeserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (454,'contentserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (454,'contentserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (455,'creativepartnr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (455,'creativepartnr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (456,'macon-tcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (456,'macon-udp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (457,'scohelp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (457,'scohelp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (458,'appleqtc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (458,'appleqtc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (459,'ampr-rcmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (459,'ampr-rcmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (460,'skronk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (460,'skronk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (461,'datasurfsrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (461,'datasurfsrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (462,'datasurfsrvsec','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (462,'datasurfsrvsec','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (463,'alpes','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (463,'alpes','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (464,'kpasswd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (464,'kpasswd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (465,'smtps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (466,'digital-vrc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (466,'digital-vrc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (467,'mylex-mapd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (467,'mylex-mapd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (468,'photuris','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (468,'photuris','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (469,'rcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (469,'rcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (470,'scx-proxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (470,'scx-proxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (471,'mondex','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (471,'mondex','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (472,'ljk-login','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (472,'ljk-login','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (473,'hybrid-pop','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (473,'hybrid-pop','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (474,'tn-tl-w1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (474,'tn-tl-w2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (475,'tcpnethaspsrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (475,'tcpnethaspsrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (476,'tn-tl-fd1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (476,'tn-tl-fd1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (477,'ss7ns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (477,'ss7ns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (478,'spsc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (478,'spsc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (479,'iafserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (479,'iafserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (480,'iafdbase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (480,'iafdbase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (481,'ph','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (481,'ph','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (482,'bgs-nsi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (482,'bgs-nsi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (483,'ulpnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (483,'ulpnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (484,'integra-sme','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (484,'integra-sme','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (485,'powerburst','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (485,'powerburst','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (486,'avian','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (486,'avian','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (487,'saft','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (487,'saft','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (488,'gss-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (488,'gss-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (489,'nest-protocol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (489,'nest-protocol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (490,'micom-pfs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (490,'micom-pfs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (491,'go-login','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (491,'go-login','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (492,'ticf-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (492,'ticf-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (493,'ticf-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (493,'ticf-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (494,'pov-ray','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (494,'pov-ray','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (495,'intecourier','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (495,'intecourier','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (496,'pim-rp-disc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (496,'pim-rp-disc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (497,'dantz','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (497,'dantz','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (498,'siam','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (498,'siam','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (499,'iso-ill','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (499,'iso-ill','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (500,'isakmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (500,'isakmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (501,'stmf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (501,'stmf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (502,'asa-appl-proto','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (502,'asa-appl-proto','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (503,'intrinsa','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (503,'intrinsa','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (504,'citadel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (504,'citadel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (505,'mailbox-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (505,'mailbox-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (506,'ohimsrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (506,'ohimsrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (507,'crs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (507,'crs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (508,'xvttp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (508,'xvttp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (509,'snare','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (509,'snare','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (510,'fcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (510,'fcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (511,'passgo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (511,'passgo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (512,'exec','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (512,'biff','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (513,'login','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (513,'who','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (514,'shell','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (514,'syslog','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (515,'printer','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (515,'printer','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (516,'videotex','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (516,'videotex','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (517,'talk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (518,'ntalk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (519,'utime','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (519,'utime','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (520,'efs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (520,'router','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (521,'ripng','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (521,'ripng','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (522,'ulp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (522,'ulp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (523,'ibm-db2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (523,'ibm-db2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (524,'ncp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (524,'ncp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (525,'timed','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (525,'timed','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (526,'tempo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (527,'stx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (527,'stx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (528,'custix','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (528,'custix','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (529,'irc-serv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (529,'irc-serv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (530,'courier','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (531,'conference','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (532,'netnews','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (533,'netwall','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (534,'mm-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (534,'mm-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (535,'iiop','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (535,'iiop','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (536,'opalis-rdv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (536,'opalis-rdv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (537,'nmsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (537,'nmsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (538,'gdomap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (538,'gdomap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (539,'apertus-ldp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (539,'apertus-ldp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (540,'uucp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (541,'uucp-rlogin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (541,'uucp-rlogin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (542,'commerce','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (542,'commerce','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (543,'klogin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (544,'kshell','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (545,'appleqtcsrvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (545,'appleqtcsrvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (546,'dhcpv6-client','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (546,'dhcpv6-client','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (547,'dhcpv6-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (547,'dhcpv6-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (548,'afpovertcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (548,'afpovertcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (549,'idfp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (549,'idfp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (550,'new-rwho','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (550,'new-rwho','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (551,'cybercash','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (551,'cybercash','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (552,'devshr-nts','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (552,'devshr-nts','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (553,'pirp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (553,'pirp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (554,'rtsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (554,'rtsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (555,'dsf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (555,'dsf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (556,'remotefs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (557,'openvms-sysipc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (557,'openvms-sysipc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (558,'sdnskmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (558,'sdnskmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (559,'teedtap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (559,'teedtap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (560,'rmonitor','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (560,'rmonitor','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (561,'monitor','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (561,'monitor','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (562,'chshell','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (562,'chshell','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (563,'nntps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (563,'nntps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (564,'9pfs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (564,'9pfs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (565,'whoami','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (565,'whoami','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (566,'streettalk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (566,'streettalk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (567,'banyan-rpc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (567,'banyan-rpc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (568,'ms-shuttle','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (568,'ms-shuttle','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (569,'ms-rome','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (569,'ms-rome','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (570,'meter','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (570,'meter','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (571,'meter','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (571,'meter','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (572,'sonar','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (572,'sonar','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (573,'banyan-vip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (573,'banyan-vip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (574,'ftp-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (574,'ftp-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (575,'vemmi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (575,'vemmi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (576,'ipcd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (576,'ipcd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (577,'vnas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (577,'vnas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (578,'ipdd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (578,'ipdd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (579,'decbsrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (579,'decbsrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (580,'sntp-heartbeat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (580,'sntp-heartbeat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (581,'bdp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (581,'bdp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (582,'scc-security','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (582,'scc-security','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (583,'philips-vc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (583,'philips-vc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (584,'keyserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (584,'keyserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (585,'imap4-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (585,'imap4-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (586,'password-chg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (586,'password-chg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (587,'submission','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (587,'submission','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (588,'cal','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (588,'cal','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (589,'eyelink','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (589,'eyelink','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (590,'tns-cml','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (590,'tns-cml','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (592,'eudora-set','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (592,'eudora-set','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (593,'http-rpc-epmap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (593,'http-rpc-epmap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (594,'tpip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (594,'tpip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (595,'cab-protocol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (595,'cab-protocol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (596,'smsd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (596,'smsd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (597,'ptcnameservice','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (597,'ptcnameservice','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (598,'sco-websrvrmg3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (598,'sco-websrvrmg3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (599,'acp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (599,'acp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (600,'ipcserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (600,'ipcserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (601,'syslog-conn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (601,'syslog-conn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (602,'xmlrpc-beep','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (602,'xmlrpc-beep','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (603,'idxp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (603,'idxp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (604,'tunnel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (604,'tunnel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (605,'soap-beep','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (605,'soap-beep','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (606,'urm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (606,'urm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (607,'nqs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (607,'nqs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (608,'sift-uft','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (608,'sift-uft','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (609,'npmp-trap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (609,'npmp-trap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (610,'npmp-local','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (610,'npmp-local','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (611,'npmp-gui','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (611,'npmp-gui','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (612,'hmmp-ind','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (612,'hmmp-ind','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (613,'hmmp-op','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (613,'hmmp-op','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (614,'sshell','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (614,'sshell','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (615,'sco-inetmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (615,'sco-inetmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (616,'gii','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (617,'sco-dtmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (617,'sco-dtmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (618,'dei-icda','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (618,'dei-icda','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (619,'compaq-evm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (619,'compaq-evm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (620,'sco-websrvrmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (620,'sco-websrvrmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (621,'escp-ip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (621,'escp-ip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (622,'collaborator','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (622,'collaborator','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (623,'asf-rmcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (623,'asf-rmcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (624,'cryptoadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (624,'cryptoadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (625,'dec_dlm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (625,'dec_dlm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (626,'asia','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (626,'asia','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (627,'passgo-tivoli','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (627,'passgo-tivoli','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (628,'qmqp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (628,'qmqp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (629,'3com-amp3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (629,'3com-amp3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (630,'rda','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (630,'rda','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (631,'ipp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (631,'ipp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (632,'bmpp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (632,'bmpp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (633,'servstat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (633,'servstat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (634,'ginad','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (634,'ginad','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (635,'rlzdbase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (635,'rlzdbase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (636,'ldaps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (636,'ldaps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (637,'lanserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (637,'lanserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (638,'mcns-sec','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (638,'mcns-sec','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (639,'msdp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (639,'msdp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (640,'entrust-sps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (640,'entrust-sps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (641,'repcmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (641,'repcmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (642,'esro-emsdp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (642,'esro-emsdp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (643,'sanity','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (643,'sanity','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (644,'dwr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (644,'dwr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (645,'pssc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (645,'pssc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (646,'ldp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (646,'ldp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (647,'dhcp-failover','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (647,'dhcp-failover','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (648,'rrp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (648,'rrp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (649,'cadview-3d','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (649,'cadview-3d','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (650,'obex','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (650,'obex','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (651,'ieee-mms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (651,'ieee-mms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (652,'hello-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (652,'hello-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (653,'repscmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (653,'repscmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (654,'aodv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (654,'aodv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (655,'tinc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (655,'tinc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (656,'spmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (656,'spmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (657,'rmc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (657,'rmc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (658,'tenfold','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (658,'tenfold','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (660,'mac-srvr-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (660,'mac-srvr-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (661,'hap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (661,'hap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (662,'pftp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (662,'pftp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (663,'purenoise','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (663,'purenoise','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (664,'asf-secure-rmcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (664,'asf-secure-rmcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (665,'sun-dr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (665,'sun-dr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (666,'doom','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (666,'doom','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (667,'disclose','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (667,'disclose','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (668,'mecomm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (668,'mecomm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (669,'meregister','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (669,'meregister','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (670,'vacdsm-sws','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (670,'vacdsm-sws','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (671,'vacdsm-app','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (671,'vacdsm-app','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (672,'vpps-qua','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (672,'vpps-qua','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (673,'cimplex','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (673,'cimplex','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (674,'acap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (674,'acap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (675,'dctp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (675,'dctp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (676,'vpps-via','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (676,'vpps-via','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (677,'vpp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (677,'vpp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (678,'ggf-ncp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (678,'ggf-ncp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (679,'mrm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (679,'mrm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (680,'entrust-aaas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (680,'entrust-aaas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (681,'entrust-aams','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (681,'entrust-aams','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (682,'xfr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (682,'xfr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (683,'corba-iiop','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (683,'corba-iiop','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (684,'corba-iiop-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (684,'corba-iiop-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (685,'mdc-portmapper','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (685,'mdc-portmapper','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (686,'hcp-wismar','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (686,'hcp-wismar','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (687,'asipregistry','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (687,'asipregistry','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (688,'realm-rusd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (688,'realm-rusd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (689,'nmap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (689,'nmap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (690,'vatp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (690,'vatp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (691,'msexch-routing','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (691,'msexch-routing','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (692,'hyperwave-isp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (692,'hyperwave-isp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (693,'connendp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (693,'connendp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (694,'ha-cluster','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (694,'ha-cluster','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (695,'ieee-mms-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (695,'ieee-mms-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (696,'rushd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (696,'rushd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (697,'uuidgen','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (697,'uuidgen','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (698,'olsr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (698,'olsr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (699,'accessnetwork','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (699,'accessnetwork','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (700,'epp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (700,'epp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (701,'lmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (701,'lmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (702,'iris-beep','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (702,'iris-beep','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (704,'elcsd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (704,'elcsd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (705,'agentx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (705,'agentx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (706,'silc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (706,'silc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (707,'borland-dsj','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (707,'borland-dsj','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (709,'entrust-kmsh','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (709,'entrust-kmsh','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (710,'entrust-ash','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (710,'entrust-ash','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (711,'cisco-tdp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (711,'cisco-tdp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (712,'tbrpf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (712,'tbrpf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (729,'netviewdm1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (729,'netviewdm1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (730,'netviewdm2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (730,'netviewdm2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (731,'netviewdm3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (731,'netviewdm3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (741,'netgw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (741,'netgw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (742,'netrcs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (742,'netrcs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (744,'flexlm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (744,'flexlm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (747,'fujitsu-dev','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (747,'fujitsu-dev','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (748,'ris-cm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (748,'ris-cm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (749,'kerberos-adm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (750,'kerberos-iv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (750,'kerberos-iv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (751,'kerberos_master','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (751,'kerberos_master','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (752,'passwd_server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (753,'rrh','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (753,'rrh','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (754,'krb5_prop','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (758,'nlogin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (758,'nlogin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (759,'con','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (759,'con','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (760,'krbupdate','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (761,'rxe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (761,'rxe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (762,'quotad','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (762,'quotad','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (763,'cycleserv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (763,'cycleserv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (764,'omserv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (764,'omserv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (765,'webster','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (765,'webster','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (767,'phonebook','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (767,'phonebook','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (769,'vid','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (769,'vid','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (770,'cadlock','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (770,'cadlock','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (771,'rtip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (771,'rtip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (772,'cycleserv2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (772,'cycleserv2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (773,'submit','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (773,'notify','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (774,'rpasswd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (774,'acmaint_dbd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (775,'entomb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (775,'acmaint_transd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (776,'wpages','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (776,'wpages','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (777,'multiling-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (777,'multiling-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (780,'wpgs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (780,'wpgs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (800,'mdbs_daemon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (800,'mdbs_daemon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (801,'device','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (801,'device','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (808,'omirr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (808,'omirr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (810,'fcp-udp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (810,'fcp-udp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (828,'itm-mcell-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (828,'itm-mcell-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (829,'pkix-3-ca-ra','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (829,'pkix-3-ca-ra','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (847,'dhcp-failover2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (847,'dhcp-failover2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (848,'gdoi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (848,'gdoi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (860,'iscsi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (860,'iscsi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (871,'supfilesrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (873,'rsync','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (873,'rsync','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (886,'iclcnet-locate','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (886,'iclcnet-locate','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (887,'iclcnet_svinfo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (887,'iclcnet_svinfo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (888,'cddbp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (888,'accessbuilder','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (900,'omginitialrefs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (900,'omginitialrefs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (901,'swat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (902,'ideafarm-chat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (902,'ideafarm-chat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (903,'ideafarm-catch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (903,'ideafarm-catch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (911,'xact-backup','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (911,'xact-backup','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (912,'apex-mesh','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (912,'apex-mesh','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (913,'apex-edge','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (913,'apex-edge','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (953,'rndc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (953,'rndc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (989,'ftps-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (989,'ftps-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (990,'ftps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (990,'ftps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (991,'nas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (991,'nas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (992,'telnets','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (992,'telnets','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (993,'imaps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (993,'imaps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (994,'ircs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (994,'ircs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (995,'pop3s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (995,'pop3s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (996,'vsinet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (996,'vsinet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (997,'maitrd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (997,'maitrd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (998,'busboy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (998,'puparp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (999,'puprouter','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (999,'puprouter','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1000,'cadlock2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1000,'cadlock2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1010,'surf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1010,'surf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1025,'blackjack','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1025,'blackjack','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1026,'cap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1026,'cap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1029,'solid-mux','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1029,'solid-mux','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1030,'iad1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1030,'iad1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1031,'iad2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1031,'iad2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1032,'iad3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1032,'iad3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1033,'netinfo-local','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1033,'netinfo-local','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1034,'activesync','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1034,'activesync','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1035,'mxxrlogin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1035,'mxxrlogin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1036,'nsstp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1036,'nsstp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1037,'ams','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1037,'ams','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1038,'mtqp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1038,'mtqp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1039,'sbl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1039,'sbl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1040,'netarx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1040,'netarx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1041,'danf-ak2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1041,'danf-ak2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1042,'afrog','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1042,'afrog','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1043,'boinc-client','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1043,'boinc-client','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1044,'dcutility','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1044,'dcutility','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1045,'fpitp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1045,'fpitp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1046,'wfremotertm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1046,'wfremotertm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1047,'neod1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1047,'neod1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1048,'neod2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1048,'neod2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1049,'td-postman','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1049,'td-postman','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1050,'cma','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1050,'cma','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1051,'optima-vnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1051,'optima-vnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1052,'ddt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1052,'ddt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1053,'remote-as','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1053,'remote-as','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1054,'brvread','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1054,'brvread','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1055,'ansyslmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1055,'ansyslmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1056,'vfo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1056,'vfo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1057,'startron','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1057,'startron','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1058,'nim','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1058,'nim','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1059,'nimreg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1059,'nimreg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1060,'polestar','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1060,'polestar','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1061,'kiosk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1061,'kiosk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1062,'veracity','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1062,'veracity','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1063,'kyoceranetdev','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1063,'kyoceranetdev','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1064,'jstel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1064,'jstel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1065,'syscomlan','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1065,'syscomlan','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1066,'fpo-fns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1066,'fpo-fns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1067,'instl_boots','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1067,'instl_boots','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1068,'instl_bootc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1068,'instl_bootc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1069,'cognex-insight','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1069,'cognex-insight','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1070,'gmrupdateserv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1070,'gmrupdateserv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1071,'bsquare-voip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1071,'bsquare-voip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1072,'cardax','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1072,'cardax','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1073,'bridgecontrol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1073,'bridgecontrol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1074,'fastechnologlm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1074,'fastechnologlm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1075,'rdrmshc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1075,'rdrmshc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1076,'dab-sti-c','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1076,'dab-sti-c','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1077,'imgames','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1077,'imgames','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1078,'avocent-proxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1078,'avocent-proxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1079,'asprovatalk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1079,'asprovatalk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1080,'socks','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1080,'socks','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1081,'pvuniwien','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1081,'pvuniwien','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1082,'amt-esd-prot','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1082,'amt-esd-prot','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1083,'ansoft-lm-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1083,'ansoft-lm-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1084,'ansoft-lm-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1084,'ansoft-lm-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1085,'webobjects','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1085,'webobjects','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1086,'cplscrambler-lg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1086,'cplscrambler-lg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1087,'cplscrambler-in','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1087,'cplscrambler-in','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1088,'cplscrambler-al','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1088,'cplscrambler-al','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1089,'ff-annunc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1089,'ff-annunc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1090,'ff-fms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1090,'ff-fms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1091,'ff-sm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1091,'ff-sm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1092,'obrpd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1092,'obrpd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1093,'proofd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1093,'proofd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1094,'rootd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1094,'rootd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1095,'nicelink','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1095,'nicelink','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1096,'cnrprotocol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1096,'cnrprotocol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1097,'sunclustermgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1097,'sunclustermgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1098,'rmiactivation','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1098,'rmiactivation','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1099,'rmiregistry','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1099,'rmiregistry','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1100,'mctp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1100,'mctp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1101,'pt2-discover','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1101,'pt2-discover','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1102,'adobeserver-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1102,'adobeserver-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1103,'adobeserver-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1103,'adobeserver-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1104,'xrl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1104,'xrl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1105,'ftranhc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1105,'ftranhc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1106,'isoipsigport-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1106,'isoipsigport-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1107,'isoipsigport-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1107,'isoipsigport-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1108,'ratio-adp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1108,'ratio-adp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1109,'kpop','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1110,'nfsd-status','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1110,'nfsd-keepalive','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1111,'lmsocialserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1111,'lmsocialserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1112,'icp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1112,'icp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1113,'ltp-deepspace','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1113,'ltp-deepspace','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1114,'mini-sql','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1114,'mini-sql','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1115,'ardus-trns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1115,'ardus-trns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1116,'ardus-cntl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1116,'ardus-cntl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1117,'ardus-mtrns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1117,'ardus-mtrns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1118,'sacred','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1118,'sacred','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1119,'bnetgame','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1119,'bnetgame','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1120,'bnetfile','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1120,'bnetfile','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1121,'rmpp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1121,'rmpp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1122,'availant-mgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1122,'availant-mgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1123,'murray','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1123,'murray','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1124,'hpvmmcontrol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1124,'hpvmmcontrol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1125,'hpvmmagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1125,'hpvmmagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1126,'hpvmmdata','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1126,'hpvmmdata','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1127,'supfiledbg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1140,'autonoc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1140,'autonoc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1141,'mxomss','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1141,'mxomss','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1142,'edtools','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1142,'edtools','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1144,'fuscript','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1144,'fuscript','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1145,'x9-icue','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1145,'x9-icue','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1146,'audit-transfer','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1146,'audit-transfer','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1147,'capioverlan','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1147,'capioverlan','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1148,'elfiq-repl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1148,'elfiq-repl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1149,'bvtsonar','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1149,'bvtsonar','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1150,'blaze','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1150,'blaze','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1151,'unizensus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1151,'unizensus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1152,'winpoplanmess','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1152,'winpoplanmess','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1153,'c1222-acse','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1153,'c1222-acse','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1154,'resacommunity','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1154,'resacommunity','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1155,'nfa','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1155,'nfa','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1156,'iascontrol-oms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1156,'iascontrol-oms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1157,'iascontrol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1157,'iascontrol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1158,'dbcontrol-oms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1158,'dbcontrol-oms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1159,'oracle-oms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1159,'oracle-oms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1160,'olsv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1160,'olsv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1161,'health-polling','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1161,'health-polling','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1162,'health-trap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1162,'health-trap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1163,'sddp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1163,'sddp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1164,'qsm-proxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1164,'qsm-proxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1165,'qsm-gui','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1165,'qsm-gui','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1166,'qsm-remote','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1166,'qsm-remote','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1168,'vchat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1168,'vchat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1169,'tripwire','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1169,'tripwire','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1170,'atc-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1170,'atc-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1171,'atc-appserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1171,'atc-appserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1172,'dnap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1172,'dnap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1173,'d-cinema-rrp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1173,'d-cinema-rrp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1174,'fnet-remote-ui','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1174,'fnet-remote-ui','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1175,'dossier','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1175,'dossier','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1176,'indigo-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1176,'indigo-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1177,'dkmessenger','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1177,'dkmessenger','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1178,'skkserv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1179,'b2n','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1179,'b2n','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1180,'mc-client','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1180,'mc-client','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1181,'3comnetman','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1181,'3comnetman','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1182,'accelenet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1182,'accelenet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1183,'llsurfup-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1183,'llsurfup-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1184,'llsurfup-https','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1184,'llsurfup-https','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1185,'catchpole','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1185,'catchpole','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1186,'mysql-cluster','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1186,'mysql-cluster','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1187,'alias','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1187,'alias','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1188,'hp-webadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1188,'hp-webadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1189,'unet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1189,'unet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1190,'commlinx-avl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1190,'commlinx-avl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1191,'gpfs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1191,'gpfs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1192,'caids-sensor','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1192,'caids-sensor','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1193,'fiveacross','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1193,'fiveacross','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1194,'openvpn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1194,'openvpn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1195,'rsf-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1195,'rsf-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1196,'netmagic','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1196,'netmagic','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1197,'carrius-rshell','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1197,'carrius-rshell','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1198,'cajo-discovery','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1198,'cajo-discovery','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1199,'dmidi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1199,'dmidi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1200,'scol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1200,'scol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1201,'nucleus-sand','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1201,'nucleus-sand','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1202,'caiccipc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1202,'caiccipc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1203,'ssslic-mgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1203,'ssslic-mgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1204,'ssslog-mgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1204,'ssslog-mgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1205,'accord-mgc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1205,'accord-mgc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1206,'anthony-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1206,'anthony-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1207,'metasage','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1207,'metasage','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1208,'seagull-ais','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1208,'seagull-ais','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1209,'ipcd3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1209,'ipcd3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1210,'eoss','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1210,'eoss','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1211,'groove-dpp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1211,'groove-dpp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1212,'lupa','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1212,'lupa','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1213,'mpc-lifenet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1213,'mpc-lifenet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1214,'kazaa','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1214,'kazaa','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1215,'scanstat-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1215,'scanstat-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1216,'etebac5','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1216,'etebac5','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1217,'hpss-ndapi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1217,'hpss-ndapi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1218,'aeroflight-ads','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1218,'aeroflight-ads','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1219,'aeroflight-ret','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1219,'aeroflight-ret','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1220,'qt-serveradmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1220,'qt-serveradmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1221,'sweetware-apps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1221,'sweetware-apps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1222,'nerv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1222,'nerv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1223,'tgp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1223,'tgp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1224,'vpnz','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1224,'vpnz','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1225,'slinkysearch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1225,'slinkysearch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1226,'stgxfws','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1226,'stgxfws','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1227,'dns2go','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1227,'dns2go','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1228,'florence','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1228,'florence','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1229,'novell-zfs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1229,'novell-zfs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1230,'periscope','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1230,'periscope','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1231,'menandmice-lpm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1231,'menandmice-lpm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1233,'univ-appserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1233,'univ-appserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1234,'search-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1234,'search-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1235,'mosaicsyssvc1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1235,'mosaicsyssvc1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1236,'bvcontrol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1236,'bvcontrol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1237,'tsdos390','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1237,'tsdos390','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1238,'hacl-qs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1238,'hacl-qs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1239,'nmsd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1239,'nmsd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1240,'instantia','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1240,'instantia','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1241,'nessus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1241,'nessus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1242,'nmasoverip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1242,'nmasoverip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1243,'serialgateway','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1243,'serialgateway','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1244,'isbconference1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1244,'isbconference1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1245,'isbconference2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1245,'isbconference2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1246,'payrouter','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1246,'payrouter','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1247,'visionpyramid','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1247,'visionpyramid','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1248,'hermes','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1248,'hermes','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1249,'mesavistaco','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1249,'mesavistaco','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1250,'swldy-sias','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1250,'swldy-sias','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1251,'servergraph','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1251,'servergraph','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1252,'bspne-pcc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1252,'bspne-pcc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1253,'q55-pcc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1253,'q55-pcc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1254,'de-noc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1254,'de-noc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1255,'de-cache-query','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1255,'de-cache-query','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1256,'de-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1256,'de-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1257,'shockwave2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1257,'shockwave2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1258,'opennl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1258,'opennl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1259,'opennl-voice','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1259,'opennl-voice','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1260,'ibm-ssd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1260,'ibm-ssd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1261,'mpshrsv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1261,'mpshrsv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1262,'qnts-orb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1262,'qnts-orb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1263,'dka','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1263,'dka','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1264,'prat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1264,'prat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1265,'dssiapi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1265,'dssiapi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1266,'dellpwrappks','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1266,'dellpwrappks','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1267,'epc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1267,'epc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1268,'propel-msgsys','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1268,'propel-msgsys','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1269,'watilapp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1269,'watilapp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1270,'opsmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1270,'opsmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1271,'excw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1271,'excw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1272,'cspmlockmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1272,'cspmlockmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1273,'emc-gateway','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1273,'emc-gateway','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1274,'t1distproc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1274,'t1distproc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1275,'ivcollector','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1275,'ivcollector','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1276,'ivmanager','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1276,'ivmanager','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1277,'miva-mqs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1277,'miva-mqs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1278,'dellwebadmin-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1278,'dellwebadmin-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1279,'dellwebadmin-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1279,'dellwebadmin-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1280,'pictrography','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1280,'pictrography','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1281,'healthd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1281,'healthd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1282,'emperion','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1282,'emperion','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1283,'productinfo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1283,'productinfo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1284,'iee-qfx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1284,'iee-qfx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1285,'neoiface','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1285,'neoiface','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1286,'netuitive','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1286,'netuitive','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1287,'routematch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1287,'routematch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1288,'navbuddy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1288,'navbuddy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1289,'jwalkserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1289,'jwalkserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1290,'winjaserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1290,'winjaserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1291,'seagulllms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1291,'seagulllms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1292,'dsdn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1292,'dsdn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1293,'pkt-krb-ipsec','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1293,'pkt-krb-ipsec','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1294,'cmmdriver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1294,'cmmdriver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1295,'ehtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1295,'ehtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1296,'dproxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1296,'dproxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1297,'sdproxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1297,'sdproxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1298,'lpcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1298,'lpcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1299,'hp-sci','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1299,'hp-sci','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1300,'h323hostcallsc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1300,'h323hostcallsc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1301,'ci3-software-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1301,'ci3-software-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1302,'ci3-software-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1302,'ci3-software-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1303,'sftsrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1303,'sftsrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1304,'boomerang','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1304,'boomerang','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1305,'pe-mike','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1305,'pe-mike','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1306,'re-conn-proto','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1306,'re-conn-proto','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1307,'pacmand','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1307,'pacmand','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1308,'odsi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1308,'odsi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1309,'jtag-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1309,'jtag-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1310,'husky','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1310,'husky','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1311,'rxmon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1311,'rxmon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1312,'sti-envision','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1312,'sti-envision','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1313,'xtel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1314,'pdps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1314,'pdps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1315,'els','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1315,'els','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1316,'exbit-escp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1316,'exbit-escp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1317,'vrts-ipcserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1317,'vrts-ipcserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1318,'krb5gatekeeper','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1318,'krb5gatekeeper','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1319,'panja-icsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1319,'panja-icsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1320,'panja-axbnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1320,'panja-axbnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1322,'novation','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1322,'novation','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1323,'brcd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1323,'brcd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1324,'delta-mcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1324,'delta-mcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1325,'dx-instrument','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1325,'dx-instrument','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1326,'wimsic','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1326,'wimsic','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1327,'ultrex','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1327,'ultrex','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1328,'ewall','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1328,'ewall','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1329,'netdb-export','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1329,'netdb-export','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1330,'streetperfect','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1330,'streetperfect','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1331,'intersan','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1331,'intersan','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1332,'pcia-rxp-b','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1332,'pcia-rxp-b','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1333,'passwrd-policy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1333,'passwrd-policy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1334,'writesrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1334,'writesrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1335,'digital-notary','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1335,'digital-notary','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1336,'ischat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1336,'ischat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1337,'menandmice-dns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1337,'menandmice-dns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1338,'wmc-log-svc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1338,'wmc-log-svc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1339,'kjtsiteserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1339,'kjtsiteserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1340,'naap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1340,'naap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1341,'qubes','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1341,'qubes','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1342,'esbroker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1342,'esbroker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1343,'re101','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1343,'re101','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1344,'icap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1344,'icap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1345,'vpjp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1345,'vpjp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1346,'alta-ana-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1346,'alta-ana-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1347,'bbn-mmc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1347,'bbn-mmc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1348,'bbn-mmx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1348,'bbn-mmx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1349,'sbook','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1349,'sbook','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1350,'editbench','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1350,'editbench','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1351,'equationbuilder','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1351,'equationbuilder','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1352,'lotusnote','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1352,'lotusnote','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1353,'relief','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1353,'relief','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1354,'XSIP-network','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1354,'XSIP-network','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1355,'intuitive-edge','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1355,'intuitive-edge','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1356,'cuillamartin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1356,'cuillamartin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1357,'pegboard','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1357,'pegboard','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1358,'connlcli','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1358,'connlcli','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1359,'ftsrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1359,'ftsrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1360,'mimer','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1360,'mimer','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1361,'linx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1361,'linx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1362,'timeflies','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1362,'timeflies','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1363,'ndm-requester','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1363,'ndm-requester','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1364,'ndm-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1364,'ndm-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1365,'adapt-sna','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1365,'adapt-sna','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1366,'netware-csp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1366,'netware-csp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1367,'dcs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1367,'dcs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1368,'screencast','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1368,'screencast','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1369,'gv-us','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1369,'gv-us','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1370,'us-gv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1370,'us-gv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1371,'fc-cli','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1371,'fc-cli','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1372,'fc-ser','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1372,'fc-ser','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1373,'chromagrafx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1373,'chromagrafx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1374,'molly','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1374,'molly','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1375,'bytex','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1375,'bytex','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1376,'ibm-pps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1376,'ibm-pps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1377,'cichlid','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1377,'cichlid','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1378,'elan','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1378,'elan','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1379,'dbreporter','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1379,'dbreporter','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1380,'telesis-licman','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1380,'telesis-licman','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1381,'apple-licman','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1381,'apple-licman','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1382,'udt_os','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1382,'udt_os','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1383,'gwha','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1383,'gwha','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1384,'os-licman','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1384,'os-licman','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1385,'atex_elmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1385,'atex_elmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1386,'checksum','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1386,'checksum','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1387,'cadsi-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1387,'cadsi-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1388,'objective-dbc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1388,'objective-dbc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1389,'iclpv-dm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1389,'iclpv-dm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1390,'iclpv-sc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1390,'iclpv-sc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1391,'iclpv-sas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1391,'iclpv-sas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1392,'iclpv-pm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1392,'iclpv-pm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1393,'iclpv-nls','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1393,'iclpv-nls','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1394,'iclpv-nlc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1394,'iclpv-nlc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1395,'iclpv-wsm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1395,'iclpv-wsm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1396,'dvl-activemail','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1396,'dvl-activemail','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1397,'audio-activmail','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1397,'audio-activmail','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1398,'video-activmail','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1398,'video-activmail','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1399,'cadkey-licman','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1399,'cadkey-licman','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1400,'cadkey-tablet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1400,'cadkey-tablet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1401,'goldleaf-licman','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1401,'goldleaf-licman','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1402,'prm-sm-np','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1402,'prm-sm-np','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1403,'prm-nm-np','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1403,'prm-nm-np','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1404,'igi-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1404,'igi-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1405,'ibm-res','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1405,'ibm-res','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1406,'netlabs-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1406,'netlabs-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1407,'dbsa-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1407,'dbsa-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1408,'sophia-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1408,'sophia-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1409,'here-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1409,'here-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1410,'hiq','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1410,'hiq','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1411,'af','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1411,'af','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1412,'innosys','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1412,'innosys','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1413,'innosys-acl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1413,'innosys-acl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1414,'ibm-mqseries','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1414,'ibm-mqseries','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1415,'dbstar','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1415,'dbstar','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1416,'novell-lu6.2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1416,'novell-lu6.2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1417,'timbuktu-srv1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1417,'timbuktu-srv1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1418,'timbuktu-srv2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1418,'timbuktu-srv2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1419,'timbuktu-srv3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1419,'timbuktu-srv3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1420,'timbuktu-srv4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1420,'timbuktu-srv4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1421,'gandalf-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1421,'gandalf-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1422,'autodesk-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1422,'autodesk-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1423,'essbase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1423,'essbase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1424,'hybrid','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1424,'hybrid','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1425,'zion-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1425,'zion-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1426,'sais','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1426,'sais','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1427,'mloadd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1427,'mloadd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1428,'informatik-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1428,'informatik-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1429,'nms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1429,'nms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1430,'tpdu','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1430,'tpdu','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1431,'rgtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1431,'rgtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1432,'blueberry-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1432,'blueberry-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1433,'ms-sql-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1433,'ms-sql-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1434,'ms-sql-m','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1434,'ms-sql-m','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1435,'ibm-cics','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1435,'ibm-cics','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1436,'saism','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1436,'saism','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1437,'tabula','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1437,'tabula','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1438,'eicon-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1438,'eicon-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1439,'eicon-x25','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1439,'eicon-x25','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1440,'eicon-slp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1440,'eicon-slp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1441,'cadis-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1441,'cadis-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1442,'cadis-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1442,'cadis-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1443,'ies-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1443,'ies-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1444,'marcam-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1444,'marcam-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1445,'proxima-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1445,'proxima-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1446,'ora-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1446,'ora-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1447,'apri-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1447,'apri-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1448,'oc-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1448,'oc-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1449,'peport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1449,'peport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1450,'dwf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1450,'dwf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1451,'infoman','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1451,'infoman','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1452,'gtegsc-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1452,'gtegsc-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1453,'genie-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1453,'genie-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1454,'interhdl_elmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1454,'interhdl_elmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1455,'esl-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1455,'esl-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1456,'dca','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1456,'dca','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1457,'valisys-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1457,'valisys-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1458,'nrcabq-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1458,'nrcabq-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1459,'proshare1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1459,'proshare1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1460,'proshare2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1460,'proshare2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1461,'ibm_wrless_lan','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1461,'ibm_wrless_lan','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1462,'world-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1462,'world-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1463,'nucleus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1463,'nucleus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1464,'msl_lmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1464,'msl_lmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1465,'pipes','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1465,'pipes','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1466,'oceansoft-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1466,'oceansoft-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1467,'csdmbase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1467,'csdmbase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1468,'csdm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1468,'csdm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1469,'aal-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1469,'aal-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1470,'uaiact','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1470,'uaiact','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1473,'openmath','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1473,'openmath','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1474,'telefinder','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1474,'telefinder','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1475,'taligent-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1475,'taligent-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1476,'clvm-cfg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1476,'clvm-cfg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1477,'ms-sna-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1477,'ms-sna-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1478,'ms-sna-base','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1478,'ms-sna-base','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1479,'dberegister','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1479,'dberegister','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1480,'pacerforum','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1480,'pacerforum','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1481,'airs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1481,'airs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1482,'miteksys-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1482,'miteksys-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1483,'afs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1483,'afs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1484,'confluent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1484,'confluent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1485,'lansource','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1485,'lansource','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1486,'nms_topo_serv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1486,'nms_topo_serv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1487,'localinfosrvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1487,'localinfosrvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1488,'docstor','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1488,'docstor','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1489,'dmdocbroker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1489,'dmdocbroker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1490,'insitu-conf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1490,'insitu-conf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1491,'anynetgateway','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1491,'anynetgateway','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1492,'stone-design-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1492,'stone-design-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1493,'netmap_lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1493,'netmap_lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1494,'ica','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1494,'ica','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1495,'cvc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1495,'cvc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1496,'liberty-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1496,'liberty-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1497,'rfx-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1497,'rfx-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1498,'sybase-sqlany','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1498,'sybase-sqlany','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1499,'fhc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1499,'fhc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1500,'vlsi-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1500,'vlsi-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1501,'saiscm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1501,'saiscm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1502,'shivadiscovery','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1502,'shivadiscovery','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1503,'imtc-mcs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1503,'imtc-mcs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1504,'evb-elm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1504,'evb-elm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1505,'funkproxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1505,'funkproxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1506,'utcd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1506,'utcd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1507,'symplex','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1507,'symplex','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1508,'diagmond','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1508,'diagmond','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1509,'robcad-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1509,'robcad-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1510,'mvx-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1510,'mvx-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1511,'3l-l1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1511,'3l-l1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1512,'wins','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1512,'wins','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1513,'fujitsu-dtc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1513,'fujitsu-dtc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1514,'fujitsu-dtcns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1514,'fujitsu-dtcns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1515,'ifor-protocol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1515,'ifor-protocol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1516,'vpad','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1516,'vpad','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1517,'vpac','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1517,'vpac','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1518,'vpvd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1518,'vpvd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1519,'vpvc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1519,'vpvc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1520,'atm-zip-office','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1520,'atm-zip-office','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1521,'ncube-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1521,'ncube-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1522,'ricardo-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1522,'ricardo-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1523,'cichild-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1523,'cichild-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1524,'ingreslock','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1524,'ingreslock','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1525,'prospero-np','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1525,'prospero-np','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1526,'pdap-np','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1526,'pdap-np','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1527,'tlisrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1527,'tlisrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1528,'mciautoreg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1528,'mciautoreg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1529,'support','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1530,'rap-service','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1530,'rap-service','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1531,'rap-listen','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1531,'rap-listen','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1532,'miroconnect','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1532,'miroconnect','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1533,'virtual-places','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1533,'virtual-places','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1534,'micromuse-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1534,'micromuse-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1535,'ampr-info','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1535,'ampr-info','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1536,'ampr-inter','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1536,'ampr-inter','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1537,'sdsc-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1537,'sdsc-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1538,'3ds-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1538,'3ds-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1539,'intellistor-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1539,'intellistor-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1540,'rds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1540,'rds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1541,'rds2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1541,'rds2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1542,'gridgen-elmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1542,'gridgen-elmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1543,'simba-cs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1543,'simba-cs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1544,'aspeclmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1544,'aspeclmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1545,'vistium-share','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1545,'vistium-share','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1546,'abbaccuray','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1546,'abbaccuray','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1547,'laplink','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1547,'laplink','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1548,'axon-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1548,'axon-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1549,'shivahose','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1549,'shivasound','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1550,'3m-image-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1550,'3m-image-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1551,'hecmtl-db','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1551,'hecmtl-db','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1552,'pciarray','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1552,'pciarray','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1553,'sna-cs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1553,'sna-cs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1554,'caci-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1554,'caci-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1555,'livelan','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1555,'livelan','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1556,'veritas_pbx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1556,'veritas_pbx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1557,'arbortext-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1557,'arbortext-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1558,'xingmpeg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1558,'xingmpeg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1559,'web2host','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1559,'web2host','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1560,'asci-val','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1560,'asci-val','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1561,'facilityview','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1561,'facilityview','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1562,'pconnectmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1562,'pconnectmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1563,'cadabra-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1563,'cadabra-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1564,'pay-per-view','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1564,'pay-per-view','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1565,'winddlb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1565,'winddlb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1566,'corelvideo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1566,'corelvideo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1567,'jlicelmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1567,'jlicelmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1568,'tsspmap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1568,'tsspmap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1569,'ets','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1569,'ets','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1570,'orbixd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1570,'orbixd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1571,'rdb-dbs-disp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1571,'rdb-dbs-disp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1572,'chip-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1572,'chip-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1573,'itscomm-ns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1573,'itscomm-ns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1574,'mvel-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1574,'mvel-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1575,'oraclenames','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1575,'oraclenames','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1576,'moldflow-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1576,'moldflow-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1577,'hypercube-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1577,'hypercube-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1578,'jacobus-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1578,'jacobus-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1579,'ioc-sea-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1579,'ioc-sea-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1580,'tn-tl-r1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1580,'tn-tl-r2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1581,'mil-2045-47001','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1581,'mil-2045-47001','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1582,'msims','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1582,'msims','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1583,'simbaexpress','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1583,'simbaexpress','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1584,'tn-tl-fd2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1584,'tn-tl-fd2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1585,'intv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1585,'intv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1586,'ibm-abtact','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1586,'ibm-abtact','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1587,'pra_elmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1587,'pra_elmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1588,'triquest-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1588,'triquest-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1589,'vqp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1589,'vqp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1590,'gemini-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1590,'gemini-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1591,'ncpm-pm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1591,'ncpm-pm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1592,'commonspace','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1592,'commonspace','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1593,'mainsoft-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1593,'mainsoft-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1594,'sixtrak','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1594,'sixtrak','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1595,'radio','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1595,'radio','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1596,'radio-sm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1596,'radio-bc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1597,'orbplus-iiop','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1597,'orbplus-iiop','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1598,'picknfs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1598,'picknfs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1599,'simbaservices','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1599,'simbaservices','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1600,'issd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1600,'issd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1601,'aas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1601,'aas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1602,'inspect','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1602,'inspect','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1603,'picodbc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1603,'picodbc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1604,'icabrowser','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1604,'icabrowser','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1605,'slp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1605,'slp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1606,'slm-api','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1606,'slm-api','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1607,'stt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1607,'stt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1608,'smart-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1608,'smart-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1609,'isysg-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1609,'isysg-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1610,'taurus-wh','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1610,'taurus-wh','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1611,'ill','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1611,'ill','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1612,'netbill-trans','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1612,'netbill-trans','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1613,'netbill-keyrep','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1613,'netbill-keyrep','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1614,'netbill-cred','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1614,'netbill-cred','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1615,'netbill-auth','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1615,'netbill-auth','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1616,'netbill-prod','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1616,'netbill-prod','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1617,'nimrod-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1617,'nimrod-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1618,'skytelnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1618,'skytelnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1619,'xs-openstorage','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1619,'xs-openstorage','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1620,'faxportwinport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1620,'faxportwinport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1621,'softdataphone','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1621,'softdataphone','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1622,'ontime','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1622,'ontime','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1623,'jaleosnd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1623,'jaleosnd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1624,'udp-sr-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1624,'udp-sr-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1625,'svs-omagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1625,'svs-omagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1626,'shockwave','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1626,'shockwave','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1627,'t128-gateway','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1627,'t128-gateway','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1628,'lontalk-norm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1628,'lontalk-norm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1629,'lontalk-urgnt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1629,'lontalk-urgnt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1630,'oraclenet8cman','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1630,'oraclenet8cman','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1631,'visitview','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1631,'visitview','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1632,'pammratc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1632,'pammratc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1633,'pammrpc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1633,'pammrpc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1634,'loaprobe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1634,'loaprobe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1635,'edb-server1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1635,'edb-server1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1636,'cncp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1636,'cncp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1637,'cnap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1637,'cnap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1638,'cnip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1638,'cnip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1639,'cert-initiator','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1639,'cert-initiator','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1640,'cert-responder','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1640,'cert-responder','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1641,'invision','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1641,'invision','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1642,'isis-am','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1642,'isis-am','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1643,'isis-ambc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1643,'isis-ambc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1644,'saiseh','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1645,'datametrics','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1645,'datametrics','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1646,'sa-msg-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1646,'sa-msg-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1647,'rsap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1647,'rsap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1648,'concurrent-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1648,'concurrent-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1649,'kermit','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1649,'kermit','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1650,'nkd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1650,'nkd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1651,'shiva_confsrvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1651,'shiva_confsrvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1652,'xnmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1652,'xnmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1653,'alphatech-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1653,'alphatech-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1654,'stargatealerts','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1654,'stargatealerts','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1655,'dec-mbadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1655,'dec-mbadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1656,'dec-mbadmin-h','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1656,'dec-mbadmin-h','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1657,'fujitsu-mmpdc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1657,'fujitsu-mmpdc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1658,'sixnetudr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1658,'sixnetudr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1659,'sg-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1659,'sg-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1660,'skip-mc-gikreq','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1660,'skip-mc-gikreq','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1661,'netview-aix-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1661,'netview-aix-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1662,'netview-aix-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1662,'netview-aix-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1663,'netview-aix-3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1663,'netview-aix-3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1664,'netview-aix-4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1664,'netview-aix-4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1665,'netview-aix-5','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1665,'netview-aix-5','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1666,'netview-aix-6','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1666,'netview-aix-6','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1667,'netview-aix-7','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1667,'netview-aix-7','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1668,'netview-aix-8','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1668,'netview-aix-8','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1669,'netview-aix-9','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1669,'netview-aix-9','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1670,'netview-aix-10','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1670,'netview-aix-10','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1671,'netview-aix-11','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1671,'netview-aix-11','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1672,'netview-aix-12','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1672,'netview-aix-12','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1673,'proshare-mc-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1673,'proshare-mc-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1674,'proshare-mc-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1674,'proshare-mc-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1675,'pdp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1675,'pdp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1676,'netcomm1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1676,'netcomm2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1677,'groupwise','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1677,'groupwise','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1678,'prolink','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1678,'prolink','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1679,'darcorp-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1679,'darcorp-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1680,'microcom-sbp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1680,'microcom-sbp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1681,'sd-elmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1681,'sd-elmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1682,'lanyon-lantern','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1682,'lanyon-lantern','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1683,'ncpm-hip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1683,'ncpm-hip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1684,'snaresecure','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1684,'snaresecure','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1685,'n2nremote','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1685,'n2nremote','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1686,'cvmon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1686,'cvmon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1687,'nsjtp-ctrl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1687,'nsjtp-ctrl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1688,'nsjtp-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1688,'nsjtp-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1689,'firefox','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1689,'firefox','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1690,'ng-umds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1690,'ng-umds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1691,'empire-empuma','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1691,'empire-empuma','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1692,'sstsys-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1692,'sstsys-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1693,'rrirtr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1693,'rrirtr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1694,'rrimwm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1694,'rrimwm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1695,'rrilwm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1695,'rrilwm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1696,'rrifmm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1696,'rrifmm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1697,'rrisat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1697,'rrisat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1698,'rsvp-encap-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1698,'rsvp-encap-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1699,'rsvp-encap-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1699,'rsvp-encap-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1700,'mps-raft','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1700,'mps-raft','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1701,'l2tp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1701,'l2tp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1702,'deskshare','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1702,'deskshare','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1703,'hb-engine','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1703,'hb-engine','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1704,'bcs-broker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1704,'bcs-broker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1705,'slingshot','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1705,'slingshot','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1706,'jetform','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1706,'jetform','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1707,'vdmplay','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1707,'vdmplay','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1708,'gat-lmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1708,'gat-lmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1709,'centra','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1709,'centra','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1710,'impera','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1710,'impera','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1711,'pptconference','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1711,'pptconference','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1712,'registrar','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1712,'registrar','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1713,'conferencetalk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1713,'conferencetalk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1714,'sesi-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1714,'sesi-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1715,'houdini-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1715,'houdini-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1716,'xmsg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1716,'xmsg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1717,'fj-hdnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1717,'fj-hdnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1718,'h323gatedisc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1718,'h323gatedisc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1719,'h323gatestat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1719,'h323gatestat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1720,'h323hostcall','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1720,'h323hostcall','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1721,'caicci','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1721,'caicci','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1722,'hks-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1722,'hks-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1723,'pptp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1723,'pptp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1724,'csbphonemaster','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1724,'csbphonemaster','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1725,'iden-ralp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1725,'iden-ralp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1726,'iberiagames','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1726,'iberiagames','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1727,'winddx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1727,'winddx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1728,'telindus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1728,'telindus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1729,'citynl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1729,'citynl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1730,'roketz','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1730,'roketz','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1731,'msiccp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1731,'msiccp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1732,'proxim','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1732,'proxim','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1733,'siipat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1733,'siipat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1734,'cambertx-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1734,'cambertx-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1735,'privatechat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1735,'privatechat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1736,'street-stream','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1736,'street-stream','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1737,'ultimad','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1737,'ultimad','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1738,'gamegen1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1738,'gamegen1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1739,'webaccess','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1739,'webaccess','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1740,'encore','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1740,'encore','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1741,'cisco-net-mgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1741,'cisco-net-mgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1742,'3Com-nsd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1742,'3Com-nsd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1743,'cinegrfx-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1743,'cinegrfx-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1744,'ncpm-ft','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1744,'ncpm-ft','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1745,'remote-winsock','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1745,'remote-winsock','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1746,'ftrapid-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1746,'ftrapid-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1747,'ftrapid-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1747,'ftrapid-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1748,'oracle-em1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1748,'oracle-em1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1749,'aspen-services','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1749,'aspen-services','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1750,'sslp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1750,'sslp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1751,'swiftnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1751,'swiftnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1752,'lofr-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1752,'lofr-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1754,'oracle-em2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1754,'oracle-em2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1755,'ms-streaming','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1755,'ms-streaming','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1756,'capfast-lmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1756,'capfast-lmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1757,'cnhrp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1757,'cnhrp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1758,'tftp-mcast','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1758,'tftp-mcast','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1759,'mtftp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1760,'www-ldap-gw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1760,'www-ldap-gw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1761,'cft-0','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1761,'cft-0','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1762,'cft-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1762,'cft-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1763,'cft-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1763,'cft-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1764,'cft-3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1764,'cft-3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1765,'cft-4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1765,'cft-4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1766,'cft-5','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1766,'cft-5','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1767,'cft-6','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1767,'cft-6','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1768,'cft-7','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1768,'cft-7','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1769,'bmc-net-adm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1769,'bmc-net-adm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1770,'bmc-net-svc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1770,'bmc-net-svc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1771,'vaultbase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1771,'vaultbase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1772,'essweb-gw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1772,'essweb-gw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1773,'kmscontrol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1773,'kmscontrol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1774,'global-dtserv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1774,'global-dtserv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1776,'femis','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1776,'femis','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1777,'powerguardian','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1777,'powerguardian','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1778,'prodigy-intrnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1778,'prodigy-intrnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1779,'pharmasoft','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1779,'pharmasoft','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1780,'dpkeyserv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1780,'dpkeyserv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1781,'answersoft-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1781,'answersoft-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1782,'hp-hcip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1782,'hp-hcip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1784,'finle-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1784,'finle-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1785,'windlm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1785,'windlm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1786,'funk-logger','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1786,'funk-logger','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1787,'funk-license','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1787,'funk-license','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1788,'psmond','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1788,'psmond','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1789,'hello','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1789,'hello','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1791,'ea1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1791,'ea1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1792,'ibm-dt-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1792,'ibm-dt-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1793,'rsc-robot','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1793,'rsc-robot','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1794,'cera-bcm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1794,'cera-bcm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1795,'dpi-proxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1795,'dpi-proxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1796,'vocaltec-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1796,'vocaltec-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1798,'etp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1798,'etp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1799,'netrisk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1799,'netrisk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1800,'ansys-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1800,'ansys-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1801,'msmq','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1801,'msmq','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1802,'concomp1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1802,'concomp1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1803,'hp-hcip-gwy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1803,'hp-hcip-gwy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1804,'enl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1804,'enl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1805,'enl-name','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1805,'enl-name','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1806,'musiconline','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1806,'musiconline','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1807,'fhsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1807,'fhsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1808,'oracle-vp2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1808,'oracle-vp2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1809,'oracle-vp1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1809,'oracle-vp1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1810,'jerand-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1810,'jerand-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1811,'scientia-sdb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1811,'scientia-sdb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1812,'radius','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1812,'radius','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1813,'radius-acct','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1813,'radius-acct','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1814,'tdp-suite','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1814,'tdp-suite','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1815,'mmpft','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1815,'mmpft','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1816,'harp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1816,'harp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1817,'rkb-oscs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1817,'rkb-oscs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1818,'etftp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1818,'etftp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1819,'plato-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1819,'plato-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1820,'mcagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1820,'mcagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1821,'donnyworld','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1821,'donnyworld','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1822,'es-elmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1822,'es-elmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1823,'unisys-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1823,'unisys-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1824,'metrics-pas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1824,'metrics-pas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1825,'direcpc-video','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1825,'direcpc-video','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1826,'ardt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1826,'ardt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1827,'asi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1827,'asi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1828,'itm-mcell-u','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1828,'itm-mcell-u','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1829,'optika-emedia','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1829,'optika-emedia','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1830,'net8-cman','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1830,'net8-cman','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1831,'myrtle','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1831,'myrtle','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1832,'tht-treasure','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1832,'tht-treasure','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1833,'udpradio','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1833,'udpradio','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1834,'ardusuni','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1834,'ardusuni','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1835,'ardusmul','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1835,'ardusmul','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1836,'ste-smsc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1836,'ste-smsc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1837,'csoft1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1837,'csoft1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1838,'talnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1838,'talnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1839,'netopia-vo1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1839,'netopia-vo1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1840,'netopia-vo2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1840,'netopia-vo2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1841,'netopia-vo3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1841,'netopia-vo3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1842,'netopia-vo4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1842,'netopia-vo4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1843,'netopia-vo5','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1843,'netopia-vo5','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1844,'direcpc-dll','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1844,'direcpc-dll','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1845,'altalink','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1845,'altalink','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1846,'tunstall-pnc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1846,'tunstall-pnc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1847,'slp-notify','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1847,'slp-notify','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1848,'fjdocdist','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1848,'fjdocdist','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1849,'alpha-sms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1849,'alpha-sms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1850,'gsi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1850,'gsi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1851,'ctcd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1851,'ctcd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1852,'virtual-time','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1852,'virtual-time','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1853,'vids-avtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1853,'vids-avtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1854,'buddy-draw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1854,'buddy-draw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1855,'fiorano-rtrsvc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1855,'fiorano-rtrsvc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1856,'fiorano-msgsvc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1856,'fiorano-msgsvc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1857,'datacaptor','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1857,'datacaptor','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1858,'privateark','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1858,'privateark','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1859,'gammafetchsvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1859,'gammafetchsvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1860,'sunscalar-svc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1860,'sunscalar-svc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1861,'lecroy-vicp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1861,'lecroy-vicp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1862,'techra-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1862,'techra-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1863,'msnp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1863,'msnp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1864,'paradym-31port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1864,'paradym-31port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1865,'entp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1865,'entp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1866,'swrmi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1866,'swrmi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1867,'udrive','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1867,'udrive','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1868,'viziblebrowser','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1868,'viziblebrowser','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1869,'yestrader','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1869,'yestrader','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1870,'sunscalar-dns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1870,'sunscalar-dns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1871,'canocentral0','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1871,'canocentral0','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1872,'canocentral1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1872,'canocentral1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1873,'fjmpjps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1873,'fjmpjps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1874,'fjswapsnp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1874,'fjswapsnp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1875,'westell-stats','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1875,'westell-stats','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1876,'ewcappsrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1876,'ewcappsrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1877,'hp-webqosdb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1877,'hp-webqosdb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1878,'drmsmc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1878,'drmsmc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1879,'nettgain-nms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1879,'nettgain-nms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1880,'vsat-control','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1880,'vsat-control','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1881,'ibm-mqseries2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1881,'ibm-mqseries2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1882,'ecsqdmn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1882,'ecsqdmn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1883,'ibm-mqisdp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1883,'ibm-mqisdp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1884,'idmaps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1884,'idmaps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1885,'vrtstrapserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1885,'vrtstrapserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1886,'leoip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1886,'leoip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1887,'filex-lport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1887,'filex-lport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1888,'ncconfig','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1888,'ncconfig','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1889,'unify-adapter','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1889,'unify-adapter','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1890,'wilkenlistener','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1890,'wilkenlistener','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1891,'childkey-notif','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1891,'childkey-notif','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1892,'childkey-ctrl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1892,'childkey-ctrl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1893,'elad','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1893,'elad','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1894,'o2server-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1894,'o2server-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1896,'b-novative-ls','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1896,'b-novative-ls','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1897,'metaagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1897,'metaagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1898,'cymtec-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1898,'cymtec-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1899,'mc2studios','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1899,'mc2studios','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1900,'ssdp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1900,'ssdp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1901,'fjicl-tep-a','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1901,'fjicl-tep-a','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1902,'fjicl-tep-b','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1902,'fjicl-tep-b','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1903,'linkname','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1903,'linkname','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1904,'fjicl-tep-c','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1904,'fjicl-tep-c','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1905,'sugp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1905,'sugp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1906,'tpmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1906,'tpmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1907,'intrastar','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1907,'intrastar','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1908,'dawn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1908,'dawn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1909,'global-wlink','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1909,'global-wlink','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1910,'ultrabac','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1910,'ultrabac','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1911,'mtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1911,'mtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1912,'rhp-iibp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1912,'rhp-iibp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1913,'armadp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1913,'armadp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1914,'elm-momentum','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1914,'elm-momentum','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1915,'facelink','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1915,'facelink','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1916,'persona','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1916,'persona','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1917,'noagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1917,'noagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1918,'can-nds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1918,'can-nds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1919,'can-dch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1919,'can-dch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1920,'can-ferret','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1920,'can-ferret','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1921,'noadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1921,'noadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1922,'tapestry','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1922,'tapestry','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1923,'spice','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1923,'spice','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1924,'xiip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1924,'xiip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1925,'discovery-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1925,'discovery-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1926,'egs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1926,'egs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1927,'videte-cipc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1927,'videte-cipc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1928,'emsd-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1928,'emsd-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1929,'bandwiz-system','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1929,'bandwiz-system','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1930,'driveappserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1930,'driveappserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1931,'amdsched','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1931,'amdsched','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1932,'ctt-broker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1932,'ctt-broker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1933,'xmapi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1933,'xmapi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1934,'xaapi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1934,'xaapi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1935,'macromedia-fcs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1935,'macromedia-fcs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1936,'jetcmeserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1936,'jetcmeserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1937,'jwserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1937,'jwserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1938,'jwclient','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1938,'jwclient','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1939,'jvserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1939,'jvserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1940,'jvclient','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1940,'jvclient','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1941,'dic-aida','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1941,'dic-aida','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1942,'res','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1942,'res','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1943,'beeyond-media','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1943,'beeyond-media','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1944,'close-combat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1944,'close-combat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1945,'dialogic-elmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1945,'dialogic-elmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1946,'tekpls','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1946,'tekpls','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1947,'hlserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1947,'hlserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1948,'eye2eye','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1948,'eye2eye','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1949,'ismaeasdaqlive','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1949,'ismaeasdaqlive','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1950,'ismaeasdaqtest','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1950,'ismaeasdaqtest','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1951,'bcs-lmserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1951,'bcs-lmserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1952,'mpnjsc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1952,'mpnjsc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1953,'rapidbase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1953,'rapidbase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1954,'abr-basic','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1954,'abr-basic','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1955,'abr-secure','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1955,'abr-secure','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1956,'vrtl-vmf-ds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1956,'vrtl-vmf-ds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1957,'unix-status','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1957,'unix-status','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1958,'dxadmind','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1958,'dxadmind','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1959,'simp-all','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1959,'simp-all','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1960,'nasmanager','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1960,'nasmanager','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1961,'bts-appserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1961,'bts-appserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1962,'biap-mp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1962,'biap-mp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1963,'webmachine','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1963,'webmachine','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1964,'solid-e-engine','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1964,'solid-e-engine','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1965,'tivoli-npm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1965,'tivoli-npm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1966,'slush','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1966,'slush','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1967,'sns-quote','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1967,'sns-quote','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1968,'lipsinc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1968,'lipsinc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1969,'lipsinc1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1969,'lipsinc1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1970,'netop-rc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1970,'netop-rc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1971,'netop-school','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1971,'netop-school','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1972,'intersys-cache','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1972,'intersys-cache','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1973,'dlsrap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1973,'dlsrap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1974,'drp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1974,'drp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1975,'tcoflashagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1975,'tcoflashagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1976,'tcoregagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1976,'tcoregagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1977,'tcoaddressbook','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1977,'tcoaddressbook','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1978,'unisql','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1978,'unisql','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1979,'unisql-java','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1979,'unisql-java','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1980,'pearldoc-xact','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1980,'pearldoc-xact','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1981,'p2pq','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1981,'p2pq','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1982,'estamp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1982,'estamp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1983,'lhtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1983,'lhtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1984,'bb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1984,'bb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1985,'hsrp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1985,'hsrp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1986,'licensedaemon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1986,'licensedaemon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1987,'tr-rsrb-p1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1987,'tr-rsrb-p1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1988,'tr-rsrb-p2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1988,'tr-rsrb-p2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1989,'mshnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1989,'mshnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1990,'stun-p1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1990,'stun-p1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1991,'stun-p2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1991,'stun-p2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1992,'ipsendmsg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1992,'ipsendmsg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1993,'snmp-tcp-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1993,'snmp-tcp-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1994,'stun-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1994,'stun-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1995,'perf-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1995,'perf-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1996,'tr-rsrb-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1996,'tr-rsrb-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1997,'gdp-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1997,'gdp-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1998,'x25-svc-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1998,'x25-svc-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1999,'tcp-id-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (1999,'tcp-id-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2000,'sieve','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2000,'sieve','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2001,'dc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2001,'wizard','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2002,'globe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2002,'globe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2003,'cfinger','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2004,'mailbox','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2004,'emce','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2005,'berknet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2005,'oracle','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2006,'invokator','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2006,'raid-cd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2007,'dectalk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2007,'raid-am','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2008,'conf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2008,'terminaldb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2009,'news','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2009,'whosockami','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2010,'search','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2010,'pipe_server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2011,'raid-cc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2011,'servserv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2012,'ttyinfo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2012,'raid-ac','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2013,'raid-am','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2014,'troff','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2014,'raid-sf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2015,'cypress','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2015,'raid-cs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2016,'bootserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2016,'bootserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2017,'cypress-stat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2017,'bootclient','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2018,'terminaldb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2018,'rellpack','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2019,'whosockami','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2019,'about','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2020,'xinupageserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2020,'xinupageserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2021,'servexec','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2021,'xinuexpansion1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2022,'down','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2022,'xinuexpansion2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2023,'xinuexpansion3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2023,'xinuexpansion3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2024,'xinuexpansion4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2024,'xinuexpansion4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2025,'ellpack','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2025,'xribs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2026,'scrabble','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2026,'scrabble','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2027,'shadowserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2027,'shadowserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2028,'submitserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2028,'submitserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2029,'hsrpv6','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2029,'hsrpv6','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2030,'device2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2030,'device2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2031,'mobrien-chat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2031,'mobrien-chat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2032,'blackboard','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2032,'blackboard','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2033,'glogger','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2033,'glogger','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2034,'scoremgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2034,'scoremgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2035,'imsldoc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2035,'imsldoc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2036,'e-dpnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2036,'e-dpnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2037,'p2plus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2037,'p2plus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2038,'objectmanager','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2038,'objectmanager','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2039,'prizma','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2039,'prizma','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2040,'lam','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2040,'lam','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2041,'interbase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2041,'interbase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2042,'isis','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2042,'isis','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2043,'isis-bcast','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2043,'isis-bcast','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2044,'rimsl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2044,'rimsl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2045,'cdfunc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2045,'cdfunc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2046,'sdfunc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2046,'sdfunc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2048,'dls-monitor','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2048,'dls-monitor','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2049,'nfs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2049,'nfs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2050,'av-emb-config','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2050,'av-emb-config','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2051,'epnsdp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2051,'epnsdp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2052,'clearvisn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2052,'clearvisn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2053,'knetd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2054,'weblogin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2054,'weblogin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2055,'iop','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2055,'iop','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2056,'omnisky','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2056,'omnisky','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2057,'rich-cp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2057,'rich-cp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2058,'newwavesearch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2058,'newwavesearch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2059,'bmc-messaging','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2059,'bmc-messaging','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2060,'teleniumdaemon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2060,'teleniumdaemon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2061,'netmount','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2061,'netmount','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2062,'icg-swp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2062,'icg-swp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2063,'icg-bridge','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2063,'icg-bridge','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2064,'icg-iprelay','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2064,'icg-iprelay','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2065,'dlsrpn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2065,'dlsrpn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2067,'dlswpn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2067,'dlswpn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2068,'avauthsrvprtcl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2068,'avauthsrvprtcl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2069,'event-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2069,'event-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2070,'ah-esp-encap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2070,'ah-esp-encap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2071,'acp-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2071,'acp-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2072,'msync','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2072,'msync','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2073,'gxs-data-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2073,'gxs-data-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2074,'vrtl-vmf-sa','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2074,'vrtl-vmf-sa','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2075,'newlixengine','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2075,'newlixengine','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2076,'newlixconfig','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2076,'newlixconfig','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2077,'trellisagt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2077,'trellisagt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2078,'trellissvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2078,'trellissvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2079,'idware-router','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2079,'idware-router','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2080,'autodesk-nlm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2080,'autodesk-nlm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2081,'kme-trap-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2081,'kme-trap-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2082,'infowave','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2082,'infowave','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2083,'radsec','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2083,'radsec','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2084,'sunclustergeo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2084,'sunclustergeo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2085,'ada-cip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2085,'ada-cip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2086,'gnunet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2086,'gnunet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2087,'eli','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2087,'eli','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2088,'ip-blf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2088,'ip-blf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2089,'sep','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2089,'sep','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2090,'lrp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2090,'lrp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2091,'prp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2091,'prp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2092,'descent3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2092,'descent3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2093,'nbx-cc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2093,'nbx-cc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2094,'nbx-au','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2094,'nbx-au','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2095,'nbx-ser','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2095,'nbx-ser','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2096,'nbx-dir','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2096,'nbx-dir','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2097,'jetformpreview','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2097,'jetformpreview','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2098,'dialog-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2098,'dialog-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2099,'h2250-annex-g','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2099,'h2250-annex-g','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2100,'amiganetfs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2100,'amiganetfs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2101,'rtcm-sc104','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2101,'rtcm-sc104','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2102,'zephyr-srv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2102,'zephyr-srv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2103,'zephyr-clt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2103,'zephyr-clt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2104,'zephyr-hm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2104,'zephyr-hm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2105,'eklogin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2106,'mzap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2106,'mzap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2107,'bintec-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2107,'bintec-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2108,'comcam','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2108,'comcam','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2109,'ergolight','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2109,'ergolight','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2110,'umsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2110,'umsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2111,'dsatp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2111,'dsatp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2112,'idonix-metanet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2112,'idonix-metanet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2113,'hsl-storm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2113,'hsl-storm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2114,'newheights','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2114,'newheights','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2115,'kdm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2115,'kdm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2116,'ccowcmr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2116,'ccowcmr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2117,'mentaclient','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2117,'mentaclient','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2118,'mentaserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2118,'mentaserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2119,'gsigatekeeper','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2119,'gsigatekeeper','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2120,'qencp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2120,'qencp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2121,'scientia-ssdb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2121,'scientia-ssdb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2122,'caupc-remote','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2122,'caupc-remote','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2123,'gtp-control','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2123,'gtp-control','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2124,'elatelink','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2124,'elatelink','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2125,'lockstep','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2125,'lockstep','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2126,'pktcable-cops','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2126,'pktcable-cops','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2127,'index-pc-wb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2127,'index-pc-wb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2128,'net-steward','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2128,'net-steward','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2129,'cs-live','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2129,'cs-live','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2130,'swc-xds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2130,'swc-xds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2131,'avantageb2b','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2131,'avantageb2b','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2132,'avail-epmap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2132,'avail-epmap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2133,'zymed-zpp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2133,'zymed-zpp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2134,'avenue','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2134,'avenue','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2135,'gris','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2135,'gris','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2136,'appworxsrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2136,'appworxsrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2137,'connect','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2137,'connect','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2138,'unbind-cluster','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2138,'unbind-cluster','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2139,'ias-auth','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2139,'ias-auth','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2140,'ias-reg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2140,'ias-reg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2141,'ias-admind','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2141,'ias-admind','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2142,'tdm-over-ip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2142,'tdm-over-ip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2143,'lv-jc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2143,'lv-jc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2144,'lv-ffx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2144,'lv-ffx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2145,'lv-pici','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2145,'lv-pici','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2146,'lv-not','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2146,'lv-not','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2147,'lv-auth','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2147,'lv-auth','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2148,'veritas-ucl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2148,'veritas-ucl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2149,'acptsys','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2149,'acptsys','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2150,'ninstall','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2150,'ninstall','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2151,'docent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2151,'docent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2152,'gtp-user','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2152,'gtp-user','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2159,'gdbremote','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2159,'gdbremote','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2160,'apc-2160','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2160,'apc-2160','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2161,'apc-2161','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2161,'apc-2161','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2162,'navisphere','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2162,'navisphere','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2163,'navisphere-sec','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2163,'navisphere-sec','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2164,'ddns-v3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2164,'ddns-v3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2165,'x-bone-api','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2165,'x-bone-api','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2166,'iwserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2166,'iwserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2167,'raw-serial','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2167,'raw-serial','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2168,'easy-soft-mux','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2168,'easy-soft-mux','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2169,'archisfcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2169,'archisfcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2170,'eyetv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2170,'eyetv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2171,'msfw-storage','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2171,'msfw-storage','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2172,'msfw-s-storage','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2172,'msfw-s-storage','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2173,'msfw-replica','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2173,'msfw-replica','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2174,'msfw-array','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2174,'msfw-array','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2175,'airsync','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2175,'airsync','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2176,'rapi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2176,'rapi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2177,'qwave','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2177,'qwave','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2178,'bitspeer','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2178,'bitspeer','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2180,'mc-gt-srv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2180,'mc-gt-srv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2181,'eforward','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2181,'eforward','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2182,'cgn-stat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2182,'cgn-stat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2183,'cgn-config','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2183,'cgn-config','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2184,'nvd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2184,'nvd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2185,'onbase-dds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2185,'onbase-dds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2190,'tivoconnect','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2190,'tivoconnect','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2191,'tvbus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2191,'tvbus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2192,'asdis','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2192,'asdis','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2197,'mnp-exchange','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2197,'mnp-exchange','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2198,'onehome-remote','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2198,'onehome-remote','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2199,'onehome-help','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2199,'onehome-help','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2200,'ici','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2200,'ici','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2201,'ats','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2201,'ats','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2202,'imtc-map','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2202,'imtc-map','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2203,'b2-runtime','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2203,'b2-runtime','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2204,'b2-license','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2204,'b2-license','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2205,'jps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2205,'jps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2206,'hpocbus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2206,'hpocbus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2213,'kali','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2213,'kali','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2214,'rpi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2214,'rpi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2215,'ipcore','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2215,'ipcore','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2219,'netiq-ncap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2219,'netiq-ncap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2220,'netiq','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2220,'netiq','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2221,'rockwell-csp1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2221,'rockwell-csp1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2222,'rockwell-csp2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2222,'rockwell-csp2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2223,'rockwell-csp3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2223,'rockwell-csp3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2228,'ehome-ms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2228,'ehome-ms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2232,'ivs-video','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2232,'ivs-video','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2233,'infocrypt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2233,'infocrypt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2234,'directplay','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2234,'directplay','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2235,'sercomm-wlink','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2235,'sercomm-wlink','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2236,'nani','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2236,'nani','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2237,'optech-port1-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2237,'optech-port1-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2238,'aviva-sna','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2238,'aviva-sna','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2239,'imagequery','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2239,'imagequery','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2240,'recipe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2240,'recipe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2241,'ivsd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2241,'ivsd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2242,'foliocorp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2242,'foliocorp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2243,'magicom','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2243,'magicom','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2244,'nmsserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2244,'nmsserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2245,'hao','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2245,'hao','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2246,'pc-mta-addrmap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2246,'pc-mta-addrmap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2248,'ums','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2248,'ums','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2249,'rfmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2249,'rfmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2250,'remote-collab','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2250,'remote-collab','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2251,'dif-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2251,'dif-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2252,'njenet-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2252,'njenet-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2253,'dtv-chan-req','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2253,'dtv-chan-req','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2254,'seispoc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2254,'seispoc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2255,'vrtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2255,'vrtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2256,'pcc-mfp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2256,'pcc-mfp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2260,'apc-2260','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2260,'apc-2260','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2261,'comotionmaster','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2261,'comotionmaster','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2262,'comotionback','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2262,'comotionback','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2266,'mfserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2266,'mfserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2267,'ontobroker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2267,'ontobroker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2268,'amt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2268,'amt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2269,'mikey','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2269,'mikey','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2270,'starschool','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2270,'starschool','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2271,'mmcals','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2271,'mmcals','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2272,'mmcal','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2272,'mmcal','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2273,'mysql-im','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2273,'mysql-im','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2274,'pcttunnell','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2274,'pcttunnell','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2275,'ibridge-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2275,'ibridge-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2276,'ibridge-mgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2276,'ibridge-mgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2277,'bluectrlproxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2277,'bluectrlproxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2279,'xmquery','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2279,'xmquery','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2280,'lnvpoller','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2280,'lnvpoller','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2281,'lnvconsole','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2281,'lnvconsole','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2282,'lnvalarm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2282,'lnvalarm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2283,'lnvstatus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2283,'lnvstatus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2284,'lnvmaps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2284,'lnvmaps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2285,'lnvmailmon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2285,'lnvmailmon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2286,'nas-metering','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2286,'nas-metering','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2287,'dna','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2287,'dna','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2288,'netml','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2288,'netml','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2289,'dict-lookup','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2289,'dict-lookup','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2290,'sonus-logging','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2290,'sonus-logging','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2294,'konshus-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2294,'konshus-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2295,'advant-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2295,'advant-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2296,'theta-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2296,'theta-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2297,'d2k-datamover1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2297,'d2k-datamover1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2298,'d2k-datamover2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2298,'d2k-datamover2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2299,'pc-telecommute','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2299,'pc-telecommute','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2300,'cvmmon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2300,'cvmmon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2301,'cpq-wbem','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2301,'cpq-wbem','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2302,'binderysupport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2302,'binderysupport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2303,'proxy-gateway','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2303,'proxy-gateway','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2304,'attachmate-uts','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2304,'attachmate-uts','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2305,'mt-scaleserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2305,'mt-scaleserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2306,'tappi-boxnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2306,'tappi-boxnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2307,'pehelp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2307,'pehelp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2308,'sdhelp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2308,'sdhelp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2309,'sdserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2309,'sdserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2310,'sdclient','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2310,'sdclient','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2311,'messageservice','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2311,'messageservice','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2313,'iapp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2313,'iapp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2314,'cr-websystems','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2314,'cr-websystems','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2315,'precise-sft','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2315,'precise-sft','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2316,'sent-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2316,'sent-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2317,'attachmate-g32','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2317,'attachmate-g32','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2318,'cadencecontrol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2318,'cadencecontrol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2319,'infolibria','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2319,'infolibria','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2320,'siebel-ns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2320,'siebel-ns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2321,'rdlap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2321,'rdlap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2322,'ofsd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2322,'ofsd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2323,'3d-nfsd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2323,'3d-nfsd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2324,'cosmocall','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2324,'cosmocall','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2325,'designspace-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2325,'designspace-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2326,'idcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2326,'idcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2327,'xingcsm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2327,'xingcsm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2328,'netrix-sftm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2328,'netrix-sftm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2330,'tscchat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2330,'tscchat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2331,'agentview','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2331,'agentview','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2332,'rcc-host','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2332,'rcc-host','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2333,'snapp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2333,'snapp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2334,'ace-client','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2334,'ace-client','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2335,'ace-proxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2335,'ace-proxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2336,'appleugcontrol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2336,'appleugcontrol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2337,'ideesrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2337,'ideesrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2338,'norton-lambert','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2338,'norton-lambert','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2339,'3com-webview','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2339,'3com-webview','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2340,'wrs_registry','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2340,'wrs_registry','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2341,'xiostatus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2341,'xiostatus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2342,'manage-exec','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2342,'manage-exec','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2343,'nati-logos','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2343,'nati-logos','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2344,'fcmsys','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2344,'fcmsys','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2345,'dbm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2345,'dbm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2346,'redstorm_join','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2346,'redstorm_join','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2347,'redstorm_find','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2347,'redstorm_find','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2348,'redstorm_info','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2348,'redstorm_info','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2349,'redstorm_diag','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2349,'redstorm_diag','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2350,'psbserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2350,'psbserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2351,'psrserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2351,'psrserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2352,'pslserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2352,'pslserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2353,'pspserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2353,'pspserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2354,'psprserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2354,'psprserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2355,'psdbserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2355,'psdbserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2356,'gxtelmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2356,'gxtelmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2357,'unihub-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2357,'unihub-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2358,'futrix','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2358,'futrix','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2359,'flukeserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2359,'flukeserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2360,'nexstorindltd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2360,'nexstorindltd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2361,'tl1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2361,'tl1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2362,'digiman','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2362,'digiman','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2363,'mediacntrlnfsd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2363,'mediacntrlnfsd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2364,'oi-2000','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2364,'oi-2000','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2365,'dbref','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2365,'dbref','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2366,'qip-login','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2366,'qip-login','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2367,'service-ctrl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2367,'service-ctrl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2368,'opentable','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2368,'opentable','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2369,'acs2000-dsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2369,'acs2000-dsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2370,'l3-hbmon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2370,'l3-hbmon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2371,'worldwire','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2371,'worldwire','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2381,'compaq-https','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2381,'compaq-https','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2382,'ms-olap3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2382,'ms-olap3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2383,'ms-olap4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2383,'ms-olap4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2384,'sd-request','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2384,'sd-capacity','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2385,'sd-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2385,'sd-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2386,'virtualtape','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2386,'virtualtape','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2387,'vsamredirector','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2387,'vsamredirector','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2388,'mynahautostart','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2388,'mynahautostart','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2389,'ovsessionmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2389,'ovsessionmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2390,'rsmtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2390,'rsmtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2391,'3com-net-mgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2391,'3com-net-mgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2392,'tacticalauth','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2392,'tacticalauth','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2393,'ms-olap1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2393,'ms-olap1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2394,'ms-olap2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2394,'ms-olap2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2395,'lan900_remote','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2395,'lan900_remote','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2396,'wusage','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2396,'wusage','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2397,'ncl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2397,'ncl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2398,'orbiter','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2398,'orbiter','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2399,'fmpro-fdal','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2399,'fmpro-fdal','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2400,'opequus-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2400,'opequus-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2401,'cvspserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2401,'cvspserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2402,'taskmaster2000','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2402,'taskmaster2000','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2403,'taskmaster2000','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2403,'taskmaster2000','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2404,'iec-104','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2404,'iec-104','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2405,'trc-netpoll','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2405,'trc-netpoll','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2406,'jediserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2406,'jediserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2407,'orion','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2407,'orion','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2408,'optimanet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2408,'optimanet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2409,'sns-protocol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2409,'sns-protocol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2410,'vrts-registry','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2410,'vrts-registry','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2411,'netwave-ap-mgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2411,'netwave-ap-mgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2412,'cdn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2412,'cdn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2413,'orion-rmi-reg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2413,'orion-rmi-reg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2414,'beeyond','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2414,'beeyond','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2415,'codima-rtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2415,'codima-rtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2416,'rmtserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2416,'rmtserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2417,'composit-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2417,'composit-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2418,'cas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2418,'cas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2419,'attachmate-s2s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2419,'attachmate-s2s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2420,'dslremote-mgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2420,'dslremote-mgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2421,'g-talk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2421,'g-talk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2422,'crmsbits','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2422,'crmsbits','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2423,'rnrp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2423,'rnrp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2424,'kofax-svr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2424,'kofax-svr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2425,'fjitsuappmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2425,'fjitsuappmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2427,'mgcp-gateway','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2427,'mgcp-gateway','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2428,'ott','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2428,'ott','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2429,'ft-role','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2429,'ft-role','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2430,'venus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2430,'venus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2431,'venus-se','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2431,'venus-se','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2432,'codasrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2432,'codasrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2433,'codasrv-se','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2433,'codasrv-se','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2434,'pxc-epmap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2434,'pxc-epmap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2435,'optilogic','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2435,'optilogic','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2436,'topx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2436,'topx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2437,'unicontrol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2437,'unicontrol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2439,'sybasedbsynch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2439,'sybasedbsynch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2440,'spearway','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2440,'spearway','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2441,'pvsw-inet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2441,'pvsw-inet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2442,'netangel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2442,'netangel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2443,'powerclientcsf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2443,'powerclientcsf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2444,'btpp2sectrans','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2444,'btpp2sectrans','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2445,'dtn1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2445,'dtn1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2446,'bues_service','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2446,'bues_service','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2447,'ovwdb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2447,'ovwdb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2448,'hpppssvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2448,'hpppssvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2449,'ratl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2449,'ratl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2450,'netadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2450,'netadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2451,'netchat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2451,'netchat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2452,'snifferclient','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2452,'snifferclient','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2453,'madge-ltd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2453,'madge-ltd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2454,'indx-dds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2454,'indx-dds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2455,'wago-io-system','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2455,'wago-io-system','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2456,'altav-remmgt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2456,'altav-remmgt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2457,'rapido-ip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2457,'rapido-ip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2458,'griffin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2458,'griffin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2459,'community','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2459,'community','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2460,'ms-theater','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2460,'ms-theater','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2461,'qadmifoper','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2461,'qadmifoper','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2462,'qadmifevent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2462,'qadmifevent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2463,'symbios-raid','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2463,'symbios-raid','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2464,'direcpc-si','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2464,'direcpc-si','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2465,'lbm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2465,'lbm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2466,'lbf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2466,'lbf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2467,'high-criteria','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2467,'high-criteria','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2468,'qip-msgd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2468,'qip-msgd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2469,'mti-tcs-comm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2469,'mti-tcs-comm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2470,'taskman-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2470,'taskman-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2471,'seaodbc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2471,'seaodbc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2472,'c3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2472,'c3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2473,'aker-cdp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2473,'aker-cdp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2474,'vitalanalysis','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2474,'vitalanalysis','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2475,'ace-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2475,'ace-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2476,'ace-svr-prop','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2476,'ace-svr-prop','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2477,'ssm-cvs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2477,'ssm-cvs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2478,'ssm-cssps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2478,'ssm-cssps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2479,'ssm-els','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2479,'ssm-els','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2480,'lingwood','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2480,'lingwood','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2481,'giop','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2481,'giop','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2482,'giop-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2482,'giop-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2483,'ttc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2483,'ttc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2484,'ttc-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2484,'ttc-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2485,'netobjects1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2485,'netobjects1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2486,'netobjects2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2486,'netobjects2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2487,'pns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2487,'pns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2488,'moy-corp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2488,'moy-corp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2489,'tsilb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2489,'tsilb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2490,'qip-qdhcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2490,'qip-qdhcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2491,'conclave-cpp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2491,'conclave-cpp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2492,'groove','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2492,'groove','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2493,'talarian-mqs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2493,'talarian-mqs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2494,'bmc-ar','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2494,'bmc-ar','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2495,'fast-rem-serv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2495,'fast-rem-serv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2496,'dirgis','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2496,'dirgis','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2497,'quaddb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2497,'quaddb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2498,'odn-castraq','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2498,'odn-castraq','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2500,'rtsserv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2500,'rtsserv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2501,'rtsclient','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2501,'rtsclient','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2502,'kentrox-prot','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2502,'kentrox-prot','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2503,'nms-dpnss','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2503,'nms-dpnss','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2504,'wlbs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2504,'wlbs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2505,'ppcontrol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2505,'ppcontrol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2506,'jbroker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2506,'jbroker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2507,'spock','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2507,'spock','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2508,'jdatastore','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2508,'jdatastore','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2509,'fjmpss','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2509,'fjmpss','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2510,'fjappmgrbulk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2510,'fjappmgrbulk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2511,'metastorm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2511,'metastorm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2512,'citrixima','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2512,'citrixima','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2513,'citrixadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2513,'citrixadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2514,'facsys-ntp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2514,'facsys-ntp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2515,'facsys-router','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2515,'facsys-router','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2516,'maincontrol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2516,'maincontrol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2517,'call-sig-trans','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2517,'call-sig-trans','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2518,'willy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2518,'willy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2519,'globmsgsvc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2519,'globmsgsvc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2520,'pvsw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2520,'pvsw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2521,'adaptecmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2521,'adaptecmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2522,'windb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2522,'windb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2523,'qke-llc-v3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2523,'qke-llc-v3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2524,'optiwave-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2524,'optiwave-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2525,'ms-v-worlds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2525,'ms-v-worlds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2526,'ema-sent-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2526,'ema-sent-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2527,'iqserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2527,'iqserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2528,'ncr_ccl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2528,'ncr_ccl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2529,'utsftp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2529,'utsftp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2530,'vrcommerce','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2530,'vrcommerce','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2531,'ito-e-gui','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2531,'ito-e-gui','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2532,'ovtopmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2532,'ovtopmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2533,'snifferserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2533,'snifferserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2534,'combox-web-acc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2534,'combox-web-acc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2535,'madcap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2535,'madcap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2536,'btpp2audctr1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2536,'btpp2audctr1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2537,'upgrade','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2537,'upgrade','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2538,'vnwk-prapi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2538,'vnwk-prapi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2539,'vsiadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2539,'vsiadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2540,'lonworks','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2540,'lonworks','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2541,'lonworks2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2541,'lonworks2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2542,'davinci','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2542,'davinci','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2543,'reftek','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2543,'reftek','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2544,'novell-zen','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2544,'novell-zen','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2545,'sis-emt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2545,'sis-emt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2546,'vytalvaultbrtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2546,'vytalvaultbrtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2547,'vytalvaultvsmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2547,'vytalvaultvsmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2548,'vytalvaultpipe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2548,'vytalvaultpipe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2549,'ipass','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2549,'ipass','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2550,'ads','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2550,'ads','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2551,'isg-uda-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2551,'isg-uda-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2552,'call-logging','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2552,'call-logging','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2553,'efidiningport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2553,'efidiningport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2554,'vcnet-link-v10','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2554,'vcnet-link-v10','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2555,'compaq-wcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2555,'compaq-wcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2556,'nicetec-nmsvc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2556,'nicetec-nmsvc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2557,'nicetec-mgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2557,'nicetec-mgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2558,'pclemultimedia','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2558,'pclemultimedia','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2559,'lstp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2559,'lstp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2560,'labrat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2560,'labrat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2561,'mosaixcc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2561,'mosaixcc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2562,'delibo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2562,'delibo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2563,'cti-redwood','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2563,'cti-redwood','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2564,'hp-3000-telnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2565,'coord-svr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2565,'coord-svr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2566,'pcs-pcw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2566,'pcs-pcw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2567,'clp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2567,'clp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2568,'spamtrap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2568,'spamtrap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2569,'sonuscallsig','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2569,'sonuscallsig','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2570,'hs-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2570,'hs-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2571,'cecsvc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2571,'cecsvc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2572,'ibp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2572,'ibp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2573,'trustestablish','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2573,'trustestablish','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2574,'blockade-bpsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2574,'blockade-bpsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2575,'hl7','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2575,'hl7','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2576,'tclprodebugger','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2576,'tclprodebugger','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2577,'scipticslsrvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2577,'scipticslsrvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2578,'rvs-isdn-dcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2578,'rvs-isdn-dcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2579,'mpfoncl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2579,'mpfoncl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2580,'tributary','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2580,'tributary','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2581,'argis-te','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2581,'argis-te','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2582,'argis-ds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2582,'argis-ds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2583,'mon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2583,'mon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2584,'cyaserv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2584,'cyaserv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2585,'netx-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2585,'netx-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2586,'netx-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2586,'netx-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2587,'masc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2587,'masc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2588,'privilege','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2588,'privilege','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2589,'quartus-tcl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2589,'quartus-tcl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2590,'idotdist','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2590,'idotdist','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2591,'maytagshuffle','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2591,'maytagshuffle','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2592,'netrek','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2592,'netrek','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2593,'mns-mail','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2593,'mns-mail','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2594,'dts','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2594,'dts','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2595,'worldfusion1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2595,'worldfusion1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2596,'worldfusion2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2596,'worldfusion2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2597,'homesteadglory','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2597,'homesteadglory','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2598,'citriximaclient','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2598,'citriximaclient','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2599,'snapd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2599,'snapd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2600,'hpstgmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2600,'hpstgmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2601,'discp-client','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2601,'discp-client','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2602,'discp-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2602,'discp-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2603,'servicemeter','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2603,'servicemeter','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2604,'nsc-ccs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2604,'nsc-ccs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2605,'nsc-posa','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2605,'nsc-posa','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2606,'netmon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2606,'netmon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2607,'connection','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2607,'connection','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2608,'wag-service','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2608,'wag-service','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2609,'system-monitor','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2609,'system-monitor','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2610,'versa-tek','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2610,'versa-tek','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2611,'lionhead','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2611,'lionhead','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2612,'qpasa-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2612,'qpasa-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2613,'smntubootstrap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2613,'smntubootstrap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2614,'neveroffline','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2614,'neveroffline','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2615,'firepower','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2615,'firepower','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2616,'appswitch-emp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2616,'appswitch-emp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2617,'cmadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2617,'cmadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2618,'priority-e-com','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2618,'priority-e-com','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2619,'bruce','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2619,'bruce','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2620,'lpsrecommender','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2620,'lpsrecommender','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2621,'miles-apart','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2621,'miles-apart','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2622,'metricadbc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2622,'metricadbc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2623,'lmdp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2623,'lmdp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2624,'aria','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2624,'aria','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2625,'blwnkl-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2625,'blwnkl-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2626,'gbjd816','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2626,'gbjd816','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2627,'moshebeeri','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2627,'moshebeeri','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2628,'dict','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2628,'dict','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2629,'sitaraserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2629,'sitaraserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2630,'sitaramgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2630,'sitaramgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2631,'sitaradir','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2631,'sitaradir','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2632,'irdg-post','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2632,'irdg-post','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2633,'interintelli','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2633,'interintelli','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2634,'pk-electronics','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2634,'pk-electronics','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2635,'backburner','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2635,'backburner','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2636,'solve','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2636,'solve','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2637,'imdocsvc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2637,'imdocsvc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2638,'sybaseanywhere','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2638,'sybaseanywhere','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2639,'aminet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2639,'aminet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2640,'sai_sentlm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2640,'sai_sentlm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2641,'hdl-srv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2641,'hdl-srv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2642,'tragic','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2642,'tragic','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2643,'gte-samp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2643,'gte-samp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2644,'travsoft-ipx-t','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2644,'travsoft-ipx-t','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2645,'novell-ipx-cmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2645,'novell-ipx-cmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2646,'and-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2646,'and-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2647,'syncserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2647,'syncserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2648,'upsnotifyprot','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2648,'upsnotifyprot','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2649,'vpsipport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2649,'vpsipport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2650,'eristwoguns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2650,'eristwoguns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2651,'ebinsite','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2651,'ebinsite','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2652,'interpathpanel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2652,'interpathpanel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2653,'sonus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2653,'sonus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2654,'corel_vncadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2654,'corel_vncadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2655,'unglue','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2655,'unglue','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2656,'kana','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2656,'kana','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2657,'sns-dispatcher','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2657,'sns-dispatcher','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2658,'sns-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2658,'sns-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2659,'sns-query','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2659,'sns-query','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2660,'gcmonitor','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2660,'gcmonitor','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2661,'olhost','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2661,'olhost','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2662,'bintec-capi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2662,'bintec-capi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2663,'bintec-tapi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2663,'bintec-tapi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2664,'patrol-mq-gm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2664,'patrol-mq-gm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2665,'patrol-mq-nm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2665,'patrol-mq-nm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2666,'extensis','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2666,'extensis','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2667,'alarm-clock-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2667,'alarm-clock-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2668,'alarm-clock-c','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2668,'alarm-clock-c','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2669,'toad','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2669,'toad','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2670,'tve-announce','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2670,'tve-announce','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2671,'newlixreg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2671,'newlixreg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2672,'nhserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2672,'nhserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2673,'firstcall42','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2673,'firstcall42','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2674,'ewnn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2674,'ewnn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2675,'ttc-etap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2675,'ttc-etap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2676,'simslink','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2676,'simslink','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2677,'gadgetgate1way','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2677,'gadgetgate1way','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2678,'gadgetgate2way','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2678,'gadgetgate2way','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2679,'syncserverssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2679,'syncserverssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2680,'pxc-sapxom','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2680,'pxc-sapxom','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2681,'mpnjsomb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2681,'mpnjsomb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2683,'ncdloadbalance','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2683,'ncdloadbalance','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2684,'mpnjsosv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2684,'mpnjsosv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2685,'mpnjsocl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2685,'mpnjsocl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2686,'mpnjsomg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2686,'mpnjsomg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2687,'pq-lic-mgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2687,'pq-lic-mgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2688,'md-cg-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2688,'md-cg-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2689,'fastlynx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2689,'fastlynx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2690,'hp-nnm-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2690,'hp-nnm-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2691,'itinternet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2691,'itinternet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2692,'admins-lms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2692,'admins-lms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2694,'pwrsevent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2694,'pwrsevent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2695,'vspread','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2695,'vspread','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2696,'unifyadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2696,'unifyadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2697,'oce-snmp-trap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2697,'oce-snmp-trap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2698,'mck-ivpip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2698,'mck-ivpip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2699,'csoft-plusclnt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2699,'csoft-plusclnt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2700,'tqdata','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2700,'tqdata','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2701,'sms-rcinfo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2701,'sms-rcinfo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2702,'sms-xfer','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2702,'sms-xfer','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2703,'sms-chat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2703,'sms-chat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2704,'sms-remctrl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2704,'sms-remctrl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2705,'sds-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2705,'sds-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2706,'ncdmirroring','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2706,'ncdmirroring','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2707,'emcsymapiport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2707,'emcsymapiport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2708,'banyan-net','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2708,'banyan-net','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2709,'supermon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2709,'supermon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2710,'sso-service','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2710,'sso-service','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2711,'sso-control','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2711,'sso-control','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2712,'aocp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2712,'aocp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2713,'raven1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2713,'raven1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2714,'raven2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2714,'raven2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2715,'hpstgmgr2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2715,'hpstgmgr2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2716,'inova-ip-disco','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2716,'inova-ip-disco','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2717,'pn-requester','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2717,'pn-requester','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2718,'pn-requester2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2718,'pn-requester2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2719,'scan-change','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2719,'scan-change','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2720,'wkars','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2720,'wkars','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2721,'smart-diagnose','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2721,'smart-diagnose','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2722,'proactivesrvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2722,'proactivesrvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2723,'watchdognt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2723,'watchdognt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2724,'qotps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2724,'qotps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2725,'msolap-ptp2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2725,'msolap-ptp2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2726,'tams','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2726,'tams','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2727,'mgcp-callagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2727,'mgcp-callagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2728,'sqdr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2728,'sqdr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2729,'tcim-control','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2729,'tcim-control','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2730,'nec-raidplus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2730,'nec-raidplus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2731,'fyre-messanger','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2731,'fyre-messanger','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2732,'g5m','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2732,'g5m','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2733,'signet-ctf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2733,'signet-ctf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2734,'ccs-software','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2734,'ccs-software','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2735,'netiq-mc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2735,'netiq-mc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2736,'radwiz-nms-srv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2736,'radwiz-nms-srv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2737,'srp-feedback','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2737,'srp-feedback','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2738,'ndl-tcp-ois-gw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2738,'ndl-tcp-ois-gw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2739,'tn-timing','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2739,'tn-timing','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2740,'alarm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2740,'alarm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2741,'tsb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2741,'tsb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2742,'tsb2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2742,'tsb2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2743,'murx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2743,'murx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2744,'honyaku','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2744,'honyaku','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2745,'urbisnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2745,'urbisnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2746,'cpudpencap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2746,'cpudpencap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2747,'fjippol-swrly','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2747,'fjippol-swrly','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2748,'fjippol-polsvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2748,'fjippol-polsvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2749,'fjippol-cnsl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2749,'fjippol-cnsl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2750,'fjippol-port1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2750,'fjippol-port1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2751,'fjippol-port2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2751,'fjippol-port2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2752,'rsisysaccess','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2752,'rsisysaccess','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2753,'de-spot','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2753,'de-spot','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2754,'apollo-cc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2754,'apollo-cc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2755,'expresspay','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2755,'expresspay','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2756,'simplement-tie','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2756,'simplement-tie','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2757,'cnrp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2757,'cnrp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2758,'apollo-status','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2758,'apollo-status','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2759,'apollo-gms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2759,'apollo-gms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2760,'sabams','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2760,'sabams','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2761,'dicom-iscl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2761,'dicom-iscl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2762,'dicom-tls','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2762,'dicom-tls','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2763,'desktop-dna','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2763,'desktop-dna','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2764,'data-insurance','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2764,'data-insurance','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2765,'qip-audup','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2765,'qip-audup','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2766,'compaq-scp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2766,'compaq-scp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2767,'uadtc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2767,'uadtc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2768,'uacs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2768,'uacs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2769,'exce','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2769,'exce','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2770,'veronica','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2770,'veronica','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2771,'vergencecm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2771,'vergencecm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2772,'auris','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2772,'auris','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2773,'rbakcup1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2773,'rbakcup1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2774,'rbakcup2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2774,'rbakcup2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2775,'smpp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2775,'smpp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2776,'ridgeway1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2776,'ridgeway1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2777,'ridgeway2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2777,'ridgeway2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2778,'gwen-sonya','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2778,'gwen-sonya','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2779,'lbc-sync','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2779,'lbc-sync','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2780,'lbc-control','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2780,'lbc-control','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2781,'whosells','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2781,'whosells','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2782,'everydayrc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2782,'everydayrc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2783,'aises','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2783,'aises','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2784,'www-dev','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2784,'www-dev','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2785,'aic-np','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2785,'aic-np','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2786,'aic-oncrpc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2786,'aic-oncrpc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2787,'piccolo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2787,'piccolo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2788,'fryeserv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2788,'fryeserv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2789,'media-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2789,'media-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2790,'plgproxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2790,'plgproxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2791,'mtport-regist','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2791,'mtport-regist','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2792,'f5-globalsite','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2792,'f5-globalsite','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2793,'initlsmsad','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2793,'initlsmsad','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2794,'aaftp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2794,'aaftp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2795,'livestats','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2795,'livestats','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2796,'ac-tech','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2796,'ac-tech','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2797,'esp-encap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2797,'esp-encap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2798,'tmesis-upshot','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2798,'tmesis-upshot','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2799,'icon-discover','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2799,'icon-discover','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2800,'acc-raid','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2800,'acc-raid','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2801,'igcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2801,'igcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2802,'veritas-tcp1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2802,'veritas-udp1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2803,'btprjctrl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2803,'btprjctrl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2804,'dvr-esm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2804,'dvr-esm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2805,'wta-wsp-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2805,'wta-wsp-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2806,'cspuni','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2806,'cspuni','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2807,'cspmulti','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2807,'cspmulti','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2808,'j-lan-p','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2808,'j-lan-p','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2809,'corbaloc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2810,'netsteward','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2810,'netsteward','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2811,'gsiftp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2811,'gsiftp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2812,'atmtcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2812,'atmtcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2813,'llm-pass','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2813,'llm-pass','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2814,'llm-csv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2814,'llm-csv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2815,'lbc-measure','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2815,'lbc-measure','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2816,'lbc-watchdog','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2816,'lbc-watchdog','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2817,'nmsigport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2817,'nmsigport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2818,'rmlnk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2818,'rmlnk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2819,'fc-faultnotify','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2819,'fc-faultnotify','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2820,'univision','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2820,'univision','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2821,'vrts-at-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2821,'vrts-at-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2822,'ka0wuc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2822,'ka0wuc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2823,'cqg-netlan','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2823,'cqg-netlan','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2824,'cqg-netlan-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2824,'cqg-netlan-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2826,'slc-systemlog','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2826,'slc-systemlog','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2827,'slc-ctrlrloops','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2827,'slc-ctrlrloops','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2828,'itm-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2828,'itm-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2829,'silkp1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2829,'silkp1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2830,'silkp2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2830,'silkp2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2831,'silkp3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2831,'silkp3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2832,'silkp4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2832,'silkp4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2833,'glishd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2833,'glishd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2834,'evtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2834,'evtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2835,'evtp-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2835,'evtp-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2836,'catalyst','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2836,'catalyst','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2837,'repliweb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2837,'repliweb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2838,'starbot','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2838,'starbot','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2840,'l3-exprt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2840,'l3-exprt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2841,'l3-ranger','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2841,'l3-ranger','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2842,'l3-hawk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2842,'l3-hawk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2843,'pdnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2843,'pdnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2844,'bpcp-poll','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2844,'bpcp-poll','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2845,'bpcp-trap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2845,'bpcp-trap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2846,'aimpp-hello','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2846,'aimpp-hello','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2847,'aimpp-port-req','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2847,'aimpp-port-req','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2848,'amt-blc-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2848,'amt-blc-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2850,'metaconsole','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2850,'metaconsole','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2851,'webemshttp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2851,'webemshttp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2852,'bears-01','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2852,'bears-01','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2853,'ispipes','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2853,'ispipes','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2854,'infomover','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2854,'infomover','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2856,'cesdinv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2856,'cesdinv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2857,'simctlp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2857,'simctlp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2858,'ecnp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2858,'ecnp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2859,'activememory','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2859,'activememory','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2860,'dialpad-voice1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2860,'dialpad-voice1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2861,'dialpad-voice2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2861,'dialpad-voice2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2862,'ttg-protocol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2862,'ttg-protocol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2863,'sonardata','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2863,'sonardata','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2864,'astromed-main','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2864,'astromed-main','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2865,'pit-vpn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2865,'pit-vpn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2866,'iwlistener','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2866,'iwlistener','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2867,'esps-portal','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2867,'esps-portal','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2868,'npep-messaging','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2868,'npep-messaging','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2869,'icslap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2869,'icslap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2870,'daishi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2870,'daishi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2871,'msi-selectplay','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2871,'msi-selectplay','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2872,'radix','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2872,'radix','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2874,'dxmessagebase1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2874,'dxmessagebase1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2875,'dxmessagebase2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2875,'dxmessagebase2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2876,'sps-tunnel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2876,'sps-tunnel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2877,'bluelance','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2877,'bluelance','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2878,'aap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2878,'aap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2879,'ucentric-ds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2879,'ucentric-ds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2880,'synapse','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2880,'synapse','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2881,'ndsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2881,'ndsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2882,'ndtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2882,'ndtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2883,'ndnp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2883,'ndnp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2884,'flashmsg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2884,'flashmsg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2885,'topflow','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2885,'topflow','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2886,'responselogic','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2886,'responselogic','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2887,'aironetddp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2887,'aironetddp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2888,'spcsdlobby','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2888,'spcsdlobby','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2889,'rsom','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2889,'rsom','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2890,'cspclmulti','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2890,'cspclmulti','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2891,'cinegrfx-elmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2891,'cinegrfx-elmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2892,'snifferdata','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2892,'snifferdata','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2893,'vseconnector','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2893,'vseconnector','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2894,'abacus-remote','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2894,'abacus-remote','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2895,'natuslink','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2895,'natuslink','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2896,'ecovisiong6-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2896,'ecovisiong6-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2897,'citrix-rtmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2897,'citrix-rtmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2898,'appliance-cfg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2898,'appliance-cfg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2899,'powergemplus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2899,'powergemplus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2900,'quicksuite','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2900,'quicksuite','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2901,'allstorcns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2901,'allstorcns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2902,'netaspi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2902,'netaspi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2903,'suitcase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2903,'suitcase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2904,'m2ua','sctp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2904,'m2ua','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2904,'m2ua','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2905,'m3ua','sctp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2905,'m3ua','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2905,'m3ua','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2906,'caller9','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2906,'caller9','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2907,'webmethods-b2b','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2907,'webmethods-b2b','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2908,'mao','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2908,'mao','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2909,'funk-dialout','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2909,'funk-dialout','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2910,'tdaccess','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2910,'tdaccess','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2911,'blockade','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2911,'blockade','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2912,'epicon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2912,'epicon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2913,'boosterware','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2913,'boosterware','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2914,'gamelobby','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2914,'gamelobby','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2915,'tksocket','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2915,'tksocket','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2916,'elvin_server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2916,'elvin_server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2917,'elvin_client','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2917,'elvin_client','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2918,'kastenchasepad','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2918,'kastenchasepad','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2919,'roboer','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2919,'roboer','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2920,'roboeda','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2920,'roboeda','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2921,'cesdcdman','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2921,'cesdcdman','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2922,'cesdcdtrn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2922,'cesdcdtrn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2923,'wta-wsp-wtp-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2923,'wta-wsp-wtp-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2924,'precise-vip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2924,'precise-vip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2926,'mobile-file-dl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2926,'mobile-file-dl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2927,'unimobilectrl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2927,'unimobilectrl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2928,'redstone-cpss','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2928,'redstone-cpss','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2929,'amx-webadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2929,'amx-webadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2930,'amx-weblinx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2930,'amx-weblinx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2931,'circle-x','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2931,'circle-x','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2932,'incp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2932,'incp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2933,'4-tieropmgw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2933,'4-tieropmgw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2934,'4-tieropmcli','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2934,'4-tieropmcli','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2935,'qtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2935,'qtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2936,'otpatch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2936,'otpatch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2937,'pnaconsult-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2937,'pnaconsult-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2938,'sm-pas-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2938,'sm-pas-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2939,'sm-pas-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2939,'sm-pas-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2940,'sm-pas-3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2940,'sm-pas-3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2941,'sm-pas-4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2941,'sm-pas-4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2942,'sm-pas-5','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2942,'sm-pas-5','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2943,'ttnrepository','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2943,'ttnrepository','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2944,'megaco-h248','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2944,'megaco-h248','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2945,'h248-binary','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2945,'h248-binary','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2946,'fjsvmpor','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2946,'fjsvmpor','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2947,'gpsd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2947,'gpsd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2948,'wap-push','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2948,'wap-push','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2949,'wap-pushsecure','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2949,'wap-pushsecure','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2950,'esip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2950,'esip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2951,'ottp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2951,'ottp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2952,'mpfwsas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2952,'mpfwsas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2953,'ovalarmsrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2953,'ovalarmsrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2954,'ovalarmsrv-cmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2954,'ovalarmsrv-cmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2955,'csnotify','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2955,'csnotify','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2956,'ovrimosdbman','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2956,'ovrimosdbman','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2957,'jmact5','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2957,'jmact5','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2958,'jmact6','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2958,'jmact6','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2959,'rmopagt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2959,'rmopagt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2960,'dfoxserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2960,'dfoxserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2961,'boldsoft-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2961,'boldsoft-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2962,'iph-policy-cli','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2962,'iph-policy-cli','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2963,'iph-policy-adm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2963,'iph-policy-adm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2964,'bullant-srap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2964,'bullant-srap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2965,'bullant-rap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2965,'bullant-rap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2966,'idp-infotrieve','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2966,'idp-infotrieve','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2967,'ssc-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2967,'ssc-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2968,'enpp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2968,'enpp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2969,'essp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2969,'essp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2970,'index-net','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2970,'index-net','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2971,'netclip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2971,'netclip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2972,'pmsm-webrctl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2972,'pmsm-webrctl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2973,'svnetworks','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2973,'svnetworks','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2974,'signal','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2974,'signal','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2975,'fjmpcm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2975,'fjmpcm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2976,'cns-srv-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2976,'cns-srv-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2977,'ttc-etap-ns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2977,'ttc-etap-ns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2978,'ttc-etap-ds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2978,'ttc-etap-ds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2979,'h263-video','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2979,'h263-video','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2980,'wimd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2980,'wimd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2981,'mylxamport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2981,'mylxamport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2982,'iwb-whiteboard','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2982,'iwb-whiteboard','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2983,'netplan','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2983,'netplan','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2984,'hpidsadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2984,'hpidsadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2985,'hpidsagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2985,'hpidsagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2986,'stonefalls','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2986,'stonefalls','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2987,'identify','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2987,'identify','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2988,'afbackup','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2988,'afbackup','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2989,'zarkov','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2989,'zarkov','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2990,'boscap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2990,'boscap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2991,'wkstn-mon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2991,'wkstn-mon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2992,'itb301','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2992,'itb301','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2993,'veritas-vis1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2993,'veritas-vis1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2994,'veritas-vis2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2994,'veritas-vis2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2995,'idrs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2995,'idrs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2996,'vsixml','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2996,'vsixml','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2997,'rebol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2997,'rebol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2998,'realsecure','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2998,'realsecure','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2999,'remoteware-un','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (2999,'remoteware-un','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3000,'remoteware-cl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3000,'remoteware-cl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3001,'redwood-broker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3001,'redwood-broker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3002,'remoteware-srv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3002,'remoteware-srv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3003,'cgms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3003,'cgms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3004,'csoftragent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3004,'csoftragent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3005,'geniuslm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3005,'geniuslm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3006,'ii-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3006,'ii-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3007,'lotusmtap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3007,'lotusmtap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3008,'midnight-tech','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3008,'midnight-tech','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3009,'pxc-ntfy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3009,'pxc-ntfy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3010,'gw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3010,'ping-pong','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3011,'trusted-web','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3011,'trusted-web','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3012,'twsdss','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3012,'twsdss','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3013,'gilatskysurfer','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3013,'gilatskysurfer','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3014,'broker_service','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3014,'broker_service','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3015,'nati-dstp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3015,'nati-dstp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3016,'notify_srvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3016,'notify_srvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3017,'event_listener','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3017,'event_listener','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3018,'srvc_registry','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3018,'srvc_registry','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3019,'resource_mgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3019,'resource_mgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3020,'cifs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3020,'cifs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3021,'agriserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3021,'agriserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3022,'csregagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3022,'csregagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3023,'magicnotes','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3023,'magicnotes','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3024,'nds_sso','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3024,'nds_sso','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3025,'arepa-raft','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3025,'arepa-raft','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3026,'agri-gateway','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3026,'agri-gateway','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3027,'LiebDevMgmt_C','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3027,'LiebDevMgmt_C','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3028,'LiebDevMgmt_DM','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3028,'LiebDevMgmt_DM','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3029,'LiebDevMgmt_A','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3029,'LiebDevMgmt_A','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3030,'arepa-cas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3030,'arepa-cas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3031,'eppc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3031,'eppc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3032,'redwood-chat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3032,'redwood-chat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3033,'pdb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3033,'pdb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3034,'osmosis-aeea','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3034,'osmosis-aeea','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3035,'fjsv-gssagt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3035,'fjsv-gssagt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3036,'hagel-dump','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3036,'hagel-dump','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3037,'hp-san-mgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3037,'hp-san-mgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3038,'santak-ups','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3038,'santak-ups','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3039,'cogitate','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3039,'cogitate','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3040,'tomato-springs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3040,'tomato-springs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3041,'di-traceware','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3041,'di-traceware','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3042,'journee','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3042,'journee','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3043,'brp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3043,'brp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3045,'responsenet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3045,'responsenet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3046,'di-ase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3046,'di-ase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3048,'pctrader','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3048,'pctrader','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3049,'nsws','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3049,'nsws','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3050,'gds_db','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3050,'gds_db','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3051,'galaxy-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3051,'galaxy-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3052,'apc-3052','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3052,'apc-3052','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3053,'dsom-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3053,'dsom-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3054,'amt-cnf-prot','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3054,'amt-cnf-prot','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3055,'policyserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3055,'policyserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3056,'cdl-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3056,'cdl-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3057,'goahead-fldup','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3057,'goahead-fldup','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3058,'videobeans','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3058,'videobeans','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3059,'qsoft','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3059,'qsoft','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3060,'interserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3060,'interserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3061,'cautcpd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3061,'cautcpd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3062,'ncacn-ip-tcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3062,'ncacn-ip-tcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3063,'ncadg-ip-udp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3063,'ncadg-ip-udp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3064,'rprt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3064,'rprt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3065,'slinterbase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3065,'slinterbase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3066,'netattachsdmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3066,'netattachsdmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3067,'fjhpjp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3067,'fjhpjp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3068,'ls3bcast','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3068,'ls3bcast','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3069,'ls3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3069,'ls3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3070,'mgxswitch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3070,'mgxswitch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3071,'csd-mgmt-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3071,'csd-mgmt-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3072,'csd-monitor','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3072,'csd-monitor','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3073,'vcrp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3073,'vcrp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3074,'xbox','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3074,'xbox','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3075,'orbix-locator','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3075,'orbix-locator','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3076,'orbix-config','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3076,'orbix-config','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3077,'orbix-loc-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3077,'orbix-loc-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3078,'orbix-cfg-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3078,'orbix-cfg-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3079,'lv-frontpanel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3079,'lv-frontpanel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3080,'stm_pproc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3080,'stm_pproc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3081,'tl1-lv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3081,'tl1-lv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3082,'tl1-raw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3082,'tl1-raw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3083,'tl1-telnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3083,'tl1-telnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3084,'itm-mccs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3084,'itm-mccs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3085,'pcihreq','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3085,'pcihreq','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3086,'jdl-dbkitchen','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3086,'jdl-dbkitchen','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3087,'asoki-sma','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3087,'asoki-sma','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3088,'xdtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3088,'xdtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3089,'ptk-alink','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3089,'ptk-alink','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3090,'rtss','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3090,'rtss','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3091,'1ci-smcs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3091,'1ci-smcs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3092,'njfss','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3092,'njfss','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3093,'rapidmq-center','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3093,'rapidmq-center','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3094,'rapidmq-reg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3094,'rapidmq-reg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3095,'panasas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3095,'panasas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3096,'ndl-aps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3096,'ndl-aps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3097,'itu-bicc-stc','sctp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3098,'umm-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3098,'umm-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3099,'chmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3099,'chmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3100,'opcon-xps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3100,'opcon-xps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3101,'hp-pxpib','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3101,'hp-pxpib','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3102,'slslavemon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3102,'slslavemon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3103,'autocuesmi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3103,'autocuesmi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3104,'autocuelog','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3104,'autocuetime','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3105,'cardbox','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3105,'cardbox','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3106,'cardbox-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3106,'cardbox-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3107,'business','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3107,'business','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3108,'geolocate','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3108,'geolocate','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3109,'personnel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3109,'personnel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3110,'sim-control','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3110,'sim-control','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3111,'wsynch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3111,'wsynch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3112,'ksysguard','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3112,'ksysguard','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3113,'cs-auth-svr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3113,'cs-auth-svr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3114,'ccmad','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3114,'ccmad','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3115,'mctet-master','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3115,'mctet-master','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3116,'mctet-gateway','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3116,'mctet-gateway','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3117,'mctet-jserv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3117,'mctet-jserv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3118,'pkagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3118,'pkagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3119,'d2000kernel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3119,'d2000kernel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3120,'d2000webserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3120,'d2000webserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3122,'vtr-emulator','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3122,'vtr-emulator','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3123,'edix','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3123,'edix','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3124,'beacon-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3124,'beacon-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3125,'a13-an','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3125,'a13-an','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3126,'ms-dotnetster','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3126,'ms-dotnetster','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3127,'ctx-bridge','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3127,'ctx-bridge','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3128,'squid','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3129,'netport-id','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3129,'netport-id','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3130,'icpv2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3130,'icpv2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3131,'netbookmark','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3131,'netbookmark','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3132,'ms-rule-engine','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3132,'ms-rule-engine','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3133,'prism-deploy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3133,'prism-deploy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3134,'ecp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3134,'ecp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3135,'peerbook-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3135,'peerbook-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3136,'grubd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3136,'grubd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3137,'rtnt-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3137,'rtnt-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3138,'rtnt-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3138,'rtnt-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3139,'incognitorv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3139,'incognitorv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3140,'ariliamulti','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3140,'ariliamulti','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3141,'vmodem','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3141,'vmodem','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3142,'rdc-wh-eos','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3142,'rdc-wh-eos','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3143,'seaview','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3143,'seaview','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3144,'tarantella','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3144,'tarantella','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3145,'csi-lfap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3145,'csi-lfap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3146,'bears-02','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3146,'bears-02','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3147,'rfio','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3147,'rfio','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3148,'nm-game-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3148,'nm-game-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3149,'nm-game-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3149,'nm-game-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3150,'nm-asses-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3150,'nm-asses-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3151,'nm-assessor','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3151,'nm-assessor','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3152,'feitianrockey','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3152,'feitianrockey','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3153,'s8-client-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3153,'s8-client-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3154,'ccmrmi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3154,'ccmrmi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3155,'jpegmpeg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3155,'jpegmpeg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3156,'indura','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3156,'indura','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3157,'e3consultants','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3157,'e3consultants','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3158,'stvp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3158,'stvp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3159,'navegaweb-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3159,'navegaweb-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3160,'tip-app-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3160,'tip-app-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3161,'doc1lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3161,'doc1lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3162,'sflm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3162,'sflm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3163,'res-sap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3163,'res-sap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3164,'imprs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3164,'imprs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3165,'newgenpay','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3165,'newgenpay','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3166,'qrepos','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3166,'qrepos','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3167,'poweroncontact','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3167,'poweroncontact','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3168,'poweronnud','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3168,'poweronnud','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3169,'serverview-as','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3169,'serverview-as','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3170,'serverview-asn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3170,'serverview-asn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3171,'serverview-gf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3171,'serverview-gf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3172,'serverview-rm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3172,'serverview-rm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3173,'serverview-icc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3173,'serverview-icc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3174,'armi-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3174,'armi-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3175,'t1-e1-over-ip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3175,'t1-e1-over-ip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3176,'ars-master','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3176,'ars-master','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3177,'phonex-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3177,'phonex-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3178,'radclientport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3178,'radclientport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3179,'h2gf-w-2m','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3179,'h2gf-w-2m','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3180,'mc-brk-srv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3180,'mc-brk-srv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3181,'bmcpatrolagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3181,'bmcpatrolagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3182,'bmcpatrolrnvu','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3182,'bmcpatrolrnvu','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3183,'cops-tls','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3183,'cops-tls','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3184,'apogeex-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3184,'apogeex-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3185,'smpppd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3185,'smpppd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3186,'iiw-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3186,'iiw-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3187,'odi-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3187,'odi-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3188,'brcm-comm-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3188,'brcm-comm-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3189,'pcle-infex','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3189,'pcle-infex','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3190,'csvr-proxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3190,'csvr-proxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3191,'csvr-sslproxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3191,'csvr-sslproxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3192,'firemonrcc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3192,'firemonrcc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3193,'spandataport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3193,'spandataport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3194,'magbind','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3194,'magbind','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3195,'ncu-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3195,'ncu-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3196,'ncu-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3196,'ncu-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3197,'embrace-dp-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3197,'embrace-dp-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3198,'embrace-dp-c','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3198,'embrace-dp-c','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3199,'dmod-workspace','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3199,'dmod-workspace','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3200,'tick-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3200,'tick-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3201,'cpq-tasksmart','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3201,'cpq-tasksmart','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3202,'intraintra','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3202,'intraintra','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3203,'netwatcher-mon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3203,'netwatcher-mon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3204,'netwatcher-db','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3204,'netwatcher-db','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3205,'isns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3205,'isns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3206,'ironmail','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3206,'ironmail','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3207,'vx-auth-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3207,'vx-auth-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3208,'pfu-prcallback','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3208,'pfu-prcallback','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3209,'netwkpathengine','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3209,'netwkpathengine','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3210,'flamenco-proxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3210,'flamenco-proxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3211,'avsecuremgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3211,'avsecuremgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3212,'surveyinst','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3212,'surveyinst','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3213,'neon24x7','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3213,'neon24x7','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3214,'jmq-daemon-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3214,'jmq-daemon-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3215,'jmq-daemon-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3215,'jmq-daemon-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3216,'ferrari-foam','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3216,'ferrari-foam','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3217,'unite','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3217,'unite','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3218,'smartpackets','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3218,'smartpackets','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3219,'wms-messenger','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3219,'wms-messenger','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3220,'xnm-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3220,'xnm-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3221,'xnm-clear-text','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3221,'xnm-clear-text','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3222,'glbp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3222,'glbp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3223,'digivote','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3223,'digivote','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3224,'aes-discovery','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3224,'aes-discovery','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3225,'fcip-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3225,'fcip-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3226,'isi-irp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3226,'isi-irp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3227,'dwnmshttp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3227,'dwnmshttp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3228,'dwmsgserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3228,'dwmsgserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3229,'global-cd-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3229,'global-cd-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3230,'sftdst-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3230,'sftdst-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3231,'dsnl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3231,'dsnl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3232,'mdtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3232,'mdtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3233,'whisker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3233,'whisker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3234,'alchemy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3234,'alchemy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3235,'mdap-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3235,'mdap-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3236,'apparenet-ts','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3236,'apparenet-ts','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3237,'apparenet-tps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3237,'apparenet-tps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3238,'apparenet-as','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3238,'apparenet-as','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3239,'apparenet-ui','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3239,'apparenet-ui','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3240,'triomotion','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3240,'triomotion','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3241,'sysorb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3241,'sysorb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3242,'sdp-id-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3242,'sdp-id-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3243,'timelot','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3243,'timelot','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3244,'onesaf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3244,'onesaf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3245,'vieo-fe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3245,'vieo-fe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3246,'dvt-system','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3246,'dvt-system','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3247,'dvt-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3247,'dvt-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3248,'procos-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3248,'procos-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3249,'ssp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3249,'ssp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3250,'hicp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3250,'hicp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3251,'sysscanner','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3251,'sysscanner','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3252,'dhe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3252,'dhe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3253,'pda-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3253,'pda-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3254,'pda-sys','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3254,'pda-sys','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3255,'semaphore','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3255,'semaphore','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3256,'cpqrpm-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3256,'cpqrpm-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3257,'cpqrpm-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3257,'cpqrpm-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3258,'ivecon-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3258,'ivecon-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3259,'epncdp2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3259,'epncdp2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3260,'iscsi-target','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3260,'iscsi-target','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3261,'winshadow','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3261,'winshadow','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3262,'necp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3262,'necp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3263,'ecolor-imager','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3263,'ecolor-imager','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3264,'ccmail','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3264,'ccmail','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3265,'altav-tunnel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3265,'altav-tunnel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3266,'ns-cfg-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3266,'ns-cfg-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3267,'ibm-dial-out','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3267,'ibm-dial-out','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3268,'msft-gc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3268,'msft-gc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3269,'msft-gc-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3269,'msft-gc-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3270,'verismart','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3270,'verismart','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3271,'csoft-prev','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3271,'csoft-prev','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3272,'user-manager','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3272,'user-manager','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3273,'sxmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3273,'sxmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3274,'ordinox-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3274,'ordinox-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3275,'samd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3275,'samd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3276,'maxim-asics','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3276,'maxim-asics','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3277,'awg-proxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3277,'awg-proxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3278,'lkcmserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3278,'lkcmserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3279,'admind','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3279,'admind','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3280,'vs-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3280,'vs-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3281,'sysopt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3281,'sysopt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3282,'datusorb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3282,'datusorb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3283,'net-assistant','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3283,'net-assistant','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3284,'4talk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3284,'4talk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3285,'plato','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3285,'plato','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3286,'e-net','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3286,'e-net','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3287,'directvdata','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3287,'directvdata','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3288,'cops','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3288,'cops','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3289,'enpc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3289,'enpc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3290,'caps-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3290,'caps-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3291,'sah-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3291,'sah-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3292,'cart-o-rama','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3292,'cart-o-rama','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3293,'fg-fps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3293,'fg-fps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3294,'fg-gip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3294,'fg-gip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3295,'dyniplookup','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3295,'dyniplookup','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3296,'rib-slm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3296,'rib-slm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3297,'cytel-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3297,'cytel-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3298,'deskview','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3298,'deskview','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3299,'pdrncs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3299,'pdrncs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3302,'mcs-fastmail','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3302,'mcs-fastmail','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3303,'opsession-clnt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3303,'opsession-clnt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3304,'opsession-srvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3304,'opsession-srvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3305,'odette-ftp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3305,'odette-ftp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3306,'mysql','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3306,'mysql','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3307,'opsession-prxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3307,'opsession-prxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3308,'tns-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3308,'tns-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3309,'tns-adv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3309,'tns-adv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3310,'dyna-access','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3310,'dyna-access','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3311,'mcns-tel-ret','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3311,'mcns-tel-ret','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3312,'appman-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3312,'appman-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3313,'uorb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3313,'uorb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3314,'uohost','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3314,'uohost','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3315,'cdid','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3315,'cdid','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3316,'aicc-cmi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3316,'aicc-cmi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3317,'vsaiport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3317,'vsaiport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3318,'ssrip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3318,'ssrip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3319,'sdt-lmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3319,'sdt-lmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3320,'officelink2000','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3320,'officelink2000','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3321,'vnsstr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3321,'vnsstr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3326,'sftu','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3326,'sftu','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3327,'bbars','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3327,'bbars','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3328,'egptlm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3328,'egptlm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3329,'hp-device-disc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3329,'hp-device-disc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3330,'mcs-calypsoicf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3330,'mcs-calypsoicf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3331,'mcs-messaging','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3331,'mcs-messaging','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3332,'mcs-mailsvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3332,'mcs-mailsvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3333,'dec-notes','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3333,'dec-notes','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3334,'directv-web','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3334,'directv-web','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3335,'directv-soft','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3335,'directv-soft','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3336,'directv-tick','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3336,'directv-tick','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3337,'directv-catlg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3337,'directv-catlg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3338,'anet-b','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3338,'anet-b','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3339,'anet-l','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3339,'anet-l','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3340,'anet-m','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3340,'anet-m','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3341,'anet-h','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3341,'anet-h','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3342,'webtie','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3342,'webtie','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3343,'ms-cluster-net','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3343,'ms-cluster-net','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3344,'bnt-manager','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3344,'bnt-manager','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3345,'influence','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3345,'influence','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3346,'trnsprntproxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3346,'trnsprntproxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3347,'phoenix-rpc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3347,'phoenix-rpc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3348,'pangolin-laser','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3348,'pangolin-laser','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3349,'chevinservices','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3349,'chevinservices','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3350,'findviatv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3350,'findviatv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3351,'btrieve','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3351,'btrieve','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3352,'ssql','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3352,'ssql','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3353,'fatpipe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3353,'fatpipe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3354,'suitjd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3354,'suitjd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3355,'ordinox-dbase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3355,'ordinox-dbase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3356,'upnotifyps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3356,'upnotifyps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3357,'adtech-test','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3357,'adtech-test','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3358,'mpsysrmsvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3358,'mpsysrmsvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3359,'wg-netforce','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3359,'wg-netforce','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3360,'kv-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3360,'kv-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3361,'kv-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3361,'kv-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3362,'dj-ilm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3362,'dj-ilm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3363,'nati-vi-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3363,'nati-vi-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3372,'tip2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3372,'tip2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3373,'lavenir-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3373,'lavenir-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3374,'cluster-disc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3374,'cluster-disc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3375,'vsnm-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3375,'vsnm-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3376,'cdbroker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3376,'cdbroker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3377,'cogsys-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3377,'cogsys-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3378,'wsicopy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3378,'wsicopy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3379,'socorfs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3379,'socorfs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3380,'sns-channels','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3380,'sns-channels','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3381,'geneous','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3381,'geneous','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3382,'fujitsu-neat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3382,'fujitsu-neat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3383,'esp-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3383,'esp-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3384,'hp-clic','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3384,'hp-clic','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3385,'qnxnetman','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3385,'qnxnetman','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3386,'gprs-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3386,'gprs-sig','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3387,'backroomnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3387,'backroomnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3388,'cbserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3388,'cbserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3389,'ms-wbt-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3389,'ms-wbt-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3390,'dsc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3390,'dsc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3391,'savant','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3391,'savant','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3392,'efi-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3392,'efi-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3393,'d2k-tapestry1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3393,'d2k-tapestry1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3394,'d2k-tapestry2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3394,'d2k-tapestry2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3395,'dyna-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3395,'dyna-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3396,'printer_agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3396,'printer_agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3397,'cloanto-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3397,'cloanto-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3398,'mercantile','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3398,'mercantile','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3399,'csms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3399,'csms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3400,'csms2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3400,'csms2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3401,'filecast','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3401,'filecast','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3402,'fxaengine-net','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3402,'fxaengine-net','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3403,'copysnap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3403,'copysnap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3405,'nokia-ann-ch1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3405,'nokia-ann-ch1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3406,'nokia-ann-ch2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3406,'nokia-ann-ch2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3407,'ldap-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3407,'ldap-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3408,'issapi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3408,'issapi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3409,'networklens','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3409,'networklens','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3410,'networklenss','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3410,'networklenss','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3411,'biolink-auth','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3411,'biolink-auth','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3412,'xmlblaster','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3412,'xmlblaster','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3413,'svnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3413,'svnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3414,'wip-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3414,'wip-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3415,'bcinameservice','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3415,'bcinameservice','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3416,'commandport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3416,'commandport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3417,'csvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3417,'csvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3418,'rnmap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3418,'rnmap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3419,'softaudit','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3419,'softaudit','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3420,'ifcp-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3420,'ifcp-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3421,'bmap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3421,'bmap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3422,'rusb-sys-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3422,'rusb-sys-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3423,'xtrm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3423,'xtrm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3424,'xtrms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3424,'xtrms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3425,'agps-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3425,'agps-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3426,'arkivio','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3426,'arkivio','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3427,'websphere-snmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3427,'websphere-snmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3428,'twcss','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3428,'twcss','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3429,'gcsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3429,'gcsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3430,'ssdispatch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3430,'ssdispatch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3431,'ndl-als','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3431,'ndl-als','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3432,'osdcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3432,'osdcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3433,'alta-smp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3433,'alta-smp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3434,'opencm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3434,'opencm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3435,'pacom','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3435,'pacom','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3436,'gc-config','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3436,'gc-config','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3437,'autocueds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3437,'autocueds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3438,'spiral-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3438,'spiral-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3439,'hri-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3439,'hri-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3440,'ans-console','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3440,'ans-console','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3441,'connect-client','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3441,'connect-client','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3442,'connect-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3442,'connect-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3443,'ov-nnm-websrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3443,'ov-nnm-websrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3444,'denali-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3444,'denali-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3445,'monp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3445,'monp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3446,'3comfaxrpc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3446,'3comfaxrpc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3447,'cddn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3447,'cddn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3448,'dnc-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3448,'dnc-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3449,'hotu-chat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3449,'hotu-chat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3450,'castorproxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3450,'castorproxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3451,'asam','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3451,'asam','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3452,'sabp-signal','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3452,'sabp-signal','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3453,'pscupd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3453,'pscupd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3454,'mira','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3455,'prsvp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3455,'prsvp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3456,'vat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3456,'vat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3457,'vat-control','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3457,'vat-control','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3458,'d3winosfi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3458,'d3winosfi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3459,'integral','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3459,'integral','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3460,'edm-manager','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3460,'edm-manager','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3461,'edm-stager','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3461,'edm-stager','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3462,'edm-std-notify','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3462,'edm-std-notify','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3463,'edm-adm-notify','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3463,'edm-adm-notify','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3464,'edm-mgr-sync','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3464,'edm-mgr-sync','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3465,'edm-mgr-cntrl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3465,'edm-mgr-cntrl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3466,'workflow','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3466,'workflow','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3467,'rcst','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3467,'rcst','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3468,'ttcmremotectrl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3468,'ttcmremotectrl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3469,'pluribus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3469,'pluribus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3470,'jt400','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3470,'jt400','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3471,'jt400-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3471,'jt400-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3472,'jaugsremotec-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3472,'jaugsremotec-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3473,'jaugsremotec-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3473,'jaugsremotec-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3474,'ttntspauto','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3474,'ttntspauto','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3475,'genisar-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3475,'genisar-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3476,'nppmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3476,'nppmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3477,'ecomm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3477,'ecomm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3478,'nat-stun-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3478,'nat-stun-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3479,'twrpc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3479,'twrpc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3480,'plethora','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3480,'plethora','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3481,'cleanerliverc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3481,'cleanerliverc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3482,'vulture','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3482,'vulture','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3483,'slim-devices','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3483,'slim-devices','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3484,'gbs-stp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3484,'gbs-stp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3485,'celatalk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3485,'celatalk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3486,'ifsf-hb-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3486,'ifsf-hb-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3487,'ltctcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3487,'ltcudp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3488,'fs-rh-srv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3488,'fs-rh-srv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3489,'dtp-dia','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3489,'dtp-dia','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3490,'colubris','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3490,'colubris','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3491,'swr-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3491,'swr-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3492,'tvdumtray-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3492,'tvdumtray-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3493,'nut','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3493,'nut','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3494,'ibm3494','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3494,'ibm3494','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3495,'seclayer-tcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3495,'seclayer-tcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3496,'seclayer-tls','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3496,'seclayer-tls','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3497,'ipether232port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3497,'ipether232port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3498,'dashpas-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3498,'dashpas-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3499,'sccip-media','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3499,'sccip-media','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3500,'rtmp-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3500,'rtmp-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3501,'isoft-p2p','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3501,'isoft-p2p','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3502,'avinstalldisc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3502,'avinstalldisc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3503,'lsp-ping','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3503,'lsp-ping','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3504,'ironstorm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3504,'ironstorm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3505,'ccmcomm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3505,'ccmcomm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3506,'apc-3506','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3506,'apc-3506','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3507,'nesh-broker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3507,'nesh-broker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3508,'interactionweb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3508,'interactionweb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3509,'vt-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3509,'vt-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3510,'xss-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3510,'xss-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3511,'webmail-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3511,'webmail-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3512,'aztec','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3512,'aztec','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3513,'arcpd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3513,'arcpd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3514,'must-p2p','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3514,'must-p2p','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3515,'must-backplane','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3515,'must-backplane','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3516,'smartcard-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3516,'smartcard-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3517,'802-11-iapp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3517,'802-11-iapp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3518,'artifact-msg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3518,'artifact-msg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3519,'nvmsgd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3519,'galileo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3520,'galileolog','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3520,'galileolog','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3521,'mc3ss','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3521,'mc3ss','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3522,'nssocketport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3522,'nssocketport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3523,'odeumservlink','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3523,'odeumservlink','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3524,'ecmport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3524,'ecmport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3525,'eisport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3525,'eisport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3526,'starquiz-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3526,'starquiz-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3527,'beserver-msg-q','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3527,'beserver-msg-q','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3528,'jboss-iiop','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3528,'jboss-iiop','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3529,'jboss-iiop-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3529,'jboss-iiop-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3530,'gf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3530,'gf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3531,'joltid','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3531,'joltid','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3532,'raven-rmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3532,'raven-rmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3533,'raven-rdp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3533,'raven-rdp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3534,'urld-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3534,'urld-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3535,'ms-la','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3535,'ms-la','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3536,'snac','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3536,'snac','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3537,'ni-visa-remote','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3537,'ni-visa-remote','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3538,'ibm-diradm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3538,'ibm-diradm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3539,'ibm-diradm-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3539,'ibm-diradm-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3540,'pnrp-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3540,'pnrp-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3541,'voispeed-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3541,'voispeed-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3542,'hacl-monitor','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3542,'hacl-monitor','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3543,'qftest-lookup','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3543,'qftest-lookup','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3544,'teredo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3544,'teredo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3545,'camac','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3545,'camac','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3547,'symantec-sim','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3547,'symantec-sim','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3548,'interworld','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3548,'interworld','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3549,'tellumat-nms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3549,'tellumat-nms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3550,'ssmpp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3550,'ssmpp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3551,'apcupsd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3551,'apcupsd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3552,'taserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3552,'taserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3553,'rbr-discovery','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3553,'rbr-discovery','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3554,'questnotify','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3554,'questnotify','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3555,'razor','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3555,'razor','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3556,'sky-transport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3556,'sky-transport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3557,'personalos-001','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3557,'personalos-001','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3558,'mcp-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3558,'mcp-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3559,'cctv-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3559,'cctv-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3560,'iniserve-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3560,'iniserve-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3561,'bmc-onekey','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3561,'bmc-onekey','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3562,'sdbproxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3562,'sdbproxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3563,'watcomdebug','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3563,'watcomdebug','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3564,'esimport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3564,'esimport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3565,'m2pa','sctp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3565,'m2pa','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3566,'quest-launcher','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3566,'quest-launcher','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3567,'emware-oft','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3567,'emware-oft','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3568,'emware-epss','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3568,'emware-epss','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3569,'mbg-ctrl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3569,'mbg-ctrl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3570,'mccwebsvr-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3570,'mccwebsvr-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3571,'megardsvr-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3571,'megardsvr-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3572,'megaregsvrport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3572,'megaregsvrport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3573,'tag-ups-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3573,'tag-ups-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3574,'dmaf-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3574,'dmaf-caster','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3575,'ccm-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3575,'ccm-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3576,'cmc-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3576,'cmc-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3577,'config-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3577,'config-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3578,'data-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3578,'data-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3579,'ttat3lb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3579,'ttat3lb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3580,'nati-svrloc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3580,'nati-svrloc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3581,'kfxaclicensing','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3581,'kfxaclicensing','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3582,'press','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3582,'press','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3583,'canex-watch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3583,'canex-watch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3584,'u-dbap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3584,'u-dbap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3585,'emprise-lls','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3585,'emprise-lls','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3586,'emprise-lsc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3586,'emprise-lsc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3587,'p2pgroup','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3587,'p2pgroup','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3588,'sentinel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3588,'sentinel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3589,'isomair','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3589,'isomair','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3590,'wv-csp-sms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3590,'wv-csp-sms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3591,'gtrack-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3591,'gtrack-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3592,'gtrack-ne','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3592,'gtrack-ne','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3593,'bpmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3593,'bpmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3594,'mediaspace','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3594,'mediaspace','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3595,'shareapp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3595,'shareapp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3596,'iw-mmogame','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3596,'iw-mmogame','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3597,'a14','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3597,'a14','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3598,'a15','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3598,'a15','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3599,'quasar-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3599,'quasar-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3600,'trap-daemon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3600,'trap-daemon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3601,'visinet-gui','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3601,'visinet-gui','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3602,'infiniswitchcl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3602,'infiniswitchcl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3603,'int-rcv-cntrl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3603,'int-rcv-cntrl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3604,'bmc-jmx-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3604,'bmc-jmx-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3605,'comcam-io','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3605,'comcam-io','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3606,'splitlock','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3606,'splitlock','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3607,'precise-i3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3607,'precise-i3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3608,'trendchip-dcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3608,'trendchip-dcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3609,'cpdi-pidas-cm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3609,'cpdi-pidas-cm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3610,'echonet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3610,'echonet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3611,'six-degrees','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3611,'six-degrees','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3612,'hp-dataprotect','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3612,'hp-dataprotect','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3613,'alaris-disc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3613,'alaris-disc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3614,'sigma-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3614,'sigma-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3615,'start-network','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3615,'start-network','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3616,'cd3o-protocol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3616,'cd3o-protocol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3617,'sharp-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3617,'sharp-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3618,'aairnet-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3618,'aairnet-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3619,'aairnet-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3619,'aairnet-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3620,'ep-pcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3620,'ep-pcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3621,'ep-nsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3621,'ep-nsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3622,'ff-lr-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3622,'ff-lr-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3623,'haipe-discover','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3623,'haipe-discover','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3624,'dist-upgrade','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3624,'dist-upgrade','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3625,'volley','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3625,'volley','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3626,'bvcdaemon-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3626,'bvcdaemon-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3627,'jamserverport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3627,'jamserverport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3628,'ept-machine','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3628,'ept-machine','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3629,'escvpnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3629,'escvpnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3630,'cs-remote-db','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3630,'cs-remote-db','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3631,'cs-services','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3631,'cs-services','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3632,'distcc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3633,'wacp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3633,'wacp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3634,'hlibmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3634,'hlibmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3635,'sdo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3635,'sdo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3636,'opscenter','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3636,'opscenter','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3637,'scservp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3637,'scservp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3638,'ehp-backup','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3638,'ehp-backup','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3639,'xap-ha','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3639,'xap-ha','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3640,'netplay-port1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3640,'netplay-port1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3641,'netplay-port2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3641,'netplay-port2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3642,'juxml-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3642,'juxml-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3643,'audiojuggler','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3643,'audiojuggler','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3644,'ssowatch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3644,'ssowatch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3645,'cyc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3645,'cyc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3646,'xss-srv-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3646,'xss-srv-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3647,'splitlock-gw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3647,'splitlock-gw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3648,'fjcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3648,'fjcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3649,'nmmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3649,'nmmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3650,'prismiq-plugin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3650,'prismiq-plugin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3651,'xrpc-registry','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3651,'xrpc-registry','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3652,'vxcrnbuport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3652,'vxcrnbuport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3653,'tsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3653,'tsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3654,'vaprtm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3654,'vaprtm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3655,'abatemgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3655,'abatemgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3656,'abatjss','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3656,'abatjss','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3657,'immedianet-bcn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3657,'immedianet-bcn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3658,'ps-ams','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3658,'ps-ams','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3659,'apple-sasl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3659,'apple-sasl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3660,'can-nds-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3660,'can-nds-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3661,'can-ferret-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3661,'can-ferret-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3662,'pserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3662,'pserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3663,'dtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3663,'dtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3664,'ups-engine','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3664,'ups-engine','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3665,'ent-engine','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3665,'ent-engine','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3666,'eserver-pap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3666,'eserver-pap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3667,'infoexch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3667,'infoexch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3668,'dell-rm-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3668,'dell-rm-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3669,'casanswmgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3669,'casanswmgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3670,'smile','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3670,'smile','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3671,'efcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3671,'efcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3672,'lispworks-orb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3672,'lispworks-orb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3673,'mediavault-gui','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3673,'mediavault-gui','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3674,'wininstall-ipc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3674,'wininstall-ipc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3675,'calltrax','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3675,'calltrax','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3676,'va-pacbase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3676,'va-pacbase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3677,'roverlog','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3677,'roverlog','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3678,'ipr-dglt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3678,'ipr-dglt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3679,'newton-dock','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3679,'newton-dock','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3680,'npds-tracker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3680,'npds-tracker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3681,'bts-x73','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3681,'bts-x73','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3682,'cas-mapi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3682,'cas-mapi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3683,'bmc-ea','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3683,'bmc-ea','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3684,'faxstfx-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3684,'faxstfx-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3685,'dsx-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3685,'dsx-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3686,'tnmpv2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3686,'tnmpv2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3687,'simple-push','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3687,'simple-push','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3688,'simple-push-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3688,'simple-push-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3689,'daap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3689,'daap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3690,'svn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3690,'svn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3691,'magaya-network','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3691,'magaya-network','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3692,'intelsync','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3692,'intelsync','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3693,'gttp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3693,'gttp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3694,'vpntpp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3694,'vpntpp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3695,'bmc-data-coll','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3695,'bmc-data-coll','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3696,'telnetcpcd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3696,'telnetcpcd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3697,'nw-license','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3697,'nw-license','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3698,'sagectlpanel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3698,'sagectlpanel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3699,'kpn-icw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3699,'kpn-icw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3700,'lrs-paging','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3700,'lrs-paging','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3701,'netcelera','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3701,'netcelera','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3702,'ws-discovery','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3702,'ws-discovery','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3703,'adobeserver-3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3703,'adobeserver-3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3704,'adobeserver-4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3704,'adobeserver-4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3705,'adobeserver-5','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3705,'adobeserver-5','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3706,'rt-event','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3706,'rt-event','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3707,'rt-event-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3707,'rt-event-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3708,'sun-as-iiops','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3708,'sun-as-iiops','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3709,'ca-idms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3709,'ca-idms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3710,'portgate-auth','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3710,'portgate-auth','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3711,'edb-server2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3711,'edb-server2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3712,'sentinel-ent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3712,'sentinel-ent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3713,'tftps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3713,'tftps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3714,'delos-dms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3714,'delos-dms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3715,'anoto-rendezv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3715,'anoto-rendezv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3716,'wv-csp-sms-cir','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3716,'wv-csp-sms-cir','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3717,'wv-csp-udp-cir','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3717,'wv-csp-udp-cir','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3718,'opus-services','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3718,'opus-services','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3719,'itelserverport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3719,'itelserverport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3720,'ufastro-instr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3720,'ufastro-instr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3721,'xsync','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3721,'xsync','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3722,'xserveraid','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3722,'xserveraid','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3723,'sychrond','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3723,'sychrond','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3724,'blizwow','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3724,'blizwow','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3725,'na-er-tip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3725,'na-er-tip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3726,'array-manager','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3726,'array-manager','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3727,'e-mdu','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3727,'e-mdu','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3728,'e-woa','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3728,'e-woa','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3729,'fksp-audit','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3729,'fksp-audit','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3730,'client-ctrl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3730,'client-ctrl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3731,'smap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3731,'smap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3732,'m-wnn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3732,'m-wnn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3733,'multip-msg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3733,'multip-msg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3734,'synel-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3734,'synel-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3735,'pwdis','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3735,'pwdis','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3736,'rs-rmi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3736,'rs-rmi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3738,'versatalk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3738,'versatalk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3739,'launchbird-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3739,'launchbird-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3740,'heartbeat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3740,'heartbeat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3741,'wysdma','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3741,'wysdma','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3742,'cst-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3742,'cst-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3743,'ipcs-command','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3743,'ipcs-command','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3744,'sasg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3744,'sasg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3745,'gw-call-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3745,'gw-call-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3746,'linktest','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3746,'linktest','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3747,'linktest-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3747,'linktest-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3748,'webdata','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3748,'webdata','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3749,'cimtrak','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3749,'cimtrak','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3750,'cbos-ip-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3750,'cbos-ip-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3751,'gprs-cube','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3751,'gprs-cube','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3752,'vipremoteagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3752,'vipremoteagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3753,'nattyserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3753,'nattyserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3754,'timestenbroker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3754,'timestenbroker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3755,'sas-remote-hlp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3755,'sas-remote-hlp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3756,'canon-capt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3756,'canon-capt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3757,'grf-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3757,'grf-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3758,'apw-registry','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3758,'apw-registry','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3759,'exapt-lmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3759,'exapt-lmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3760,'adtempusclient','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3760,'adtempusclient','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3761,'gsakmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3761,'gsakmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3762,'gbs-smp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3762,'gbs-smp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3763,'xo-wave','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3763,'xo-wave','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3764,'mni-prot-rout','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3764,'mni-prot-rout','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3765,'rtraceroute','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3765,'rtraceroute','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3767,'listmgr-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3767,'listmgr-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3768,'rblcheckd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3768,'rblcheckd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3769,'haipe-otnk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3769,'haipe-otnk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3770,'cindycollab','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3770,'cindycollab','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3771,'paging-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3771,'paging-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3772,'ctp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3772,'ctp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3773,'ctdhercules','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3773,'ctdhercules','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3774,'zicom','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3774,'zicom','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3775,'ispmmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3775,'ispmmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3776,'dvcprov-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3776,'dvcprov-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3777,'jibe-eb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3777,'jibe-eb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3778,'c-h-it-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3778,'c-h-it-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3779,'cognima','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3779,'cognima','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3780,'nnp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3780,'nnp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3781,'abcvoice-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3781,'abcvoice-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3782,'iso-tp0s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3782,'iso-tp0s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3783,'bim-pem','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3783,'bim-pem','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3784,'bfd-control','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3784,'bfd-control','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3785,'bfd-echo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3785,'bfd-echo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3786,'upstriggervsw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3786,'upstriggervsw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3787,'fintrx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3787,'fintrx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3788,'isrp-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3788,'isrp-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3789,'remotedeploy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3789,'remotedeploy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3790,'quickbooksrds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3790,'quickbooksrds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3791,'tvnetworkvideo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3791,'tvnetworkvideo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3792,'sitewatch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3792,'sitewatch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3793,'dcsoftware','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3793,'dcsoftware','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3794,'jaus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3794,'jaus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3795,'myblast','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3795,'myblast','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3796,'spw-dialer','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3796,'spw-dialer','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3797,'idps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3797,'idps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3798,'minilock','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3798,'minilock','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3799,'radius-dynauth','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3799,'radius-dynauth','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3800,'pwgpsi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3800,'pwgpsi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3802,'vhd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3802,'vhd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3803,'soniqsync','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3803,'soniqsync','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3804,'iqnet-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3804,'iqnet-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3805,'tcpdataserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3805,'tcpdataserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3806,'wsmlb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3806,'wsmlb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3807,'spugna','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3807,'spugna','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3808,'sun-as-iiops-ca','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3808,'sun-as-iiops-ca','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3810,'wlanauth','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3810,'wlanauth','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3811,'amp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3811,'amp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3812,'neto-wol-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3812,'neto-wol-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3813,'rap-ip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3813,'rap-ip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3814,'neto-dcs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3814,'neto-dcs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3815,'lansurveyorxml','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3815,'lansurveyorxml','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3816,'sunlps-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3816,'sunlps-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3817,'tapeware','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3817,'tapeware','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3818,'crinis-hb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3818,'crinis-hb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3819,'epl-slp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3819,'epl-slp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3820,'scp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3820,'scp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3821,'pmcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3821,'pmcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3822,'acp-discovery','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3822,'acp-discovery','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3823,'acp-conduit','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3823,'acp-conduit','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3824,'acp-policy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3824,'acp-policy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3836,'markem-dcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3836,'markem-dcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3837,'mkm-discovery','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3837,'mkm-discovery','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3838,'sos','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3838,'sos','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3839,'amx-rms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3839,'amx-rms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3840,'flirtmitmir','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3840,'flirtmitmir','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3841,'zfirm-shiprush3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3841,'zfirm-shiprush3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3842,'nhci','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3842,'nhci','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3843,'quest-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3843,'quest-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3844,'rnm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3844,'rnm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3845,'v-one-spp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3845,'v-one-spp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3846,'an-pcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3846,'an-pcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3847,'msfw-control','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3847,'msfw-control','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3848,'item','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3848,'item','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3849,'spw-dnspreload','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3849,'spw-dnspreload','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3850,'qtms-bootstrap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3850,'qtms-bootstrap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3851,'spectraport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3851,'spectraport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3852,'sse-app-config','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3852,'sse-app-config','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3853,'sscan','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3853,'sscan','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3854,'stryker-com','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3854,'stryker-com','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3855,'opentrac','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3855,'opentrac','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3856,'informer','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3856,'informer','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3857,'trap-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3857,'trap-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3858,'trap-port-mom','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3858,'trap-port-mom','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3859,'nav-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3859,'nav-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3860,'ewlm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3860,'ewlm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3861,'winshadow-hd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3861,'winshadow-hd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3862,'giga-pocket','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3862,'giga-pocket','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3863,'asap-sctp','sctp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3863,'asap-tcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3863,'asap-tcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3864,'asap-tcp-tls','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3864,'asap-tcp-tls','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3865,'xpl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3865,'xpl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3866,'dzdaemon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3866,'dzdaemon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3867,'dzoglserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3867,'dzoglserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3868,'diameter','sctp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3868,'diameter','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3869,'ovsam-mgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3869,'ovsam-mgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3870,'ovsam-d-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3870,'ovsam-d-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3871,'avocent-adsap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3871,'avocent-adsap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3872,'oem-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3872,'oem-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3873,'fagordnc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3873,'fagordnc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3874,'sixxsconfig','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3874,'sixxsconfig','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3875,'pnbscada','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3875,'pnbscada','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3876,'dl_agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3876,'dl_agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3877,'xmpcr-interface','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3877,'xmpcr-interface','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3878,'fotogcad','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3878,'fotogcad','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3879,'appss-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3879,'appss-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3880,'microgrid','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3880,'microgrid','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3881,'idac','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3881,'idac','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3882,'msdts1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3882,'msdts1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3883,'vrpn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3883,'vrpn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3884,'softrack-meter','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3884,'softrack-meter','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3885,'topflow-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3885,'topflow-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3886,'nei-management','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3886,'nei-management','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3887,'ciphire-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3887,'ciphire-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3888,'ciphire-serv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3888,'ciphire-serv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3889,'dandv-tester','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3889,'dandv-tester','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3890,'ndsconnect','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3890,'ndsconnect','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3891,'rtc-pm-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3891,'rtc-pm-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3892,'pcc-image-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3892,'pcc-image-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3893,'cgi-starapi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3893,'cgi-starapi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3894,'syam-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3894,'syam-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3895,'syam-smc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3895,'syam-smc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3896,'sdo-tls','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3896,'sdo-tls','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3897,'sdo-ssh','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3897,'sdo-ssh','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3898,'senip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3898,'senip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3899,'itv-control','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3899,'itv-control','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3901,'nimsh','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3901,'nimsh','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3902,'nimaux','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3902,'nimaux','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3903,'charsetmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3903,'charsetmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3904,'omnilink-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3904,'omnilink-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3905,'mupdate','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3905,'mupdate','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3906,'topovista-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3906,'topovista-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3907,'imoguia-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3907,'imoguia-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3908,'hppronetman','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3908,'hppronetman','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3909,'surfcontrolcpa','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3909,'surfcontrolcpa','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3910,'prnrequest','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3910,'prnrequest','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3911,'prnstatus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3911,'prnstatus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3912,'gbmt-stars','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3912,'gbmt-stars','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3913,'listcrt-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3913,'listcrt-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3914,'listcrt-port-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3914,'listcrt-port-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3915,'agcat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3915,'agcat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3916,'wysdmc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3916,'wysdmc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3917,'aftmux','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3917,'aftmux','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3918,'pktcablemmcops','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3918,'pktcablemmcops','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3919,'hyperip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3919,'hyperip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3920,'exasoftport1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3920,'exasoftport1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3921,'herodotus-net','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3921,'herodotus-net','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3922,'sor-update','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3922,'sor-update','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3923,'symb-sb-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3923,'symb-sb-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3924,'mpl-gprs-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3924,'mpl-gprs-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3925,'zmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3925,'zmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3926,'winport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3926,'winport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3927,'natdataservice','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3927,'natdataservice','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3928,'netboot-pxe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3928,'netboot-pxe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3929,'smauth-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3929,'smauth-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3930,'syam-webserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3930,'syam-webserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3931,'msr-plugin-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3931,'msr-plugin-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3932,'dyn-site','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3932,'dyn-site','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3933,'plbserve-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3933,'plbserve-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3934,'sunfm-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3934,'sunfm-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3935,'sdp-portmapper','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3935,'sdp-portmapper','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3936,'mailprox','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3936,'mailprox','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3937,'dvbservdscport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3937,'dvbservdscport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3938,'dbcontrol_agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3938,'dbcontrol_agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3939,'aamp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3939,'aamp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3940,'xecp-node','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3940,'xecp-node','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3941,'homeportal-web','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3941,'homeportal-web','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3942,'srdp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3942,'srdp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3943,'tig','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3943,'tig','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3944,'sops','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3944,'sops','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3945,'emcads','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3945,'emcads','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3946,'backupedge','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3946,'backupedge','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3947,'ccp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3947,'ccp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3948,'apdap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3948,'apdap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3949,'drip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3949,'drip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3950,'namemunge','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3950,'namemunge','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3951,'pwgippfax','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3951,'pwgippfax','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3952,'i3-sessionmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3952,'i3-sessionmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3953,'xmlink-connect','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3953,'xmlink-connect','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3954,'adrep','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3954,'adrep','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3955,'p2pcommunity','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3955,'p2pcommunity','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3956,'gvcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3956,'gvcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3957,'mqe-broker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3957,'mqe-broker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3958,'mqe-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3958,'mqe-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3959,'treehopper','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3959,'treehopper','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3960,'bess','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3960,'bess','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3961,'proaxess','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3961,'proaxess','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3962,'sbi-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3962,'sbi-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3963,'thrp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3963,'thrp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3964,'sasggprs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3964,'sasggprs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3965,'ati-ip-to-ncpe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3965,'ati-ip-to-ncpe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3966,'bflckmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3966,'bflckmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3967,'ppsms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3967,'ppsms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3968,'ianywhere-dbns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3968,'ianywhere-dbns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3969,'landmarks','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3969,'landmarks','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3970,'cobraclient','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3970,'cobraclient','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3971,'cobraserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3971,'cobraserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3972,'iconp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3972,'iconp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3973,'progistics','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3973,'progistics','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3974,'citysearch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3974,'citysearch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3975,'airshot','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3975,'airshot','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3984,'mapper-nodemgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3984,'mapper-nodemgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3985,'mapper-mapethd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3985,'mapper-mapethd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3986,'mapper-ws_ethd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3986,'mapper-ws_ethd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3987,'centerline','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3987,'centerline','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3988,'dcs-config','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3988,'dcs-config','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3989,'bv-queryengine','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3989,'bv-queryengine','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3990,'bv-is','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3990,'bv-is','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3991,'bv-smcsrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3991,'bv-smcsrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3992,'bv-ds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3992,'bv-ds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3993,'bv-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3993,'bv-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3995,'iss-mgmt-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3995,'iss-mgmt-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3996,'abcsoftware','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (3996,'abscoftware','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4000,'terabase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4000,'terabase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4001,'newoak','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4001,'newoak','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4002,'pxc-spvr-ft','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4002,'pxc-spvr-ft','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4003,'pxc-splr-ft','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4003,'pxc-splr-ft','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4004,'pxc-roid','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4004,'pxc-roid','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4005,'pxc-pin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4005,'pxc-pin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4006,'pxc-spvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4006,'pxc-spvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4007,'pxc-splr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4007,'pxc-splr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4008,'netcheque','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4008,'netcheque','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4009,'chimera-hwm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4009,'chimera-hwm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4010,'samsung-unidex','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4010,'samsung-unidex','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4011,'pxe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4012,'pda-gate','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4012,'pda-gate','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4013,'acl-manager','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4013,'acl-manager','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4014,'taiclock','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4014,'taiclock','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4015,'talarian-mcast1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4015,'talarian-mcast1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4016,'talarian-mcast2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4016,'talarian-mcast2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4017,'talarian-mcast3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4017,'talarian-mcast3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4018,'talarian-mcast4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4018,'talarian-mcast4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4019,'talarian-mcast5','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4019,'talarian-mcast5','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4020,'trap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4020,'trap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4021,'nexus-portal','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4021,'nexus-portal','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4022,'dnox','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4022,'dnox','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4023,'esnm-zoning','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4023,'esnm-zoning','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4024,'tnp1-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4024,'tnp1-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4025,'partimage','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4025,'partimage','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4026,'as-debug','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4026,'as-debug','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4027,'bxp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4027,'bxp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4028,'dtserver-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4028,'dtserver-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4029,'ip-qsig','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4029,'ip-qsig','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4030,'jdmn-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4030,'jdmn-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4031,'suucp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4031,'suucp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4032,'vrts-auth-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4032,'vrts-auth-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4033,'sanavigator','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4033,'sanavigator','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4034,'ubxd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4034,'ubxd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4035,'wap-push-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4035,'wap-push-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4036,'wap-push-https','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4036,'wap-push-https','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4037,'ravehd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4037,'ravehd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4040,'yo-main','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4040,'yo-main','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4041,'houston','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4041,'houston','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4042,'ldxp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4042,'ldxp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4043,'nirp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4043,'nirp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4044,'ltp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4044,'ltp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4046,'acp-proto','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4046,'acp-proto','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4047,'ctp-state','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4047,'ctp-state','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4049,'wafs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4049,'wafs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4050,'cisco-wafs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4050,'cisco-wafs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4096,'bre','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4096,'bre','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4097,'patrolview','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4097,'patrolview','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4098,'drmsfsd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4098,'drmsfsd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4099,'dpcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4099,'dpcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4100,'igo-incognito','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4100,'igo-incognito','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4111,'xgrid','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4111,'xgrid','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4114,'jomamqmonitor','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4114,'jomamqmonitor','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4132,'nuts_dem','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4132,'nuts_dem','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4133,'nuts_bootp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4133,'nuts_bootp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4134,'nifty-hmi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4134,'nifty-hmi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4138,'nettest','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4138,'nettest','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4141,'oirtgsvc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4141,'oirtgsvc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4142,'oidocsvc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4142,'oidocsvc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4143,'oidsr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4143,'oidsr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4145,'vvr-control','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4145,'vvr-control','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4154,'atlinks','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4154,'atlinks','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4160,'jini-discovery','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4160,'jini-discovery','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4161,'omscontact','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4161,'omscontact','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4162,'omstopology','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4162,'omstopology','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4199,'eims-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4199,'eims-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4201,'fud','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4300,'corelccam','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4300,'corelccam','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4321,'rwhois','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4321,'rwhois','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4343,'unicall','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4343,'unicall','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4344,'vinainstall','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4344,'vinainstall','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4345,'m4-network-as','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4345,'m4-network-as','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4346,'elanlm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4346,'elanlm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4347,'lansurveyor','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4347,'lansurveyor','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4348,'itose','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4348,'itose','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4349,'fsportmap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4349,'fsportmap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4350,'net-device','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4350,'net-device','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4351,'plcy-net-svcs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4351,'plcy-net-svcs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4352,'pjlink','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4352,'pjlink','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4353,'f5-iquery','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4353,'f5-iquery','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4354,'qsnet-trans','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4354,'qsnet-trans','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4355,'qsnet-workst','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4355,'qsnet-workst','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4356,'qsnet-assist','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4356,'qsnet-assist','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4357,'qsnet-cond','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4357,'qsnet-cond','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4358,'qsnet-nucl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4358,'qsnet-nucl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4369,'epmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4369,'epmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4400,'ds-srv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4400,'ds-srv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4401,'ds-srvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4401,'ds-srvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4402,'ds-clnt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4402,'ds-clnt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4403,'ds-user','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4403,'ds-user','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4404,'ds-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4404,'ds-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4405,'ds-mail','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4405,'ds-mail','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4406,'ds-slp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4406,'ds-slp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4426,'beacon-port-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4426,'beacon-port-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4442,'saris','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4442,'saris','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4443,'pharos','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4443,'pharos','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4444,'krb524','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4444,'krb524','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4445,'upnotifyp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4445,'upnotifyp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4446,'n1-fwp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4446,'n1-fwp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4447,'n1-rmgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4447,'n1-rmgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4448,'asc-slmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4448,'asc-slmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4449,'privatewire','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4449,'privatewire','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4450,'camp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4450,'camp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4451,'ctisystemmsg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4451,'ctisystemmsg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4452,'ctiprogramload','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4452,'ctiprogramload','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4453,'nssalertmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4453,'nssalertmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4454,'nssagentmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4454,'nssagentmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4455,'prchat-user','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4455,'prchat-user','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4456,'prchat-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4456,'prchat-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4457,'prRegister','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4457,'prRegister','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4484,'hpssmgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4484,'hpssmgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4500,'ipsec-nat-t','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4500,'ipsec-nat-t','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4535,'ehs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4535,'ehs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4536,'ehs-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4536,'ehs-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4537,'wssauthsvc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4537,'wssauthsvc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4545,'worldscores','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4545,'worldscores','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4546,'sf-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4546,'sf-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4547,'lanner-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4547,'lanner-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4555,'rsip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4555,'rsip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4557,'fax','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4559,'hylafax','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4567,'tram','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4567,'tram','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4568,'bmc-reporting','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4568,'bmc-reporting','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4569,'iax','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4569,'iax','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4598,'a16-an-an','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4598,'a16-an-an','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4600,'piranha1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4600,'piranha1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4601,'piranha2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4601,'piranha2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4658,'playsta2-app','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4658,'playsta2-app','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4659,'playsta2-lob','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4659,'playsta2-lob','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4660,'smaclmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4660,'smaclmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4661,'kar2ouche','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4661,'kar2ouche','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4662,'oms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4662,'oms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4672,'rfa','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4672,'rfa','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4673,'cxws','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4673,'cxws','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4674,'appiq-mgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4674,'appiq-mgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4675,'dhct-status','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4675,'dhct-status','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4676,'dhct-alerts','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4676,'dhct-alerts','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4677,'bcs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4677,'bcs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4678,'traversal','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4678,'traversal','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4679,'mgesupervision','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4679,'mgesupervision','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4680,'mgemanagement','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4680,'mgemanagement','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4681,'parliant','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4681,'parliant','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4682,'finisar','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4682,'finisar','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4683,'spike','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4683,'spike','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4684,'rfid-rp1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4684,'rfid-rp1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4685,'autopac','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4685,'autopac','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4686,'msp-os','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4686,'msp-os','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4687,'nst','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4687,'nst','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4688,'mobile-p2p','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4688,'mobile-p2p','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4689,'altovacentral','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4689,'altovacentral','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4690,'prelude','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4690,'prelude','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4691,'monotone','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4691,'monotone','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4692,'conspiracy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4692,'conspiracy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4737,'ipdr-sp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4737,'ipdr-sp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4738,'solera-lpn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4738,'solera-lpn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4739,'ipfix','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4739,'ipfix','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4750,'ssad','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4750,'ssad','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4751,'spocp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4751,'spocp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4752,'snap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4752,'snap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4800,'iims','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4800,'iims','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4801,'iwec','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4801,'iwec','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4802,'ilss','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4802,'ilss','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4827,'htcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4827,'htcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4837,'varadero-0','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4837,'varadero-0','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4838,'varadero-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4838,'varadero-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4839,'varadero-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4839,'varadero-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4848,'appserv-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4848,'appserv-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4849,'appserv-https','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4849,'appserv-https','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4850,'sun-as-nodeagt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4850,'sun-as-nodeagt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4868,'phrelay','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4868,'phrelay','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4869,'phrelaydbg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4869,'phrelaydbg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4870,'cc-tracking','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4870,'cc-tracking','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4885,'abbs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4885,'abbs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4894,'lyskom','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4894,'lyskom','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4899,'radmin-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4899,'radmin-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4949,'munin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4949,'munin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4951,'pwgwims','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4951,'pwgwims','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4987,'smar-se-port1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4987,'smar-se-port1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4988,'smar-se-port2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4988,'smar-se-port2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4989,'parallel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (4989,'parallel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5000,'commplex-main','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5000,'commplex-main','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5001,'commplex-link','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5001,'commplex-link','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5002,'rfe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5002,'rfe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5003,'fmpro-internal','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5003,'fmpro-internal','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5004,'avt-profile-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5004,'avt-profile-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5005,'avt-profile-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5005,'avt-profile-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5006,'wsm-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5006,'wsm-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5007,'wsm-server-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5007,'wsm-server-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5008,'synapsis-edge','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5008,'synapsis-edge','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5010,'telelpathstart','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5010,'telelpathstart','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5011,'telelpathattack','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5011,'telelpathattack','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5020,'zenginkyo-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5020,'zenginkyo-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5021,'zenginkyo-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5021,'zenginkyo-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5022,'mice','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5022,'mice','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5023,'htuilsrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5023,'htuilsrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5024,'scpi-telnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5024,'scpi-telnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5025,'scpi-raw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5025,'scpi-raw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5026,'strexec-d','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5026,'strexec-d','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5027,'strexec-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5027,'strexec-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5042,'asnaacceler8db','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5042,'asnaacceler8db','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5043,'swxadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5043,'swxadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5044,'lxi-evntsvc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5044,'lxi-evntsvc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5050,'mmcc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5050,'mmcc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5051,'ita-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5051,'ita-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5052,'ita-manager','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5052,'ita-manager','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5055,'unot','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5055,'unot','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5056,'intecom-ps1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5056,'intecom-ps1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5057,'intecom-ps2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5057,'intecom-ps2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5059,'sds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5059,'sds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5060,'sip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5060,'sip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5061,'sip-tls','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5061,'sip-tls','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5064,'ca-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5064,'ca-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5065,'ca-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5065,'ca-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5066,'stanag-5066','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5066,'stanag-5066','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5067,'authentx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5069,'i-net-2000-npr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5069,'i-net-2000-npr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5071,'powerschool','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5071,'powerschool','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5072,'ayiya','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5072,'ayiya','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5073,'tag-pm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5073,'tag-pm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5074,'alesquery','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5074,'alesquery','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5081,'sdl-ets','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5081,'sdl-ets','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5090,'car','sctp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5091,'cxtp','sctp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5093,'sentinel-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5093,'sentinel-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5099,'sentlm-srv2srv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5099,'sentlm-srv2srv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5100,'socalia','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5100,'socalia','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5101,'talarian-tcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5101,'talarian-udp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5102,'oms-nonsecure','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5102,'oms-nonsecure','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5112,'pm-cmdsvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5112,'pm-cmdsvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5133,'nbt-pc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5133,'nbt-pc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5137,'ctsd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5137,'ctsd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5145,'rmonitor_secure','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5145,'rmonitor_secure','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5150,'atmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5150,'atmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5151,'esri_sde','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5151,'esri_sde','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5152,'sde-discovery','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5152,'sde-discovery','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5154,'bzflag','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5154,'bzflag','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5155,'asctrl-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5155,'asctrl-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5165,'ife_icorp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5165,'ife_icorp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5167,'scte104','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5167,'scte104','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5168,'scte30','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5168,'scte30','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5190,'aol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5190,'aol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5191,'aol-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5191,'aol-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5192,'aol-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5192,'aol-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5193,'aol-3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5193,'aol-3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5200,'targus-getdata','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5200,'targus-getdata','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5201,'targus-getdata1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5201,'targus-getdata1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5202,'targus-getdata2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5202,'targus-getdata2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5203,'targus-getdata3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5203,'targus-getdata3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5222,'xmpp-client','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5222,'xmpp-client','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5225,'hp-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5225,'hp-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5226,'hp-status','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5226,'hp-status','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5232,'sgi-dgl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5232,'sgi-dgl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5234,'eenet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5234,'eenet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5236,'padl2sim','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5236,'padl2sim','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5250,'igateway','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5250,'igateway','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5251,'caevms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5251,'caevms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5252,'movaz-ssc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5252,'movaz-ssc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5264,'3com-njack-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5264,'3com-njack-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5265,'3com-njack-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5265,'3com-njack-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5269,'xmpp-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5269,'xmpp-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5272,'pk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5272,'pk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5282,'transmit-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5282,'transmit-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5300,'hacl-hb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5300,'hacl-hb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5301,'hacl-gs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5301,'hacl-gs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5302,'hacl-cfg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5302,'hacl-cfg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5303,'hacl-probe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5303,'hacl-probe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5304,'hacl-local','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5304,'hacl-local','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5305,'hacl-test','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5305,'hacl-test','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5306,'sun-mc-grp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5306,'sun-mc-grp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5307,'sco-aip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5307,'sco-aip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5308,'cfengine','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5308,'cfengine','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5309,'jprinter','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5309,'jprinter','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5310,'outlaws','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5310,'outlaws','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5312,'permabit-cs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5312,'permabit-cs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5313,'rrdp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5313,'rrdp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5314,'opalis-rbt-ipc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5314,'opalis-rbt-ipc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5315,'hacl-poll','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5315,'hacl-poll','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5343,'kfserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5343,'kfserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5351,'nat-pmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5351,'nat-pmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5352,'dns-llq','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5352,'dns-llq','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5353,'mdns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5353,'mdns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5354,'noclog','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5354,'noclog','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5355,'hostmon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5355,'hostmon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5356,'ms-smlbiz','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5356,'ms-smlbiz','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5357,'wsdapi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5357,'wsdapi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5358,'wsdapi-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5358,'wsdapi-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5397,'stresstester','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5397,'stresstester','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5398,'elektron-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5398,'elektron-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5399,'securitychase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5399,'securitychase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5400,'excerpt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5400,'excerpt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5401,'excerpts','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5401,'excerpts','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5403,'hpoms-ci-lstn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5403,'hpoms-ci-lstn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5404,'hpoms-dps-lstn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5404,'hpoms-dps-lstn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5405,'netsupport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5405,'netsupport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5406,'systemics-sox','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5406,'systemics-sox','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5407,'foresyte-clear','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5407,'foresyte-clear','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5408,'foresyte-sec','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5408,'foresyte-sec','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5409,'salient-dtasrv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5409,'salient-dtasrv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5410,'salient-usrmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5410,'salient-usrmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5411,'actnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5411,'actnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5412,'continuus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5412,'continuus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5413,'wwiotalk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5413,'wwiotalk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5414,'statusd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5414,'statusd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5415,'ns-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5415,'ns-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5416,'sns-gateway','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5416,'sns-gateway','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5417,'sns-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5417,'sns-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5418,'mcntp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5418,'mcntp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5419,'dj-ice','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5419,'dj-ice','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5420,'cylink-c','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5420,'cylink-c','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5421,'netsupport2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5421,'netsupport2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5422,'salient-mux','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5422,'salient-mux','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5423,'virtualuser','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5423,'virtualuser','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5424,'beyond-remote','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5424,'beyond-remote','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5425,'br-channel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5425,'br-channel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5426,'devbasic','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5426,'devbasic','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5427,'sco-peer-tta','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5427,'sco-peer-tta','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5428,'telaconsole','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5428,'telaconsole','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5429,'base','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5429,'base','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5430,'radec-corp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5430,'radec-corp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5431,'park-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5431,'park-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5432,'postgres','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5432,'postgres','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5433,'pyrrho','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5433,'pyrrho','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5434,'sgi-arrayd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5434,'sgi-arrayd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5435,'dttl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5435,'dttl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5453,'surebox','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5453,'surebox','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5454,'apc-5454','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5454,'apc-5454','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5455,'apc-5455','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5455,'apc-5455','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5456,'apc-5456','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5456,'apc-5456','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5461,'silkmeter','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5461,'silkmeter','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5462,'ttl-publisher','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5462,'ttl-publisher','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5463,'ttlpriceproxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5463,'ttlpriceproxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5465,'netops-broker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5465,'netops-broker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5500,'fcp-addr-srvr1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5500,'fcp-addr-srvr1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5501,'fcp-addr-srvr2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5501,'fcp-addr-srvr2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5502,'fcp-srvr-inst1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5502,'fcp-srvr-inst1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5503,'fcp-srvr-inst2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5503,'fcp-srvr-inst2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5504,'fcp-cics-gw1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5504,'fcp-cics-gw1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5553,'sgi-eventmond','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5553,'sgi-eventmond','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5554,'sgi-esphttp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5554,'sgi-esphttp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5555,'personal-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5555,'personal-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5566,'udpplus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5566,'udpplus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5567,'emware-moap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5567,'emware-moap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5584,'bis-web','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5584,'bis-web','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5585,'bis-sync','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5585,'bis-sync','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5599,'esinstall','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5599,'esinstall','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5600,'esmmanager','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5600,'esmmanager','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5601,'esmagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5601,'esmagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5602,'a1-msc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5602,'a1-msc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5603,'a1-bs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5603,'a1-bs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5604,'a3-sdunode','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5604,'a3-sdunode','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5605,'a4-sdunode','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5605,'a4-sdunode','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5631,'pcanywheredata','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5631,'pcanywheredata','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5632,'pcanywherestat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5632,'pcanywherestat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5666,'nrpe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5669,'nsca','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5672,'amqp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5672,'amqp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5673,'jms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5673,'jms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5674,'hyperscsi-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5674,'hyperscsi-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5675,'v5ua','sctp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5675,'v5ua','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5675,'v5ua','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5676,'raadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5676,'raadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5677,'questdb2-lnchr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5677,'questdb2-lnchr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5678,'rrac','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5678,'rrac','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5679,'dccm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5679,'dccm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5680,'canna','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5688,'ggz','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5688,'ggz','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5713,'proshareaudio','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5713,'proshareaudio','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5714,'prosharevideo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5714,'prosharevideo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5715,'prosharedata','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5715,'prosharedata','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5716,'prosharerequest','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5716,'prosharerequest','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5717,'prosharenotify','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5717,'prosharenotify','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5720,'ms-licensing','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5720,'ms-licensing','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5721,'dtpt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5721,'dtpt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5729,'openmail','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5729,'openmail','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5730,'unieng','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5730,'unieng','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5741,'ida-discover1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5741,'ida-discover1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5742,'ida-discover2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5742,'ida-discover2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5743,'watchdoc-pod','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5743,'watchdoc-pod','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5744,'watchdoc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5744,'watchdoc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5745,'fcopy-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5745,'fcopy-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5746,'fcopys-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5746,'fcopys-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5747,'tunatic','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5747,'tunatic','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5748,'tunalyzer','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5748,'tunalyzer','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5755,'openmailg','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5755,'openmailg','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5757,'x500ms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5757,'x500ms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5766,'openmailns','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5766,'openmailns','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5767,'s-openmail','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5767,'s-openmail','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5768,'openmailpxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5768,'openmailpxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5771,'netagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5771,'netagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5777,'dali-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5777,'dali-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5813,'icmpd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5813,'icmpd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5814,'spt-automation','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5814,'spt-automation','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5815,'icpp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5815,'icpp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5859,'wherehoo','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5859,'wherehoo','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5963,'indy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5963,'indy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5968,'mppolicy-v5','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5968,'mppolicy-v5','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5969,'mppolicy-mgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5969,'mppolicy-mgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5987,'wbem-rmi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5987,'wbem-rmi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5988,'wbem-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5988,'wbem-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5989,'wbem-https','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5989,'wbem-https','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5990,'wbem-exp-https','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5990,'wbem-exp-https','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5991,'nuxsl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5991,'nuxsl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5992,'consul-insight','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5992,'consul-insight','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5999,'cvsup','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (5999,'cvsup','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6000,'x11','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6010,'x11-ssh-offset','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6064,'ndl-ahp-svc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6064,'ndl-ahp-svc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6065,'winpharaoh','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6065,'winpharaoh','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6066,'ewctsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6066,'ewctsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6067,'srb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6067,'srb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6068,'gsmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6068,'gsmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6069,'trip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6069,'trip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6070,'messageasap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6070,'messageasap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6071,'ssdtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6071,'ssdtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6072,'diagnose-proc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6072,'diagnose-proc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6073,'directplay8','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6073,'directplay8','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6085,'konspire2b','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6085,'konspire2b','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6100,'synchronet-db','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6100,'synchronet-db','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6101,'synchronet-rtc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6101,'synchronet-rtc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6102,'synchronet-upd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6102,'synchronet-upd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6103,'rets','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6103,'rets','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6104,'dbdb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6104,'dbdb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6105,'primaserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6105,'primaserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6106,'mpsserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6106,'mpsserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6107,'etc-control','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6107,'etc-control','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6108,'sercomm-scadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6108,'sercomm-scadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6109,'globecast-id','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6109,'globecast-id','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6110,'softcm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6110,'softcm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6111,'spc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6111,'spc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6112,'dtspcd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6112,'dtspcd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6122,'bex-webadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6122,'bex-webadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6123,'backup-express','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6123,'backup-express','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6133,'nbt-wol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6133,'nbt-wol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6141,'meta-corp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6141,'meta-corp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6142,'aspentec-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6142,'aspentec-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6143,'watershed-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6143,'watershed-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6144,'statsci1-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6144,'statsci1-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6145,'statsci2-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6145,'statsci2-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6146,'lonewolf-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6146,'lonewolf-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6147,'montage-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6147,'montage-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6149,'tal-pod','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6149,'tal-pod','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6161,'patrol-ism','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6161,'patrol-ism','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6162,'patrol-coll','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6162,'patrol-coll','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6163,'pscribe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6163,'pscribe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6253,'crip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6253,'crip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6300,'bmc-grx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6300,'bmc-grx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6321,'emp-server1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6321,'emp-server1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6322,'emp-server2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6322,'emp-server2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6343,'sflow','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6343,'sflow','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6346,'gnutella-svc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6346,'gnutella-svc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6347,'gnutella-rtr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6347,'gnutella-rtr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6382,'metatude-mds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6382,'metatude-mds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6389,'clariion-evr01','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6389,'clariion-evr01','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6455,'skip-cert-recv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6456,'skip-cert-send','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6471,'lvision-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6471,'lvision-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6500,'boks','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6500,'boks','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6501,'boks_servc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6501,'boks_servc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6502,'boks_servm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6502,'boks_servm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6503,'boks_clntd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6503,'boks_clntd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6505,'badm_priv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6505,'badm_priv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6506,'badm_pub','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6506,'badm_pub','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6507,'bdir_priv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6507,'bdir_priv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6508,'bdir_pub','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6508,'bdir_pub','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6509,'mgcs-mfp-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6509,'mgcs-mfp-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6510,'mcer-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6510,'mcer-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6543,'lds-distrib','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6543,'lds-distrib','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6547,'apc-6547','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6547,'apc-6547','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6548,'apc-6548','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6548,'apc-6548','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6549,'apc-6549','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6549,'apc-6549','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6550,'fg-sysupdate','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6550,'fg-sysupdate','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6558,'xdsxdm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6558,'xdsxdm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6566,'sane-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6566,'sane-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6579,'affiliate','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6579,'affiliate','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6580,'parsec-master','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6580,'parsec-master','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6581,'parsec-peer','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6581,'parsec-peer','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6582,'parsec-game','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6582,'parsec-game','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6583,'joaJewelSuite','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6583,'joaJewelSuite','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6620,'kftp-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6620,'kftp-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6621,'kftp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6621,'kftp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6623,'ktelnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6623,'ktelnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6627,'nexgen','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6627,'nexgen','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6628,'afesc-mc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6628,'afesc-mc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6667,'ircd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6667,'ircd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6670,'vocaltec-gold','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6670,'vocaltec-gold','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6672,'vision_server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6672,'vision_server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6673,'vision_elmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6673,'vision_elmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6701,'kti-icad-srvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6701,'kti-icad-srvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6714,'ibprotocol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6714,'ibprotocol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6715,'fibotrader-com','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6715,'fibotrader-com','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6767,'bmc-perf-agent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6767,'bmc-perf-agent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6768,'bmc-perf-mgrd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6768,'bmc-perf-mgrd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6769,'adi-gxp-srvprt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6769,'adi-gxp-srvprt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6770,'plysrv-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6770,'plysrv-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6771,'plysrv-https','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6771,'plysrv-https','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6786,'smc-jmx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6786,'smc-jmx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6787,'smc-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6787,'smc-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6788,'smc-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6788,'smc-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6789,'smc-https','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6789,'smc-https','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6790,'hnmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6790,'hnmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6791,'hnm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6791,'hnm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6831,'ambit-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6831,'ambit-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6841,'netmo-default','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6841,'netmo-default','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6842,'netmo-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6842,'netmo-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6850,'iccrushmore','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6850,'iccrushmore','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6888,'muse','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6888,'muse','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6946,'bioserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6946,'bioserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6961,'jmact3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6961,'jmact3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6962,'jmevt2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6962,'jmevt2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6963,'swismgr1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6963,'swismgr1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6964,'swismgr2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6964,'swismgr2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6965,'swistrap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6965,'swistrap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6966,'swispol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6966,'swispol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6969,'acmsoda','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6969,'acmsoda','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6998,'iatp-highpri','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6998,'iatp-highpri','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6999,'iatp-normalpri','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (6999,'iatp-normalpri','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7000,'afs3-fileserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7000,'afs3-fileserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7001,'afs3-callback','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7001,'afs3-callback','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7002,'afs3-prserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7002,'afs3-prserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7003,'afs3-vlserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7003,'afs3-vlserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7004,'afs3-kaserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7004,'afs3-kaserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7005,'afs3-volser','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7005,'afs3-volser','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7006,'afs3-errors','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7006,'afs3-errors','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7007,'afs3-bos','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7007,'afs3-bos','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7008,'afs3-update','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7008,'afs3-update','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7009,'afs3-rmtsys','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7009,'afs3-rmtsys','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7010,'ups-onlinet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7010,'ups-onlinet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7011,'talon-disc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7011,'talon-disc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7012,'talon-engine','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7012,'talon-engine','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7013,'microtalon-dis','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7013,'microtalon-dis','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7014,'microtalon-com','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7014,'microtalon-com','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7015,'talon-webserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7015,'talon-webserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7020,'dpserve','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7020,'dpserve','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7021,'dpserveadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7021,'dpserveadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7022,'ctdp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7022,'ctdp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7023,'ct2nmcs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7023,'ct2nmcs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7024,'vmsvc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7024,'vmsvc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7025,'vmsvc-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7025,'vmsvc-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7030,'op-probe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7030,'op-probe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7070,'arcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7070,'arcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7099,'lazy-ptop','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7099,'lazy-ptop','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7100,'xfs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7121,'virprot-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7121,'virprot-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7161,'cabsm-comm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7161,'cabsm-comm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7162,'caistoragemgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7162,'caistoragemgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7163,'cacsambroker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7163,'cacsambroker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7174,'clutild','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7174,'clutild','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7200,'fodms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7200,'fodms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7201,'dlip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7201,'dlip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7227,'ramp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7227,'ramp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7272,'watchme-7272','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7272,'watchme-7272','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7273,'oma-rlp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7273,'oma-rlp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7274,'oma-rlp-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7274,'oma-rlp-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7280,'itactionserver1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7280,'itactionserver1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7281,'itactionserver2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7281,'itactionserver2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7391,'mindfilesys','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7391,'mindfilesys','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7392,'mrssrendezvous','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7392,'mrssrendezvous','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7395,'winqedit','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7395,'winqedit','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7397,'hexarc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7397,'hexarc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7400,'rtps-discovery','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7400,'rtps-discovery','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7401,'rtps-dd-ut','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7401,'rtps-dd-ut','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7402,'rtps-dd-mt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7402,'rtps-dd-mt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7421,'mtportmon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7421,'mtportmon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7426,'pmdmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7426,'pmdmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7427,'oveadmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7427,'oveadmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7428,'ovladmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7428,'ovladmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7429,'opi-sock','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7429,'opi-sock','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7430,'xmpv7','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7430,'xmpv7','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7431,'pmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7431,'pmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7437,'faximum','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7437,'faximum','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7491,'telops-lmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7491,'telops-lmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7500,'silhouette','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7500,'silhouette','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7501,'ovbus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7501,'ovbus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7510,'ovhpas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7510,'ovhpas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7511,'pafec-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7511,'pafec-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7543,'atul','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7543,'atul','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7544,'nta-ds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7544,'nta-ds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7545,'nta-us','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7545,'nta-us','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7546,'cfs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7546,'cfs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7547,'cwmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7547,'cwmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7560,'sncp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7560,'sncp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7566,'vsi-omega','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7566,'vsi-omega','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7570,'aries-kfinder','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7570,'aries-kfinder','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7588,'sun-lm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7588,'sun-lm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7624,'indi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7624,'indi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7626,'simco','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7626,'simco','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7627,'soap-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7627,'soap-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7633,'pmdfmgt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7633,'pmdfmgt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7666,'tircproxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7674,'imqtunnels','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7674,'imqtunnels','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7675,'imqtunnel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7675,'imqtunnel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7676,'imqbrokerd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7676,'imqbrokerd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7677,'sun-user-https','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7677,'sun-user-https','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7697,'klio','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7697,'klio','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7707,'sync-em7','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7707,'sync-em7','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7720,'medimageportal','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7720,'medimageportal','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7725,'nitrogen','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7725,'nitrogen','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7726,'freezexservice','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7726,'freezexservice','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7727,'trident-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7727,'trident-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7738,'aiagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7738,'aiagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7743,'sstp-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7743,'sstp-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7777,'cbt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7777,'cbt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7778,'interwise','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7778,'interwise','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7779,'vstat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7779,'vstat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7781,'accu-lmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7781,'accu-lmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7786,'minivend','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7786,'minivend','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7794,'q3ade','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7794,'q3ade','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7797,'pnet-conn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7797,'pnet-conn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7798,'pnet-enc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7798,'pnet-enc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7800,'asr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7800,'asr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7845,'apc-7845','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7845,'apc-7845','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7846,'apc-7846','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7846,'apc-7846','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7887,'ubroker','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7887,'ubroker','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7901,'tnos-sp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7901,'tnos-sp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7902,'tnos-dp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7902,'tnos-dp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7903,'tnos-dps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7903,'tnos-dps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7913,'qo-secure','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7913,'qo-secure','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7932,'t2-drm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7932,'t2-drm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7933,'t2-brm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7933,'t2-brm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7967,'supercell','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7967,'supercell','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7979,'micromuse-ncps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7979,'micromuse-ncps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7980,'quest-vista','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7980,'quest-vista','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7999,'irdmi2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (7999,'irdmi2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8000,'irdmi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8000,'irdmi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8001,'vcom-tunnel','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8001,'vcom-tunnel','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8002,'teradataordbms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8002,'teradataordbms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8008,'http-alt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8008,'http-alt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8020,'intu-ec-svcdisc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8020,'intu-ec-svcdisc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8021,'intu-ec-client','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8021,'intu-ec-client','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8022,'oa-system','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8022,'oa-system','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8032,'pro-ed','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8032,'pro-ed','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8033,'mindprint','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8033,'mindprint','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8080,'webcache','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8080,'webcache','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8081,'tproxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8081,'tproxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8082,'us-cli','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8082,'us-cli','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8083,'us-srv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8083,'us-srv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8088,'radan-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8088,'radan-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8100,'xprint-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8100,'xprint-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8115,'mtl8000-matrix','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8115,'mtl8000-matrix','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8116,'cp-cluster','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8116,'cp-cluster','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8118,'privoxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8118,'privoxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8121,'apollo-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8121,'apollo-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8122,'apollo-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8122,'apollo-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8128,'paycash-online','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8128,'paycash-online','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8129,'paycash-wbp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8129,'paycash-wbp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8130,'indigo-vrmi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8130,'indigo-vrmi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8131,'indigo-vbcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8131,'indigo-vbcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8132,'dbabble','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8132,'dbabble','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8148,'isdd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8148,'isdd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8160,'patrol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8160,'patrol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8161,'patrol-snmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8161,'patrol-snmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8199,'vvr-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8199,'vvr-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8200,'trivnet1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8200,'trivnet1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8201,'trivnet2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8201,'trivnet2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8204,'lm-perfworks','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8204,'lm-perfworks','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8205,'lm-instmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8205,'lm-instmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8206,'lm-dta','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8206,'lm-dta','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8207,'lm-sserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8207,'lm-sserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8208,'lm-webwatcher','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8208,'lm-webwatcher','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8230,'rexecj','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8230,'rexecj','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8351,'server-find','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8351,'server-find','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8376,'cruise-enum','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8376,'cruise-enum','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8377,'cruise-swroute','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8377,'cruise-swroute','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8378,'cruise-config','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8378,'cruise-config','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8379,'cruise-diags','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8379,'cruise-diags','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8380,'cruise-update','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8380,'cruise-update','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8383,'m2mservices','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8383,'m2mservices','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8400,'cvd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8400,'cvd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8401,'sabarsd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8401,'sabarsd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8402,'abarsd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8402,'abarsd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8416,'espeech','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8416,'espeech','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8417,'espeech-rtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8417,'espeech-rtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8443,'pcsync-https','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8443,'pcsync-https','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8444,'pcsync-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8444,'pcsync-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8450,'npmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8450,'npmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8473,'vp2p','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8473,'vp2p','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8474,'noteshare','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8474,'noteshare','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8500,'fde','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8500,'fde','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8554,'rtsp-alt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8554,'rtsp-alt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8555,'d-fence','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8555,'d-fence','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8567,'emware-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8567,'emware-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8600,'asterix','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8600,'asterix','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8611,'canon-bjnp1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8611,'canon-bjnp1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8612,'canon-bjnp2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8612,'canon-bjnp2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8613,'canon-bjnp3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8613,'canon-bjnp3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8614,'canon-bjnp4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8614,'canon-bjnp4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8686,'sun-as-jmxrmi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8686,'sun-as-jmxrmi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8699,'vnyx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8699,'vnyx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8733,'ibus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8733,'ibus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8763,'mc-appserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8763,'mc-appserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8764,'openqueue','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8764,'openqueue','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8765,'ultraseek-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8765,'ultraseek-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8770,'dpap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8770,'dpap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8786,'msgclnt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8786,'msgclnt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8787,'msgsrvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8787,'msgsrvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8800,'sunwebadmin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8800,'sunwebadmin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8804,'truecm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8804,'truecm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8873,'dxspider','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8873,'dxspider','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8880,'cddbp-alt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8880,'cddbp-alt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8888,'ddi-tcp-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8888,'ddi-udp-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8889,'ddi-tcp-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8889,'ddi-udp-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8890,'ddi-tcp-3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8890,'ddi-udp-3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8891,'ddi-tcp-4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8891,'ddi-udp-4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8892,'ddi-tcp-5','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8892,'ddi-udp-5','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8893,'ddi-tcp-6','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8893,'ddi-udp-6','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8894,'ddi-tcp-7','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8894,'ddi-udp-7','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8900,'jmb-cds1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8900,'jmb-cds1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8901,'jmb-cds2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8901,'jmb-cds2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8910,'manyone-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8910,'manyone-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8911,'manyone-xml','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8911,'manyone-xml','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8912,'wcbackup','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8912,'wcbackup','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8913,'dragonfly','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8913,'dragonfly','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8954,'cumulus-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8954,'cumulus-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8989,'sunwebadmins','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8989,'sunwebadmins','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8999,'bctp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (8999,'bctp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9000,'cslistener','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9000,'cslistener','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9001,'etlservicemgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9001,'etlservicemgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9002,'dynamid','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9002,'dynamid','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9009,'pichat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9009,'pichat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9020,'tambora','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9020,'tambora','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9021,'panagolin-ident','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9021,'panagolin-ident','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9022,'paragent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9022,'paragent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9023,'swa-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9023,'swa-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9024,'swa-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9024,'swa-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9025,'swa-3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9025,'swa-3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9026,'swa-4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9026,'swa-4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9080,'glrpc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9080,'glrpc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9088,'sqlexec','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9088,'sqlexec','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9089,'sqlexec-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9089,'sqlexec-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9090,'websm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9090,'websm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9091,'xmltec-xmlmail','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9091,'xmltec-xmlmail','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9092,'XmlIpcRegSvc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9092,'XmlIpcRegSvc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9100,'jetdirect','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9101,'bacula-dir','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9101,'bacula-dir','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9102,'bacula-fd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9102,'bacula-fd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9103,'bacula-sd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9103,'bacula-sd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9104,'peerwire','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9104,'peerwire','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9131,'dddp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9131,'dddp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9160,'netlock1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9160,'netlock1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9161,'netlock2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9161,'netlock2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9162,'netlock3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9162,'netlock3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9163,'netlock4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9163,'netlock4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9164,'netlock5','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9164,'netlock5','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9191,'sun-as-jpda','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9191,'sun-as-jpda','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9200,'wap-wsp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9200,'wap-wsp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9201,'wap-wsp-wtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9201,'wap-wsp-wtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9202,'wap-wsp-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9202,'wap-wsp-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9203,'wap-wsp-wtp-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9203,'wap-wsp-wtp-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9204,'wap-vcard','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9204,'wap-vcard','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9205,'wap-vcal','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9205,'wap-vcal','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9206,'wap-vcard-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9206,'wap-vcard-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9207,'wap-vcal-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9207,'wap-vcal-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9208,'rjcdb-vcards','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9208,'rjcdb-vcards','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9209,'almobile-system','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9209,'almobile-system','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9210,'oma-mlp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9210,'oma-mlp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9211,'oma-mlp-s','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9211,'oma-mlp-s','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9212,'serverviewdbms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9212,'serverviewdbms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9213,'serverstart','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9213,'serverstart','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9217,'fsc-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9217,'fsc-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9222,'teamcoherence','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9222,'teamcoherence','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9281,'swtp-port1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9281,'swtp-port1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9282,'swtp-port2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9282,'swtp-port2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9283,'callwaveiam','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9283,'callwaveiam','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9284,'visd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9284,'visd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9285,'n2h2server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9285,'n2h2server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9287,'cumulus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9287,'cumulus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9292,'armtechdaemon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9292,'armtechdaemon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9318,'secure-ts','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9318,'secure-ts','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9321,'guibase','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9321,'guibase','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9343,'mpidcmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9343,'mpidcmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9344,'mphlpdmc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9344,'mphlpdmc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9346,'ctechlicensing','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9346,'ctechlicensing','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9359,'mandelspawn','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9374,'fjdmimgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9374,'fjdmimgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9396,'fjinvmgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9396,'fjinvmgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9397,'mpidcagt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9397,'mpidcagt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9418,'git','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9418,'git','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9500,'ismserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9500,'ismserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9535,'mngsuite','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9535,'mngsuite','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9555,'trispen-sra','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9555,'trispen-sra','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9593,'cba8','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9593,'cba8','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9594,'msgsys','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9594,'msgsys','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9595,'pds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9595,'pds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9596,'mercury-disc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9596,'mercury-disc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9597,'pd-admin','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9597,'pd-admin','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9598,'vscp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9598,'vscp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9599,'robix','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9599,'robix','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9600,'micromuse-ncpw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9600,'micromuse-ncpw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9612,'streamcomm-ds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9612,'streamcomm-ds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9700,'board-roar','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9700,'board-roar','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9747,'l5nas-parchan','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9747,'l5nas-parchan','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9750,'board-voip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9750,'board-voip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9753,'rasadv','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9753,'rasadv','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9800,'davsrc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9800,'davsrc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9801,'sstp-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9801,'sstp-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9802,'davsrcs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9802,'davsrcs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9875,'sapv1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9875,'sapv1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9876,'sd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9876,'sd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9888,'cyborg-systems','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9888,'cyborg-systems','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9898,'monkeycom','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9898,'monkeycom','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9899,'sctp-tunneling','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9899,'sctp-tunneling','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9900,'iua','sctp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9900,'iua','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9900,'iua','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9909,'domaintime','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9909,'domaintime','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9911,'sype-transport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9911,'sype-transport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9950,'apc-9950','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9950,'apc-9950','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9951,'apc-9951','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9951,'apc-9951','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9952,'apc-9952','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9952,'apc-9952','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9953,'acis','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9953,'acis','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9990,'osm-appsrvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9990,'osm-appsrvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9991,'osm-oev','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9991,'osm-oev','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9992,'palace-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9992,'palace-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9993,'palace-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9993,'palace-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9994,'palace-3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9994,'palace-3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9995,'palace-4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9995,'palace-4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9996,'palace-5','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9996,'palace-5','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9997,'palace-6','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9997,'palace-6','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9998,'distinct32','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9998,'distinct32','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9999,'distinct','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (9999,'distinct','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10000,'ndmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10000,'ndmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10001,'scp-config','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10001,'scp-config','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10007,'mvs-capacity','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10007,'mvs-capacity','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10008,'octopus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10008,'octopus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10080,'amanda','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10080,'amanda','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10081,'kamanda','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10081,'kamanda','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10082,'amandaidx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10083,'amidxtape','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10100,'itap-ddtp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10100,'itap-ddtp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10101,'ezmeeting-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10101,'ezmeeting-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10102,'ezproxy-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10102,'ezproxy-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10103,'ezrelay','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10103,'ezrelay','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10107,'bctp-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10107,'bctp-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10113,'netiq-endpoint','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10113,'netiq-endpoint','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10114,'netiq-qcheck','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10114,'netiq-qcheck','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10115,'netiq-endpt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10115,'netiq-endpt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10116,'netiq-voipa','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10116,'netiq-voipa','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10128,'bmc-perf-sd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10128,'bmc-perf-sd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10160,'qb-db-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10160,'qb-db-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10252,'apollo-relay','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10252,'apollo-relay','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10260,'axis-wimp-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10260,'axis-wimp-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10288,'blocks','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10288,'blocks','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10990,'rmiaux','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (10990,'rmiaux','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11000,'irisa','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11000,'irisa','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11001,'metasys','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11001,'metasys','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11111,'vce','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11111,'vce','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11112,'dicom','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11112,'dicom','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11161,'suncacao-snmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11161,'suncacao-snmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11162,'suncacao-jmxmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11162,'suncacao-jmxmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11163,'suncacao-rmi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11163,'suncacao-rmi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11164,'suncacao-csa','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11164,'suncacao-csa','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11165,'suncacao-websvc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11165,'suncacao-websvc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11201,'smsqp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11201,'smsqp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11319,'imip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11319,'imip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11320,'imip-channels','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11320,'imip-channels','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11321,'arena-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11321,'arena-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11367,'atm-uhas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11367,'atm-uhas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11371,'pgpkeyserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11371,'pgpkeyserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11600,'tempest-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11600,'tempest-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11720,'h323callsigalt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11720,'h323callsigalt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11751,'intrepid-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11751,'intrepid-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11967,'sysinfo-sp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (11967,'sysinfo-sp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12000,'entextxid','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12000,'entextxid','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12001,'entextnetwk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12001,'entextnetwk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12002,'entexthigh','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12002,'entexthigh','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12003,'entextmed','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12003,'entextmed','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12004,'entextlow','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12004,'entextlow','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12005,'dbisamserver1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12005,'dbisamserver1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12006,'dbisamserver2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12006,'dbisamserver2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12007,'accuracer','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12007,'accuracer','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12008,'accuracer-dbms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12008,'accuracer-dbms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12012,'vipera','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12012,'vipera','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12109,'rets-ssl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12109,'rets-ssl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12121,'nupaper-ss','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12121,'nupaper-ss','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12168,'cawas','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12168,'cawas','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12172,'hivep','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12172,'hivep','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12300,'linogridengine','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12300,'linogridengine','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12321,'warehouse-sss','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12321,'warehouse-sss','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12322,'warehouse','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12322,'warehouse','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12345,'italk','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12345,'italk','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12753,'tsaf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (12753,'tsaf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13160,'i-zipqd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13160,'i-zipqd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13223,'powwow-client','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13223,'powwow-client','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13224,'powwow-server','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13224,'powwow-server','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13720,'bprd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13720,'bprd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13721,'bpdbm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13721,'bpdbm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13722,'bpjava-msvc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13722,'bpjava-msvc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13724,'vnetd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13724,'vnetd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13782,'bpcd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13782,'bpcd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13783,'vopied','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13783,'vopied','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13785,'nbdb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13785,'nbdb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13786,'nomdb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13786,'nomdb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13818,'dsmcc-config','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13818,'dsmcc-config','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13819,'dsmcc-session','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13819,'dsmcc-session','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13820,'dsmcc-passthru','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13820,'dsmcc-passthru','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13821,'dsmcc-download','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13821,'dsmcc-download','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13822,'dsmcc-ccp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (13822,'dsmcc-ccp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14001,'sua','sctp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14001,'sua','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14001,'sua','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14033,'sage-best-com1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14033,'sage-best-com1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14034,'sage-best-com2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14034,'sage-best-com2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14141,'vcs-app','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14141,'vcs-app','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14145,'gcm-app','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14145,'gcm-app','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14149,'vrts-tdd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14149,'vrts-tdd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14936,'hde-lcesrvr-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14936,'hde-lcesrvr-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14937,'hde-lcesrvr-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (14937,'hde-lcesrvr-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (15000,'hydap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (15000,'hydap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (15345,'xpilot','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (15345,'xpilot','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (15363,'3link','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (15363,'3link','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (15740,'ptp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (15740,'ptp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16161,'sun-sea-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16161,'sun-sea-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16309,'etb4j','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16309,'etb4j','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16360,'netserialext1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16360,'netserialext1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16361,'netserialext2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16361,'netserialext2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16367,'netserialext3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16367,'netserialext3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16368,'netserialext4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16368,'netserialext4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16384,'connected','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16384,'connected','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16991,'intel-rci-mp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16991,'intel-rci-mp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16992,'amt-soap-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16992,'amt-soap-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16993,'amt-soap-https','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16993,'amt-soap-https','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16994,'amt-redir-tcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16994,'amt-redir-tcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16995,'amt-redir-tls','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (16995,'amt-redir-tls','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (17007,'isode-dua','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (17007,'isode-dua','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (17185,'soundsvirtual','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (17185,'soundsvirtual','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (17219,'chipper','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (17219,'chipper','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (17235,'ssh-mgmt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (17235,'ssh-mgmt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18000,'biimenu','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18000,'biimenu','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18181,'opsec-cvp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18181,'opsec-cvp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18182,'opsec-ufp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18182,'opsec-ufp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18183,'opsec-sam','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18183,'opsec-sam','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18184,'opsec-lea','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18184,'opsec-lea','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18185,'opsec-omi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18185,'opsec-omi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18186,'ohsc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18186,'ohsc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18187,'opsec-ela','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18187,'opsec-ela','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18241,'checkpoint-rtm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18241,'checkpoint-rtm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18463,'ac-cluster','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18463,'ac-cluster','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18769,'ique','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18769,'ique','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18881,'infotos','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18881,'infotos','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18888,'apc-necmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (18888,'apc-necmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19000,'igrid','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19000,'igrid','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19191,'opsec-uaa','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19191,'opsec-uaa','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19194,'ua-secureagent','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19194,'ua-secureagent','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19283,'keysrvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19283,'keysrvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19315,'keyshadow','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19315,'keyshadow','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19398,'mtrgtrans','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19398,'mtrgtrans','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19410,'hp-sco','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19410,'hp-sco','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19411,'hp-sca','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19411,'hp-sca','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19412,'hp-sessmon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19412,'hp-sessmon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19539,'fxuptp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19539,'fxuptp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19540,'sxuptp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19540,'sxuptp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19541,'jcp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (19541,'jcp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20000,'dnp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20000,'dnp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20001,'microsan','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20001,'microsan','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20002,'commtact-http','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20002,'commtact-http','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20003,'commtact-https','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20003,'commtact-https','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20011,'isdnlog','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20011,'isdnlog','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20012,'vboxd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20012,'vboxd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20014,'opendeploy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20014,'opendeploy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20034,'nburn_id','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20034,'nburn_id','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20202,'ipdtp-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20202,'ipdtp-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20222,'ipulse-ics','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20222,'ipulse-ics','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20670,'track','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20670,'track','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20999,'athand-mmp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (20999,'athand-mmp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21000,'irtrans','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21000,'irtrans','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21590,'vofr-gateway','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21590,'vofr-gateway','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21800,'tvpm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21800,'tvpm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21845,'webphone','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21845,'webphone','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21846,'netspeak-is','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21846,'netspeak-is','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21847,'netspeak-cs','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21847,'netspeak-cs','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21848,'netspeak-acd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21848,'netspeak-acd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21849,'netspeak-cps','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (21849,'netspeak-cps','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22000,'snapenetio','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22000,'snapenetio','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22001,'optocontrol','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22001,'optocontrol','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22273,'wnn6','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22273,'wnn6','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22289,'wnn4_Cn','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22305,'wnn4_Kr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22321,'wnn4_Tw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22555,'vocaltec-wconf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22555,'vocaltec-phone','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22800,'aws-brf','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22800,'aws-brf','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22951,'brf-gw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (22951,'brf-gw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24000,'med-ltp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24000,'med-ltp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24001,'med-fsp-rx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24001,'med-fsp-rx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24002,'med-fsp-tx','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24002,'med-fsp-tx','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24003,'med-supp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24003,'med-supp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24004,'med-ovw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24004,'med-ovw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24005,'med-ci','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24005,'med-ci','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24006,'med-net-svc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24006,'med-net-svc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24242,'filesphere','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24242,'filesphere','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24249,'vista-4gl','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24249,'vista-4gl','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24321,'ild','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24321,'ild','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24386,'intel_rci','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24386,'intel_rci','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24554,'binkp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24554,'binkp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24677,'flashfiler','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24677,'flashfiler','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24678,'proactivate','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24678,'proactivate','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24922,'snip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (24922,'snip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25000,'icl-twobase1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25000,'icl-twobase1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25001,'icl-twobase2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25001,'icl-twobase2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25002,'icl-twobase3','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25002,'icl-twobase3','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25003,'icl-twobase4','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25003,'icl-twobase4','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25004,'icl-twobase5','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25004,'icl-twobase5','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25005,'icl-twobase6','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25005,'icl-twobase6','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25006,'icl-twobase7','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25006,'icl-twobase7','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25007,'icl-twobase8','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25007,'icl-twobase8','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25008,'icl-twobase9','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25008,'icl-twobase9','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25009,'icl-twobase10','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25009,'icl-twobase10','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25793,'vocaltec-hos','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25793,'vocaltec-hos','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25900,'tasp-net','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25900,'tasp-net','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25901,'niobserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25901,'niobserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25903,'niprobe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (25903,'niprobe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (26000,'quake','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (26000,'quake','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (26208,'wnn6-ds','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (26208,'wnn6-ds','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (26260,'ezproxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (26260,'ezproxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (26261,'ezmeeting','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (26261,'ezmeeting','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (26262,'k3software-svr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (26262,'k3software-svr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (26263,'k3software-cli','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (26263,'k3software-cli','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (26264,'gserver','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (26264,'gserver','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (27345,'imagepump','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (27345,'imagepump','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (27374,'asp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (27374,'asp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (27504,'kopek-httphead','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (27504,'kopek-httphead','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (27782,'ars-vista','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (27782,'ars-vista','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (27960,'openarena','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (27999,'tw-auth-key','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (27999,'tw-auth-key','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (28000,'nxlmd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (28000,'nxlmd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (28240,'siemensgsm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (28240,'siemensgsm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (30001,'pago-services1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (30001,'pago-services1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (30002,'pago-services2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (30002,'pago-services2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (31416,'xqosd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (31416,'xqosd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (31457,'tetrinet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (31457,'tetrinet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (31620,'lm-mon','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (31620,'lm-mon','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (31765,'gamesmith-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (31765,'gamesmith-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32249,'t1distproc60','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32249,'t1distproc60','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32483,'apm-link','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32483,'apm-link','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32635,'sec-ntb-clnt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32635,'sec-ntb-clnt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32768,'filenet-tms','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32768,'filenet-tms','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32769,'filenet-rpc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32769,'filenet-rpc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32770,'filenet-nch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32770,'filenet-nch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32771,'filenet-rmi','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32771,'filenet-rmi','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32772,'filenet-pa','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32772,'filenet-pa','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32773,'filenet-cm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32773,'filenet-cm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32774,'filenet-re','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32774,'filenet-re','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32775,'filenet-pch','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32775,'filenet-pch','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32896,'idmgratm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (32896,'idmgratm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (33331,'diamondport','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (33331,'diamondport','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (33434,'traceroute','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (33434,'traceroute','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (33656,'snip-slave','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (33656,'snip-slave','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (34249,'turbonote-2','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (34249,'turbonote-2','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (34378,'p-net-local','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (34378,'p-net-local','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (34379,'p-net-remote','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (34379,'p-net-remote','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (34962,'profinet-rt','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (34962,'profinet-rt','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (34963,'profinet-rtm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (34963,'profinet-rtm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (34964,'profinet-cm','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (34964,'profinet-cm','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (34980,'ethercat','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (34980,'ethercat','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (36865,'kastenxpipe','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (36865,'kastenxpipe','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (37475,'neckar','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (37475,'neckar','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (38201,'galaxy7-data','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (38201,'galaxy7-data','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (38202,'fairview','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (38202,'fairview','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (38203,'agpolicy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (38203,'agpolicy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (39681,'turbonote-1','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (39681,'turbonote-1','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (40841,'cscp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (40841,'cscp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (40842,'csccredir','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (40842,'csccredir','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (40843,'csccfirewall','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (40843,'csccfirewall','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (41111,'fs-qos','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (41111,'fs-qos','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (41794,'crestron-cip','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (41794,'crestron-cip','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (41795,'crestron-ctp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (41795,'crestron-ctp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (42508,'candp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (42508,'candp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (42509,'candrp','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (42509,'candrp','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (42510,'caerpc','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (42510,'caerpc','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (43188,'reachout','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (43188,'reachout','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (43189,'ndm-agent-port','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (43189,'ndm-agent-port','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (43190,'ip-provision','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (43190,'ip-provision','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (43441,'ciscocsdb','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (43441,'ciscocsdb','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (44321,'pmcd','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (44321,'pmcd','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (44322,'pmcdproxy','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (44322,'pmcdproxy','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (44553,'rbr-debug','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (44553,'rbr-debug','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (44818,'rockwell-encap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (44818,'rockwell-encap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (45054,'invision-ag','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (45054,'invision-ag','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (45678,'eba','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (45678,'eba','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (45966,'ssr-servermgr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (45966,'ssr-servermgr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (46999,'mediabox','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (46999,'mediabox','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (47000,'mbus','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (47000,'mbus','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (47557,'dbbrowse','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (47557,'dbbrowse','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (47624,'directplaysrvr','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (47624,'directplaysrvr','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (47806,'ap','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (47806,'ap','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (47808,'bacnet','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (47808,'bacnet','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (48000,'nimcontroller','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (48000,'nimcontroller','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (48001,'nimspooler','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (48001,'nimspooler','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (48002,'nimhub','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (48002,'nimhub','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (48003,'nimgtw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (48003,'nimgtw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (48556,'com-bardac-dw','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (48556,'com-bardac-dw','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (48619,'iqobject','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (48619,'iqobject','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (54978,'ssh','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (60177,'tfido','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (60177,'tfido','udp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (60179,'fido','tcp');
INSERT INTO traffic_ports_services(port,service,protocol) VALUES (60179,'fido','udp');
